<?php
    require_once(dirname(__FILE__)."/../clases.php");
    open_html_page(lang('Diagnostico'),IDPAG_LOGUEADOS);
    ini_set('upload_max_filesize', '50M');
    ini_set('post_max_size', '52M');

    $deviceID=getIfSet('deviceID');
    $idClientePlan=getIfSet('idClientePlan');
    $estadoConexion=armarBotonEstadoConexion($idClientePlan,true);

    $ssidSeteado='';
    $ssidClaveSeteado='';
    $sql="SELECT id_atributo,valor FROM cli_plan_serv_atr cpsa WHERE cpsa.ID_CLIENTE__PLAN=$idClientePlan and id_atributo in ($ATR_SSID,$ATR_SSID_CLAVE,$ATR_ONT_SN)";
    $result=getDBConn()->query($sql);
    while((list($atr,$valor)=$result->fetch_row()))
    {
        if($atr==$ATR_SSID)
        {
            $ssidSeteado=$valor;
        }
        if($atr==$ATR_SSID_CLAVE)
        {
            $ssidClaveSeteado=$valor;
        }
        if($atr==$ATR_ONT_SN)
        {
            $serialNumber=$valor;
        }
    }

    $titulo=getIfSet('titulo');
    $version=getVersion();
    $htmlTabla="";
    $htmlTabla2="";
    $port=7557;
    $ip=trserver;
    $post=NULL;
    $request=NULL;
    $devolucionDatos=TRUE;
    $headers=array();
    $headers[]="Content-Type: application/json";
    $ruta="devices/?query=%7B%22_id%22%3A%22$deviceID%22%7D";
    $state_result=curlTR069($ip,$port,$ruta,$post,$headers,$request,$devolucionDatos);
    $datosTR=json_decode($state_result);
    $datosTR=$datosTR[0];
    $marca=$datosTR->_deviceId->_Manufacturer;
    if($marca=='Huawei Technologies Co., Ltd'||$marca=='SOPNET S.R.L')
    {
        $subfijo="X_HW_";
    }
    else if($marca=='TP-Link')
    {
        $subfijo="X_TP_";
    }
    else if($marca=='ZTE')
    {
        $subfijo="X_ZTE-";
    }
    $pathTrArray=array();
    function loop($obj, $path=array())
    {
        global $pathTrArray;
        $parent=$path;
        if (is_object($obj))
        {
            foreach ($obj as $key => $value)
            {
                if($key!=='_object'&&$key!=='_timestamp')
                    loop($value, array_merge($parent, [$key]));
            }
        }
        elseif (is_array($obj))
        {
            foreach ($obj as $index => $value)
            {
                if($key!=='_object'&&$key!=='_writable'&&$key!=='_timestamp')
                    loop($value, array_merge($parent, [$index]));
            }
        }
        else
        {
            $tipo=array_pop($path);
            $pathTrArray[join('.', $path)][$tipo]=$obj;
        }
    }
    loop($datosTR);
    $tbodyPathTR="";
    foreach ($pathTrArray as $key => $value)
    {
        if($key=="")
        {
            foreach ($value as $key2 => $value2)
            {
                $tbodyPathTR.="<tr><td>$key2</td><td>$value2</td><td></td></tr>";
            }
        }
        else
        {
            $valor="NULL";
            $lapiz="";
            if(isset($value["_value"]))
            {
                $valor=$value["_value"];
            }
            if(isset($value["_writable"])&&$value["_writable"])
            {
                $lapiz="<a href='#' onclick=\"$('#setAtributoTr').modal('show'); $('#tituloModal').html('<h1>$key</h1>'); $('#setearTr').val('$valor'); $('#keySetTr').val('$key');\">lapiz</a>";
            }
            $tbodyPathTR.="<tr><td>$key</td><td>$valor</td><td> $lapiz
            <a href='#' onclick=\"updateTr('refresh','$key',null,'$deviceID',true)\"><span class='glyphicon glyphicon-refresh' aria-hidden='true'></span></a>
            </td></tr>";
        }
    }


    $tipoDeCaracterCanal=$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->Channel->_type;
/*
    var_dump("////SSID:2 ghz/////");
    echo "</br>";
    echo("AutoChannelEnable: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->Channel->_value);
    echo "</br>";
    echo("BasicDataTransmitRates: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->BasicDataTransmitRates->_value);
    echo "</br>";
    echo("ChannelsInUse: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->ChannelsInUse->_value);
    echo "</br>";
    echo("Channel: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->Channel->_value);
    echo "</br>";
    echo("PossibleChannels: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->PossibleChannels->_value);
    echo "</br>";
    echo("RegulatoryDomain: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->RegulatoryDomain->_value);
    echo "</br>";
    echo("TransmitPower: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->TransmitPower->_value);
    echo "</br>";
    echo("TransmitPowerSupported: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->TransmitPowerSupported->_value);
    echo "</br>";
    echo("TotalAssociations: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->TotalAssociations->_value);
    echo "</br>";
    echo("TotalBytesReceived: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->TotalBytesReceived->_value);
    echo "</br>";
    echo("TotalBytesSent: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->TotalBytesSent->_value);
    echo "</br>";

        echo "</br>"; echo "</br>";
    var_dump("////SSID:5 ghz/////");
    echo "</br>";

    echo("AutoChannelEnable: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->Channel->_value);
    echo "</br>";
    echo("BasicDataTransmitRates: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->BasicDataTransmitRates->_value);
    echo "</br>";
    echo("ChannelsInUse: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->ChannelsInUse->_value);
    echo "</br>";
    echo("Channel: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->Channel->_value);
    echo "</br>";
    echo("PossibleChannels: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->PossibleChannels->_value);
    echo "</br>";
    echo("RegulatoryDomain: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->RegulatoryDomain->_value);
    echo "</br>";
    echo("TransmitPower: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->TransmitPower->_value);
    echo "</br>";
    echo("TransmitPowerSupported: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->TransmitPowerSupported->_value);
    echo "</br>";
    echo("TotalAssociations: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->TotalAssociations->_value);
    echo "</br>";
    echo("TotalBytesReceived: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->TotalBytesReceived->_value);
    echo "</br>";
    echo("TotalBytesSent: ".$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->TotalBytesSent->_value);
    echo "</br>";

    echo "WPS: ";
    var_dump($datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->WPS->Enable->_value);
    echo "</br>";
*/
    $radio1=$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WiFi->Radio->{'1'}->{$subfijo."NeighborAP"};
    $radio2=$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WiFi->Radio->
    $canales=array();
    $canalPrincipal=$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->Channel->_value;
    $canal3=$canalPrincipal+3;
    $data=array();
    $max=$canal3+1;
    $min=$canal3-1;
    for ($i=1; $i<18; $i++)
    {
        if($i==$canal3)
        {
            $valor=0;
        }
        else if($i>=$min && $i<=$max)
        {
            $valor=0;
        }
        else
        {
            $valor='NULL';
        }
        $data[]=$valor;
    }
    $canales[]=array('label' => $datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->SSID->_value,'fill' => 'start','backgroundColor' => 'rgba(0,106,155,0.4)','borderColor' => 'rgb(0,106,155)','spanGaps'=> true ,'lineTension'=> 0.5,'borderWidth' => 4,'data' => $data);
    $canalRuidoMax=array(1 => -100,2 => -100,3 => -100,4 => -100,5 => -100,6 => -100,7 => -100,8 => -100,9 => -100,10 => -100,11 => -100,12 => -100 );
    foreach ($radio1 as $key => $radio)
    {
        if($radio->SSID)
        {
            /*
            echo "</br>"; echo "</br>";
            var_dump("////////DISCOVER/////////"); echo "</br>";
            var_dump("BSSID: ".$radio->BSSID->_value); echo "</br>";
            var_dump("Channel: ".$radio->Channel->_value); echo "</br>";
            var_dump("ChannelWidth: ".$radio->ChannelWidth->_value); echo "</br>";
            var_dump("Noise: ".$radio->Noise->_value); echo "</br>";
            var_dump("RSSI: ".$radio->RSSI->_value); echo "</br>";
            var_dump("SSID: ".$radio->SSID->_value); echo "</br>";
            var_dump("Standard: ".$radio->Standard->_value); echo "</br>";
            */
            $ancho=$radio->ChannelWidth->_value/10;
            $canal=$radio->Channel->_value;
            $canal3=$canal+3;
            $data=array();
            $ancho2=$ancho/10;
            $ancho2=$ancho/2;
            $max=$canal3+$ancho2;
            $min=$canal3-$ancho2;
            $rssi=$radio->RSSI->_value;
            if($canalRuidoMax[$canal]<$rssi)
            {
                $canalRuidoMax[$canal]=$rssi;
            }
            if($rssi>-100&&$rssi<-80)
            {
                 $color="rgb(122, 122, 122)";
            }
            if($rssi>-80&&$rssi<-60)
            {
                 $color="rgb(122, 122, 122)";
            }
            if($rssi>-60&&$rssi<-0)
            {
                $color="rgb(255, 0, 0)";
            }
            for ($i=1; $i<18; $i++)
            {

                if($i==$canal3)
                {
                    $valor=$rssi;
                }
                else if($i==$min||$i==$max)
                {
                    $valor=-100;
                }
                else if($i>$min && $i<$max)
                {
                    $valor='NULL';
                }
                else
                {
                    $valor='NULL';
                }
                $data[]=$valor;
            }
            $canales[]=array('label' => $radio->SSID->_value,'fill' => false,'backgroundColor' =>  $color,'borderColor' => $color,'spanGaps'=> true,'lineTension'=> 0.5, 'data' => $data );
        }
    }
    $valorMinimo=min($canalRuidoMax);
    $canalOptimo=array_search($valorMinimo, $canalRuidoMax);

    $canales5=array();
    $canal5Principal=$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'5'}->Channel->_value;
    $canal5=$canal5Principal;
    $data=array();
    $max=$canal5+2;
    $min=$canal5-2;
    for ($i=1; $i<18; $i++)
    {
        if($i==$canal5)
        {
            $valor=-50;
        }
        else if($i==$min||$i==$max)
        {
            $valor=-100;
        }
        else if($i>$min && $i<$max)
        {
             $valor='NULL';
        }
        else
        {
            $valor='NULL';
        }
        $data[]=$valor;
    }
    $canales5[]=array('label' => $datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'5'}->SSID->_value,'fill' => 'start','backgroundColor' => 'rgba(0,106,155,0.4)','borderColor' => 'rgb(0,106,155)','spanGaps'=> true ,'lineTension'=> 0.5,'borderWidth' => 2,'data' => $data);

    foreach ($radio2 as $key => $radio)
    {
            /*
            echo "</br>"; echo "</br>";
            var_dump("SSID: ".$radio->SSID->_value); echo "</br>";
            var_dump("BSSID: ".$radio->BSSID->_value); echo "</br>";
            var_dump("Channel: ".$radio->Channel->_value); echo "</br>";
            var_dump("ChannelWidth: ".$radio->ChannelWidth->_value); echo "</br>";
            var_dump("Noise: ".$radio->Noise->_value); echo "</br>";
            var_dump("RSSI: ".$radio->RSSI->_value); echo "</br>";

            var_dump("Standard: ".$radio->Standard->_value); echo "</br>";
            */
        if($radio->SSID)
        {
            $ancho=$radio->ChannelWidth->_value/10;
            $canal=$radio->Channel->_value;
            $data=array();
            $ancho2=$ancho/2;
            $max=$canal+$ancho2;
            $min=$canal-$ancho2;
            $rssi=$radio->RSSI->_value;
            if($canalRuidoMax[$canal]<$rssi)
            {
                $canalRuidoMax[$canal]=$rssi;
            }
            if($rssi>-100&&$rssi<-80)
            {
                 $color="rgb(122, 122, 122)";
            }
            else if($rssi>-80&&$rssi<-60)
            {
                $color="rgb(122, 122, 122)";
            }
            else if($rssi>-60&&$rssi<0)
            {
                $color="rgb(255, 0, 0)";
            }

            for ($i=32; $i<166; $i++)
            {
                if($i==$canal)
                {
                    $valor=$rssi;
                }
                else if($i==$min||$i==$max)
                {
                    $valor=-100;
                }
                else if($i>$min && $i<$max)
                {
                    $valor='NULL';

                }
                else
                {
                    $valor='NULL';
                }
                $data[]=$valor;
            }
            $canales5[]=array('label' => $radio->SSID->_value,'fill' => false,'backgroundColor' =>  $color,'borderColor' => $color,'spanGaps'=> true ,'lineTension'=> 0.5,'borderWidth' => 2,'data' => $data  );
        }
    }
    $deviceAssociatedWIFI=$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->AssociatedDevice;
    $dispositivosAsociadosWifi=array();
    $deviceAssociatedHost=$datosTR->InternetGatewayDevice->LANDevice->{'1'}->Hosts->Host;
    $dispositivosAsociadosHost=array();
    $labelWifi=array();
    $tbodyAsociados="";
    foreach ($deviceAssociatedHost as $key => $asociadosHost)
    {
        if($asociadosHost->IPAddress)
        {
            $tbodyAsociados.="<tr>";
            foreach($deviceAssociatedWIFI as $key2 => $asociadosWifi)
            {
                if($asociadosHost->IPAddress->_value==$asociadosWifi->AssociatedDeviceIPAddress->_value)
                {
                    $tbodyAsociados.="<td>".$asociadosHost->HostName->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosHost->VendorClassID->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosHost->AddressSource->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosHost->IPAddress->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosHost->MACAddress->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosHost->{$subfijo."Stats"}->BytesReceived->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosHost->{$subfijo."Stats"}->BytesSent->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosWifi->{$subfijo."Noise"}->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosWifi->{$subfijo."RSSI"}->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosWifi->{$subfijo."RxRate"}->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosWifi->{$subfijo."SNR"}->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosWifi->{$subfijo."SingalQuality"}->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosWifi->{$subfijo."TxRate"}->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosWifi->{$subfijo."Uptime"}->_value."</td>";
                    $tbodyAsociados.="<td>".$asociadosWifi->{$subfijo."WorkingMode"}->_value."</td>";
                    if($asociadosHost->HostName->_value)
                        $hostName=$asociadosHost->HostName->_value;
                    else
                        $hostName=$asociadosHost->VendorClassID->_value;
                    $labelWifi[]=$hostName;
                    $data=$asociadosWifi->{$subfijo."RSSI"}->_value;
                    /*mientras mas cerca del 0 verde -70 -80 amarillo else rojo */
                    if($data>-60&&$data<0)
                    {
                        $color="rgba(0, 255, 0, 0.5)";
                    }
                    else if($data>-60&&$rssi<-80)
                    {
                        $color="rgba(255, 122, 0, 0.5)";
                    }
                    else if($data>-80)
                    {
                        $color="rgba(255, 0, 0, 0.5)";
                    }
                    $dispositivosAsociadosWifi[]=array('label' => $hostName,'fill' => false,'backgroundColor' =>  $color,'borderColor' => $color,'data' =>array($data));
                }
            }
            $tbodyAsociados.="</tr>";
        }
    }
/*
    foreach ($deviceAssociatedHost as $key => $asociadosHost)
    {
        if($asociadosHost->IPAddress)
        {
            $ip=$asociadosHost->IPAddress->_value;
            /*
                InternetGatewayDevice.LANDevice.1.Hosts.Host.1.Active                    //activo
                InternetGatewayDevice.LANDevice.1.Hosts.Host.1.VendorClassID             //tipo dispositivo
                InternetGatewayDevice.LANDevice.1.Hosts.Host.1.Layer2Interface           //tipo dispositivo
                InternetGatewayDevice.LANDevice.1.Hosts.Host.1.{$subfijo."Stats"}.BytesReceived  //subida
                InternetGatewayDevice.LANDevice.1.Hosts.Host.1.{$subfijo."Stats"}.BytesSent      //bajada
            */
                /*
            foreach ($deviceAssociatedWIFI as $key2 => $asociadosWifi)
            {
                if($ip==$asociadosWifi->AssociatedDeviceIPAddress->_value)
                {
                    $labelWifi[]=$asociadosHost->VendorClassID->_value;
                    $data=$asociadosWifi->RSSI->_value;
                    $dispositivosAsociadosWifi[]=array('label' => $asociadosHost->VendorClassID->_value,'fill' => false,'backgroundColor' =>  $color,'borderColor' => $color,'data' => $data );
                    break;
                }
            }
        }
    }
*/
    $device=rawurlencode($datosTR->_id);
    $marca=$datosTR->_deviceId->_Manufacturer;
    $SSID=$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->SSID;
    $htmlTabla.="<tr><td>SSID</td><td>$SSID->_value</td>";
    if($SSID->_writable)
    {
        $htmlTabla.="<td><input type='text' id='ssid' name='ssid' value='$ssidSeteado'></td><td><button class='btn btn-primary' onclick=\"updateTr('ssid','InternetGatewayDevice.LANDevice.1.WLANConfiguration.1.SSID','$SSID->_type','$device',true)\">Enviar</button></td>";
    }
    $htmlTabla.="</tr>";

    if($marca=='TP-Link')
    {
        $password=$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->X_TP_PreSharedKey;
        $rutaPass='InternetGatewayDevice.LANDevice.1.WLANConfiguration.1.X_TP_PreSharedKey';
    }
    else
    {
        $password=$datosTR->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->PreSharedKey->{'1'}->PreSharedKey;
        $rutaPass='InternetGatewayDevice.LANDevice.1.WLANConfiguration.1.PreSharedKey.1.PreSharedKey';
    }

    $htmlTabla.="<tr><td>Password</td><td>***********</td>";
    if($password->_writable)
    {

        $htmlTabla.="<td><input type='text' id='password' name='password' value='$ssidClaveSeteado'></td><td><button class='btn btn-primary' onclick=\"updateTr('password','$rutaPass','$password->_type','$device',true)\">Enviar</button></td>";
    }
    $htmlTabla.="</tr>";
    $htmlTabla.="<tr><td></td><td></td><td></td><td><button class='btn btn-primary' onclick='updateSsidAndPass()'>Enviar Todo</button></td></tr>";


    $htmlTabla2.="<tr><td>Tipo:</td><td><select id='tipoConfiguracion'><option value='3'>Config File</option><option value='4'>Tone File</option><option value='5'>Ringer File</option></select></td></td></tr>";
    $htmlTabla2.="<tr><td>Archivo:</td><td><button id='generarXml' class='btn btn-primary' type='button' ><a target='_blank' href='".basepath."onu/index.php'>Generar Xml</a></button>  </td></tr>";

    $dataXml='';
    $fechayhoraXml='';
    $now=time();
    $sql="SELECT data,fechayhora FROM adminbcm_extra.xml WHERE serialnumber='$serialNumber'";
    $result=getDBConn()->query($sql);

    var_dump($result);

    if(list($dataXml,$fechayhoraXml)=$result->fetch_row())
    {
        $fechayhoraXml=strtotime($fechayhoraXml);
        $fechaFormat=date('d/m/y h:i:s',$fechayhoraXml);
        $diff=$now - $fechayhoraXml;
        if($diff>60)
        {
             $htmlTabla2.="<tr><td></td><td><input type='file' id='file' name='file'></td><td><button class='btn btn-primary' onclick='updateXml(\"$serialNumber\",\"$device\",false)'>Enviar</button></td></tr>";
        }
        else
        {
            $htmlTabla2.="<tr><td></td><td class='text-danger'>Archivo enviado</td></tr>";
        }
        if($dataXml)
        {
            $htmlTabla2.="<tr><td></td><td class='text-danger'><button class='btn btn-primary'><a href='downloadXml.php?serialNumber=$serialNumber'>Descargar Ultimo Archivo Enviado ($fechaFormat)</a></button></td></tr>";
        }
    }
    else
    {
        $htmlTabla2.="<tr><td></td><td><input type='file' id='file' name='file'></td><td><button class='btn btn-primary' onclick='updateXml(\"$serialNumber\",\"$device\",false)'>Enviar</button></td></tr>";
    }

    $htmlTabla3.="<tr><td></td><td><input type='file' id='file1' name='file1'></td><td><button class='btn btn-primary' onclick='updateXml(\"$serialNumber\",\"$device\",true)'> Enviar</button></td></tr>";
/*
    $channel=$datosTR[0]->InternetGatewayDevice->LANDevice->{'1'}->WLANConfiguration->{'1'}->Channel;
    $htmlTabla.="<tr><td>Channel</td><td>$channel->_value</td>";
    if($channel->_writable)
        $htmlTabla.="<td><input type='text' id='channel' name='channel'></td><td><button onclick=\"updateTr('channel','InternetGatewayDevice.LANDevice.1.WLANConfiguration.1.Channel','$channel->_type','$device')\">Enviar</button></td>";
    $htmlTabla.="</tr>";

    $ipAddress=$datosTR[0]->InternetGatewayDevice->LANDevice->{'1'}->LANHostConfigManagement->IPInterface->{'1'}->IPInterfaceIPAddress;
    $htmlTabla.="<tr><td>IP LAN Acceso</td><td>$ipAddress->_value</td>";
    if($ipAddress->_writable)
        $htmlTabla.="<td><input type='text' id='ipAddress' name='ipAddress'></td><td><button onclick=\"updateTr('ipAddress','InternetGatewayDevice.LANDevice.1.LANHostConfigManagement.IPInterface.1.IPInterfaceIPAddress','$ipAddress->_type','$device')\">Enviar</button></td>";
    $htmlTabla.="</tr>";

    $radio=$datosTR[0]->InternetGatewayDevice->LANDevice->{'1'}->WiFi->Radio->{'1'}->Enable;
    $htmlTabla.="<tr><td>Radio</td><td>$radio->_value</td>";
    if($radio->_writable)
        $htmlTabla.="<td><input type='integer' id='radio' name='radio'></td><td><button onclick=\"updateTr('radio','InternetGatewayDevice.LANDevice.1.WiFi.Radio.1.Enable','$radio->_type','$device')\">Enviar</button></td>";
    $htmlTabla.="</tr>";
*/
    $IpAcceso1=$datosTR->InternetGatewayDevice->WANDevice->{'1'}->WANConnectionDevice->{'1'}->WANIPConnection->{'1'}->ExternalIPAddress;
    $IpAcceso2=$datosTR->InternetGatewayDevice->WANDevice->{'1'}->WANConnectionDevice->{'2'}->WANIPConnection->{'1'}->ExternalIPAddress;

    $power=$datosTR->InternetGatewayDevice->WANDevice->{'1'}->X_GponInterafceConfig->RXPower->_value;
    $uptime=$datosTR->InternetGatewayDevice->DeviceInfo->UpTime->_value;
    $upTimeDia=time()-$uptime;
    $secondsInAMinute=60;
    $secondsInAnHour =60 * $secondsInAMinute;
    $secondsInADay   =24 * $secondsInAnHour;
    $days=floor($uptime/$secondsInADay);
    $hourSeconds=$uptime%$secondsInADay;
    $hours=floor($hourSeconds/$secondsInAnHour);
    $minuteSeconds=$hourSeconds%$secondsInAnHour;
    $minutes=floor($minuteSeconds/$secondsInAMinute);
    $remainingSeconds=$minuteSeconds%$secondsInAMinute;
    $seconds=ceil($remainingSeconds);
    $uptime=$days."d:".$hours."h:".$minutes."m:".$seconds."s";


    $original_timezone=new DateTimeZone('UTC');
    $datetime=new DateTime($lastInform, $original_timezone);
    $target_timezone=new DateTimeZone(date_default_timezone_get());
    $datetime->setTimeZone($target_timezone);
    $lastInform=$datetime->format('d-m-Y H:i:s');

    $lastReboot=date('d/m/Y H:i:s', $upTimeDia);

    $factoryReset=$datosTR->_lastBootstrap;
    if($factoryReset)
    {
        $original_timezone=new DateTimeZone('UTC');
        $datetime=new DateTime($factoryReset, $original_timezone);
        $target_timezone=new DateTimeZone(date_default_timezone_get());
        $datetime->setTimeZone($target_timezone);
        $factoryReset=$datetime->format('d-m-Y H:i:s');
    }
    else
    {
        $factoryReset=NULL;
    }

    $htmlTablaIzq.="<tr><td>Acceso1</td><td><a href='http://$IpAcceso1->_value' target='_blank' style='color:black !important'>$IpAcceso1->_value</a></td></tr>";
    $htmlTablaIzq.="<tr><td>Acceso2</td><td><a href='http://$IpAcceso2->_value' target='_blank' style='color:black !important'>$IpAcceso2->_value</a></td></tr>";
    $htmlTablaIzq.="<tr><td>Potencia</td><td>$power</td></tr>";
    $htmlTablaIzq.="<tr><td>LastReboot</td><td>$lastReboot</td></tr>";

    $htmlTablaDer.="<tr><td>UpTime</td><td>$uptime</td></tr>";
    $htmlTablaDer.="<tr><td>lastInform</td><td>$lastInform</td></tr>";
    $htmlTablaDer.="<tr><td>factoryReset</td><td>$factoryReset</td></tr>";

    $rutaFault="faults/?query=%7B%22device%22%3A%22$device%22%7D";
    $resultFault=curlTR069($ip,$port,$rutaFault,$post,$headers);
    $faults=json_decode($resultFault);
    $htmlFault='';
    foreach ($faults as $fault)
    {
        $htmlFault.="<tr>";
        $htmlFault.="<td>".$fault->detail->faultCode." - ".$fault->detail->faultString."</td>";
        $htmlFault.="<td> $fault->retries</td>";
        $htmlFault.="<tr>";
    }
?>
<style type='text/css'>
    *{
        font-size: 14px !important;
    }
    a{
        color:white !important;
    }
    .footerCliente, .titleBootstrap{
        text-align: center;
        font-size: 21px;
        background: #006aa6;
        margin-top: 1%;
        margin: 0 auto;
        margin-top: 1%;
        color: white;
        width: auto;
        padding: 5px;
    }
    iframe{
        border:0;
    }
    html,body{
        height: 100%;
    }
    .bg-sopnet-color{
        background: #006aa6;
    }
    .navbar-dark .navbar-nav .nav-link, .navbar-dark .navbar-nav .nav-link.active, .navbar-dark .navbar-nav .nav-link.open, .navbar-dark .navbar-nav .open>.nav-link {
        color: rgba(255,255,255,.9);
    }
    .logoNavbar{
        max-width: 100px;
    }
    .container div[class^='col'], .container div[class*=' col']{
        padding: 1% 2% !important;
    }
    .infoUser{
        background: #016aa6;
        color: white;
        font-weight: 900;
        margin-left: 2%;
    }
    .graficosUser
    {
        margin-left: -2%;
    }
    .btns-clientes{
        background: #016aa6;
        color: white;
    }
    .titleBootstrap a{
        color: white
    }
    .width100{
        width: 100%;
    }
    .table-sopnet{
        width: 100%;
        margin: 0 auto;
        margin-top: 5%;
        color: white;
    }
    .table-sopnet thead th{
        vertical-align: text-top !important;
    }
    .h1-sopnet{
        background: #006aa6;
        margin-top: 5%;
        padding: 1%;
        text-align: center;
        color: white;
        font-weight: bold;
    }
    #lista, #lista>li , #lista>li>p, #lista>li>input,#lista>li>button{
        display: inline;
        margin-right: 5%;
    }
    .borderless td, .borderless th {
            border: none;
    }
    input[type="file"] {
        height: auto !important;
    }

    #btn span {
        max-width: 0;
        -webkit-transition: max-width 0.5s;
        transition: max-width 1s;
        display: inline-block;
        vertical-align: top;
        white-space: nowrap;
        overflow: hidden;
        font-size: 10px;
        padding-top: 1px;
    }
    #btn:hover span {
        max-width: 20rem;
    }
    #btn:hover div {
        font-size: 0px;
        overflow: hidden;
        opacity: 0;
        transition: font-size 400ms 0ms , opacity 400ms 0ms;
    }
    #btn:focus span {
        max-width: 20rem;
    }
    #btn:focus div {
        font-size: 0px;
        overflow: hidden;
        opacity: 0;
        transition: font-size 400ms 0ms , opacity 400ms 0ms;
    }
    #btn div{
        font-size: 12px;
        display: inline;
        opacity: 1;
        transition: opacity 400ms 0ms;
        transition: font-size 1s 400ms;
    }
    #btn{
        min-width: 115px;
        display: block;
        background: #006aa6;
        color: white;
        border-radius: 0px 8px 8px 0px;
        border: none;
        padding: 3px;
        margin-top:8px;
        text-align: left;
    }
    .card-header{
        display: none;
    }
    .h1Card{
        font-size: 1rem;
        margin: 10px auto;
        width: 100%;
        padding-bottom: 3px;
        border-bottom: 1px white solid;
    }
    #barSlide{
        float: left;
        margin-top: 50px;
    }
    .reloj
    {
        background: #0a0a5426;
        border-radius: 15px;
        margin-right: 5px;
        padding: 5px;
        border: 0.5px #ffffff52 solid;
    }
    @media only screen and (max-width: 900px) {
        #barSlide{
            float: none;
            margin: 20px auto;
            display: table;
            text-align: center;
        }
        #btn{
            display: inline;
        }
    }
</style>
<script>
$( document ).ready(function() {

    $("#enviarTr").on("click", function(){
        updateTr('setearTr',$('#keySetTr').val(),'xsd:string','<?php echo $device ?>');
        setTimeout(location.reload(), 3000);
    });
    const canales=<?php echo json_encode($canales); ?>;
    const dataCanal={
      labels:  ['','','', 1, 2, 3, 4, 5, 6 , 7, 8, 9, 10, 11, 12,'','',''],
      datasets: []
    };
    dataCanal.datasets=canales;

    const config={
        type: 'line',
        data: dataCanal,
        options: {
            scales: {
              x: {
                type: 'linear',
                min: 0,
                max: 12,
              },
            },
            plugins: {
                title: {
                    display: true,
                    text: 'Canales WiFI 2.4 Ghz',
                    font: {
                      size: 14
                    }
                },
              legend: {
                display: false
              },
              zoom: {
                limits: {
                  x: {min: 0, max: 16, minRange: 1},
                  y: {min: -100, max:0, minRange: 2}
                },
                pan: {
                  enabled: true,
                  mode: 'xy',
                  threshold: 1,
                },
                zoom: {
                  wheel: {
                    enabled: true
                  },
                  pinch: {
                    enabled: true
                  },
                  mode: 'x',
                },
              }
            },
       }
    };
    const canal=new Chart( document.getElementById('canal'), config );

    var labels5=[];

    for (var i=32; i < 166; i++) {
        labels5.push(i);
    }

    const canales5=<?php echo json_encode($canales5); ?>;
    const dataCanal5={
      labels:  labels5,
      datasets: []
    };
    dataCanal5.datasets=canales5;

    const config5={
        type: 'line',
        data: dataCanal5,
        options: {
            scales: {
              x: {
                type: 'linear',
              },
            },
            plugins: {
                title: {
                    display: true,
                    text: 'Canales WiFI 5.2 Ghz',
                    font: {
                      size: 14
                    }
                },
              legend: {
                display: false
              },
              zoom: {
                limits: {
                  x: {min: 20, max: 180, minRange: 10},
                  y: {min: -100, max: -50, minRange: 1}
                },
                pan: {
                  enabled: true,
                  mode: 'xy',
                  threshold: 10,
                },
                zoom: {
                  wheel: {
                    enabled: true
                  },
                  pinch: {
                    enabled: true
                  },
                  mode: 'x',
                },
              }
            },
       }
    };
    const canal5=new Chart( document.getElementById('canal5'), config5 );


    const dispositivosAsociadosWifi=<?php echo json_encode($dispositivosAsociadosWifi); ?>;
    const labelWifi=<?php echo json_encode($labelWifi); ?>;
    const dataDispositivosAsociadosWifi={
      labels:  [0],
      datasets: []
    };
    //dataDispositivosAsociadosWifi.labels=labelWifi;
    dataDispositivosAsociadosWifi.datasets=dispositivosAsociadosWifi;

    const configDispositivoWifi={
        type: 'bar',
        data: dataDispositivosAsociadosWifi,
        options: {

            responsive: true,
            plugins: {
                title: {
                    display: true,
                    text: 'Dispositivos Asociados Wifi',
                    font: {
                      size: 14
                    }
                },
            },
       }
    };
    const asociadosWifi=new Chart( document.getElementById('dispositivosAsociadosWifi'),configDispositivoWifi);

});
</script>
    <body>
        <div id="barSlide">
           <a href='#' id="btn" onclick="$('.card').hide();$('#collapseOne').show();$('#card1').show()">
                    <span><?php echo lang("Setting");?></span>
                    <i class="fa fa-chart-pie fa-1x"></i> <div>Setting</div>
            </a>
            <a href='#' id="btn"  onclick="$('.card').hide();$('#collapseTwo').show();$('#card2').show()">
                <span><?php echo lang("Datos");?></span>
                <i class="fa fa-server fa-1x"></i> <div>Datos</div>
            </a>
            <a href='#' id="btn"  onclick="$('.card').hide();$('#collapse3').show();$('#card3').show()">
                <span><?php echo lang("Faults");?></span>
                <i class="fa fa-users fa-1x"></i> <div>Faults</div>
            </a>
        </div>
        <div id="loading-modal" class="modal" tabindex="-1">
            <div class="modal-dialog">
                <div style="background:#066aa6;color:white;" class="modal-content">
                    <div class="modal-body text-center">
                        <h2 style='margin:0'><img width="100px" src="../images/loading-img.gif"><?php echo lang('Cargando') ?> </h2>
                    </div>
                </div>
            </div>
        </div>
        <div id="setAtributoTr" class="modal" tabindex="-1">
            <div class="modal-dialog">
                <div style="background:#066aa6;color:white;" class="modal-content">
                     <button type="button" class="close" data-dismiss="modal" style="color:white;opacity:1;margin-right: 5px;">&times;</button>
                    <div class="modal-body text-center">
                        <h1>Setear Atributo </h1>
                        <h1 id="tituloModal"></h1>
                        <input type='text' id='setearTr' name='setearTr' value=''>
                        <input type='text' id='keySetTr' name='keySetTr' value=''>
                        <button class='btn btn-primary' id="enviarTr">setear</button>
                    </div>
                </div>
            </div>
        </div>
        <div class='container'>
            <div>
               <canvas id="canal"></canvas>
                <input type="hidden" name="canalOptimo" id="canalOptimo" value=<?php echo $canalOptimo ?> >
                <button type="button" style="padding-bottom: 3px;padding-top: 3px;" class="btn btn-primary" onclick="updateTr('canalOptimo','InternetGatewayDevice.LANDevice.1.WLANConfiguration.1.Channel','<?php echo $tipoDeCaracterCanal ?>','<?php echo $device ?>',false)"><i class="fa fa-sync-alt" aria-hidden="true"></i> Cambiar a Canal optimo <?php echo $canalOptimo ?></button>
              <canvas id="canal5"></canvas>

              <canvas id="dispositivosAsociadosWifi"></canvas>

              <button type="button" style="padding-bottom: 3px;padding-top: 3px;" class="btn btn-primary" onclick="updateTr('bajada',null,null,'<?php echo $device?>',false)"><i class="fa fa-sync-alt" aria-hidden="true"></i>Test Velocidad Descarga</button>
              <button type="button" style="padding-bottom: 3px;padding-top: 3px;" class="btn btn-primary" onclick="updateTr('subida',null,null,'<?php echo $device?>',false)"><i class="fa fa-sync-alt" aria-hidden="true"></i>Test Velocidad Subida</button>



                <table id='example2' class='table table-striped table-bordered' cellspacing='0' width='95%'>
                    <thead>
                        <th>HostName</th>
                        <th>VendorClassID</th>
                        <th>AddressSource</th>
                        <th>IPAddress</th>
                        <th>MACAddress</th>
                        <th>BytesReceived</th>
                        <th>BytesSent</th>
                        <th>Noise</th>
                        <th>RSSI</th>
                        <th>RxRate</th>
                        <th>SNR</th>
                        <th>SingalQuality</th>
                        <th>TxRate</th>
                        <th>Uptime</th>
                        <th>WorkingMode</th>
                    </thead>
                    <tbody id="tablaAtributos">
                            <?php echo $tbodyAsociados?>
                    </tbody>
                </table>
                <table id='example' class='table table-striped table-bordered' cellspacing='0' width='95%'>
                    <thead>
                        <th>
                            <?php echo lang('Path')?>
                        </th>
                        <th>
                            <?php echo lang('valor')?>
                        </th>
                        <th>
                            <?php echo lang('Acciones')?>
                        </th>
                    </thead>
                    <tbody id="tablaAtributos">
                            <?php echo $tbodyPathTR?>
                    </tbody>
                </table>

            </div>
            <div class='row'>
                <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6  pull-left text-left ">
                    <button type="button" style="padding-bottom: 3px;padding-top: 3px;" class="btn btn-primary" onclick="updateTr('reboot',null,null,'<?php echo $device?>',true)"><i class='fa fa-sync-alt' aria-hidden='true'></i> Reiniciar</button>
                </div>
                <div class='col-xs-6 col-sm-6 col-md-6 col-lg-6 pull-right text-right'>
                    <button type="button" style="padding-bottom: 3px;padding-top: 3px;" class="btn btn-primary" onclick="updateTr('factoryReset',null,null,'<?php echo $device?>',true)"><i class="fa fa-sync-alt" aria-hidden="true"></i> Reiniciar a Fabrica</button>
                </div>
                <div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
                    <h1 class='titleBootstrap'><?php echo $titulo.$estadoConexion?></h1>
                </div>
             </div>
            <div class='row'>
                <div class="card card-header" id="card1" style="display: contents;width: 98%;border: none;background: #eeeeee;">
                    <div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'">
                         <table class="table borderless">
                            <thead>
                              <tr>
                                <th>Nombre</th>
                                <th>Actual</th>
                                <th>Seteado</th>
                                <th>Accion</th>
                              </tr>
                            </thead>
                            <tbody>
                                <?php echo $htmlTabla?>
                            </tbody>
                          </table>
                    </div>
                    <hr>
                    <hr>
                    <hr>
                    <div class='col-xs-12 col-sm-12 col-md-12 col-lg-12' style="border-top: 1px black solid;">
                         <table class="table borderless">
                            <thead>
                              <tr>
                                <th>Configurar CPE</th>
                                <th></th>
                                <th></th>
                              </tr>
                            </thead>
                            <tbody>
                                <?php echo $htmlTabla2?>
                            </tbody>
                          </table>
                    </div>
                    <div class='col-xs-12 col-sm-12 col-md-12 col-lg-12' style="border-top: 1px black solid;">
                         <table class="table borderless">
                            <thead>
                              <tr>
                                <th>Subir Firmware</th>
                                <th></th>
                                <th></th>
                              </tr>
                            </thead>
                            <tbody>
                                <?php echo $htmlTabla3?>
                            </tbody>
                          </table>
                    </div>
                </div>
                <div class="card card-header" id="card2" style="display: contents;width: 98%;border: none;background: #eeeeee;">
                    <div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
                        <h1 class='titleBootstrap'>Datos de la Onu</h1>
                    </div>
                    <div class='col-xs-6 col-sm-6 col-md-6 col-lg-6'>
                         <table class="table table-condensed">
                            <thead>
                              <tr>
                                <th>Nombre</th>
                                <th>Valor</th>
                              </tr>
                            </thead>
                            <tbody>
                                <?php echo $htmlTablaIzq?>
                            </tbody>
                          </table>
                    </div>
                    <div class='col-xs-6 col-sm-6 col-md-6 col-lg-6' style="border-left:1px black dashed">
                         <table class="table table-condensed">
                            <thead>
                              <tr>
                                <th>Nombre</th>
                                <th>Valor</th>
                              </tr>
                            </thead>
                            <tbody>
                                <?php echo $htmlTablaDer?>
                            </tbody>
                          </table>
                    </div>
                </div>
                <div class="card card-header" id="card3" style="display: block;width: 98%;border: none;background: #eeeeee;">
                    <div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
                        <h1 class='titleBootstrap'>Faults</h1>
                        <button type="button" style="padding-bottom: 3px;padding-top: 3px;margin-top: 10px;" class="btn btn-primary" onclick="updateTr('deleteFault',null,null,'<?php echo $device?>',true)"></i><?php echo lang('EliminarFaults'); ?></button>
                    </div>
                    <div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
                         <table class="table table-condensed">
                            <thead>
                              <tr>
                                <th>Detalles</th>
                                <th>Repeticion</th>
                              </tr>
                            </thead>
                            <tbody>
                                <?php echo $htmlFault?>
                            </tbody>
                          </table>
                    </div>
                </div>
            </div>
        </div>
    </body>

<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.8.0/chart.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/hammerjs@2.0.8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/chartjs-plugin-zoom/1.2.1/chartjs-plugin-zoom.min.js"></script>
<script type="text/javascript">
         $('#card2').hide();
         $('#card3').hide();
        idClientePlan=<?php echo $idClientePlan ?>;
        $('#tipoConfiguracion').on('change', function()
        {
            if( this.value == '3' )
            {
                $('#generarXml').show();
            }
            else
            {
                $('#generarXml').hide();
            }
        });
        function updateTr(cual,quien,tipo,equipo,reiniciar)
        {
            valor=null;
            $('input').each(function(index)
            {
                if(cual == $(this).attr("id"))
                    valor=($(this).val());
            });
            if(valor==null)
            {
                valor=cual;
            }
            $('#loading-modal').modal('show');
            $.ajax(
            {
                type: "POST",
                url: "ajax/set_tr.php",
                data: {valor:valor,objeto:quien,tipo:tipo,device:equipo,cual:cual,idClientePlan:idClientePlan},
                dataType: 'json',
                async:false,
                success: function(respuesta)
                {
                    if(JSON.stringify(respuesta)==202)
                    {
                        //alert("Error al cambiar el valor");
                    }
                    else
                    {
                        if(reiniciar)
                        {
                            document.location.reload();
                        }
                    }
                },
                error: function(respuesta)
                {
                    setTimeout(function(){$('#loading-modal').modal('hide');}, 3000);

                },
                complete: function(respuesta)
                {
                    if(respuesta.responseText!=="200" && respuesta.responseText!=="202")
                    {
                        alert("Error en el proceso");
                    }
                    setTimeout(function(){$('#loading-modal').modal('hide');}, 3000);
                }
             });
        }
        function updateSsidAndPass()
        {
            cual='ssid';
            quien='InternetGatewayDevice.LANDevice.1.WLANConfiguration.1.SSID';
            tipo='xsd:string';
            equipo='<?php echo $device ?>';
            reiniciar=false;
            updateTr(cual,quien,tipo,equipo,reiniciar);
            cual='password';
            quien='InternetGatewayDevice.LANDevice.1.WLANConfiguration.1.PreSharedKey.1.PreSharedKey';
            reiniciar=true;
            updateTr(cual,quien,tipo,equipo,reiniciar);
        }

        function updateXml(serialNumber,device,isFirmware)
        {
            var file_data=$('#file').prop('files')[0];
            var file_data1=$('#file1').prop('files')[0];
            if(file_data || file_data1)
            {
                if(isFirmware)
                    tipoConfiguracion='1';
                else
                    tipoConfiguracion=$('#tipoConfiguracion').val();
                var form_data=new FormData();
                if(file_data)
                    form_data.append('file', file_data);
                if(file_data1)
                    form_data.append('file', file_data1);
                form_data.append('serialNumber', serialNumber);
                form_data.append('device', device);
                form_data.append('valor', 'xml');
                form_data.append('tipoConfiguracion', tipoConfiguracion);
                $.ajax(
                {
                    url: 'ajax/set_tr.php', // point to server-side PHP script
                    dataType: 'text',  // what to expect back from the PHP script, if anything
                    cache: false,
                    contentType: false,
                    processData: false,
                    data: form_data,
                    type: 'post',
                    success: function(php_script_response)
                    {
                        alert(unescape(txtArchivoEnviado));
                        document.location.reload(); // display response from the PHP script, if any
                        //console.log(php_script_response); // display response from the PHP script, if any
                    }
                });
            }
        }
</script>
</html>
