$(document).ready(function()
    {
        var expanded = false;
        function showCheckboxes() {
          var checkboxes = document.getElementById("checkboxes");
          if (!expanded) {
            checkboxes.style.display = "block";
            expanded = true;
          } else {
            checkboxes.style.display = "none";
            expanded = false;
          }
        }
        cpeID="<?php echo $this->cpe->ID?>";

        imagen.onchange = evt => {
            const [file] = imagen.files
            if (file) {
                blah.src = URL.createObjectURL(file)
            }
        }

        $(document).on('change', '#cpe', function()
        {
            id=$(this).val();
            $.ajax({
                type:'post',
                dataType:'json',
                data: {id:id},
                url: '/cpe/obtenerPathAtributosCpe',
                success: function(respuesta){
                    $.each(respuesta, function(i, item) {
                        id=respuesta[i].ID;
                        valor=respuesta[i].VALOR;
                        path=respuesta[i].PATH;
                       $('input[name$="_PATHTR_'+id+'"]').val(path);
                       $('input[name$="_VALOR_'+id+'"]').val(valor);
                    });
                },
                error: function(respuesta){
                }
            });
        });


        var i=900;
        $('#agregar').on('click', function(e)
        {
            i++;
            $("#nuevosExtra").after("<div class='col-xl-1 col-lg-1 col-md-1 col-sm-1 col-xs-1 mt-1'><div class='custom-control custom-switch custom-switch-md'><input type='checkbox' class='custom-control-input js-checkExtra' name='EXTRA_CHECKBOX_"+i+"' id='EXTRA_CHECKBOX_"+i+"'><label class='custom-control-label' for='EXTRA_CHECKBOX_"+i+"'> </label></div></div><div class='col-xl-1 col-lg-1 col-md-1 col-sm-1 col-xs-1 mt-1'><div class='custom-control custom-switch custom-switch-md'><input type='checkbox' class='custom-control-input js-checkExtra' name='EXTRA_VISIBLE_"+i+"' id='EXTRA_VISIBLE_"+i+"'><label class='custom-control-label' for='EXTRA_VISIBLE_"+i+"'> </label></div></div><div class='col-xl-3 col-lg-3 col-md-3 col-sm-3 col-xs-3'><div class='form-group'><input type='text' name='EXTRA_NOMBRE_"+i+"' class='form-control' placeholder='Nombre'></div></div><div class='col-xl-3 col-lg-3 col-md-3 col-sm-3 col-xs-3'><div class='form-group'><input type='text' name='EXTRA_VALOR_"+i+"' class='form-control' placeholder='<?php echo lang('ValorDefault');?>' ></div></div><div class='col-xl-4 col-lg-4 col-md-4 col-sm-4 col-xs-4'><div class='form-group'><input type='text' name='EXTRA_PATHTR_"+i+"' value='' class='form-control' placeholder='<?php echo lang('Path');?>'></div></div>");
        });
        $('#agregarInstancia').on('click', function(e)
        {
            i++;
            $("#nuevaInstancia").after("<div class='col-xl-1 col-lg-1 col-md-1 col-sm-1 col-xs-1 mt-1'><div class='custom-control custom-switch custom-switch-md'><input type='checkbox' class='custom-control-input js-checkExtra' name='INSTANCIA_CHECKBOX_"+i+"' id='INSTANCIA_CHECKBOX_"+i+"'><label class='custom-control-label' for='INSTANCIA_CHECKBOX_"+i+"'> </label></div></div><div class='col-xl-1 col-lg-1 col-md-1 col-sm-1 col-xs-1 mt-1'><div class='custom-control custom-switch custom-switch-md'></div></div><div class='col-xl-3 col-lg-3 col-md-3 col-sm-3 col-xs-3'><div class='form-group'><input type='text' name='INSTANCIA_NOMBRE_"+i+"' class='form-control' placeholder='Nombre'></div></div><div class='col-xl-3 col-lg-3 col-md-3 col-sm-3 col-xs-3'><div class='form-group'><input type='number' min=1 max=10 value='1'required name='INSTANCIA_VALOR_"+i+"' class='form-control' placeholder='<?php echo lang('Cantidad');?>' ></div></div><div class='col-xl-4 col-lg-4 col-md-4 col-sm-4 col-xs-4'><div class='form-group '><input type='text' name='INSTANCIA_PATHTR_"+i+"' value='' class='form-control' placeholder='<?php echo lang('Path');?>'></div></div>");
        });
       //$("#guardarDatos").submit(function()
       $("form").submit(function()
       {
            var recuperoIdCheack=$('.js-cheack').get();
            var recuperoIdPath=$('.js-path').get();
            var flag=0;

            for(i in recuperoIdCheack)
            {
                idCheack=recuperoIdCheack[i].id;
                var explorar=idCheack.split("_");
                numeroFila=explorar[2];

                if($('#PRINCIPAL_CHECKBOX_'+numeroFila).is(':checked'))
                {
                    var valorPath=$('#PRINCIPAL_PATHTR_'+numeroFila).val();
                    if(valorPath=="")
                    {
                        flag=1;
                        $('#PRINCIPAL_PATHTR_'+numeroFila).addClass("validacion");
                    }
                }
            }

            event.preventDefault();
            if(flag==1)
            {
                $('.listaErroresValidacion-js').empty();
                $('.abrirModalErrorValidacion-js').fadeIn(300);
                $('.listaErroresValidacion-js').append('<tr><td> Campo path vacio </tr></td>');
            }
            else
            {
                $('.abrirModalErrorValidacion-js').hide();
                id=$("#ID").val();
                if(id==''||id==null)
                {
                    url="cpe/crear";
                }
                else
                {
                    url="cpe/actualizar";
                }
                var formData=new FormData(form);
                $.ajax({
                    url:basepath+url,
                    cache: false,
                    data: formData,
                    contentType: false,
                    processData: false,
                    method: 'POST',
                    type: 'POST',
                    datatype:'json',
                })
                .done(function(respuesta)
                {
                    window.location.href = "/cpe/listado?opc=manual";
                })
                .fail(function (jqXHR, textStatus, errorThrown)
                {
                    alert("error: " + jqXHR + textStatus +errorThrown);
                });
            }
        });

        //img
        <?php
        if (isset($this->cpe->ID))
        {
        ?>
            var mostrarImagenModificar = "<?php echo $this->cpe->ID == null ? true : false; ?>";
            var cpeID="<?php echo $this->cpe->ID?>";
        <?php
        }
        ?>

        if(!mostrarImagenModificar)
        {
            $.ajax({
            url:basepath+"cpe/obtenerImagenCpe",
            type:'post',
            data:{idCpe:cpeID}
            }).done(function(respuesta)
            {
                if(respuesta!="")
                {
                    $('#imagenSeteo').html(respuesta);
                }
            })
            .fail(function(jqXHR,textStatus,errorThrown)
            {
                alert(""+jqXHR+textStatus+errorThrown);
            });
        }

    });
