
    function modalEliminar(dataDatosParse,objeto)
    {
        var idEmpresa = dataDatosParse.ID;
        limpiarModalMvc("modalEliminar");
        $("#modalEliminar").hide();
            /*DATOS MODAL*/
            $('#modalEliminar-body>#modalTitle-body').text("Cuidado");
            $('#modalEliminar-body>#modalText-body').text("Una vez eliminado no se puede volver atras, desea eliminarlo?");
            $('#modalEliminar-fotter>#btnCancelar').show();
            $('#modalEliminar-fotter>#btnAceptar').show();
            //al aceptar dispara el ajax que elimina la empresa
            $(".btn-aceptar").click(function (e) {
                $.ajax({
                    url: "/empresa/eliminar",
                    cache: false,
                    type: 'POST',
                    data: {
                        id: idEmpresa
                    },
                }).done(function(response)
                {
                    //agregar toast de exito
                    $('#tablaPhp').DataTable().ajax.reload();
                    $(this).parents("tr").remove();
                    $("#modalEliminar").hide();
                    //agregar un fail y su toast
                });
            });
            $('#modalEliminar-fotter>#btnExportar').show();
            //al clickear en exportar dispara el ajax que descarga datos y elimina la empresa
            $(".btn-exportar").click(function (e) {
                $.ajax({
                    url: "/empresa/exportarCliente",
                    cache: false,
                    type: 'POST',
                    data: {
                        id: idEmpresa
                    },
                }).done(function(response)
                {
                    var downloadLink = document.createElement("a");
                    var fileData = ['\ufeff'+response];
                    var blobObject = new Blob(fileData,{
                        type: "text/csv;charset=utf-8;"
                    });
                    var url = URL.createObjectURL(blobObject);
                    downloadLink.href = url;
                    downloadLink.download = "products.csv";
                    /* * Actually download CSV */
                    document.body.appendChild(downloadLink);
                    downloadLink.click();
                    document.body.removeChild(downloadLink);
                    $.ajax({
                        url: "/empresa/eliminar",
                        cache: false,
                        type: 'POST',
                        data: {
                            id: idEmpresa
                        },
                    }).done(function(response)
                    {
                        //agregar toast de exito
                        $('#tablaPhp').DataTable().ajax.reload();
                        $(this).parents("tr").remove();
                        $("#modalEliminar").hide();
                        //agregar un fail y su toast
                    });
                })
            });
        /*FIN DATOS MODAL*/
        $("#modalEliminar").show();
    }
    function modalMerge(dataDatosParse,objeto)
    {
        var idEmpresa = dataDatosParse.ID;
        limpiarModalMvc("modalMerge");
        $("#modalMerge").hide();
        /*DATOS MODAL*/
            $('#modalMerge-header>#modalTitle-header').text("Seleccione la empresa a donde desee migrar");
            $('#modalMerge-fotter>#btnConfirmar').show();
            $.ajax({
                url: "/empresa/traerEmpresasMerge",
                cache: false,
                type: 'POST',
                data: {
                    idEmpresa: idEmpresa
                },
            }).done(function(response)
            {
                option=""
                res = JSON.parse(response)
                res.forEach(element => {
                    id = element.ID
                    rs = element.RAZON_SOCIAL
                    option+='<option value='+id+'>'+rs+'</option>'
                });
                $("#dondeMigrarSelect").html(option);
            });
            console.log(dataDatosParse.RAZON_SOCIAL);
            $("#actualSeleccionada").html(dataDatosParse.RAZON_SOCIAL);
            $("#actualSeleccionada").val(idEmpresa);
            $('.btn-confirmar').on( "click", function() {
                idEmpresa=idEmpresa;
                nombreEmpresa=$( "#actualSeleccionada").text();
                idEmpresaNuevo=$("#dondeMigrarSelect").val();
                $.ajax({
                    url: "/empresa/mergeClientes",
                    cache: false,
                    type: 'POST',
                    data: {
                        idEmpresa: idEmpresa,
                        nombreEmpresa: nombreEmpresa,
                        idEmpresaNuevo: idEmpresaNuevo,
                    },
                }).done(function(response)
                {
                    // console.log(response);
                    $("#modalMerge").hide();
                });
            });
        /*FIN DATOS MODAL*/
        $("#modalMerge").show();
    }
