var map;
alert("daiosdhoa");
function initMap()//centro del mapa
{
    //const coordenadasDelNodo = {lat: -34.7315752, lng: -58.2881474}; //Recibir esta info desde el nodo
    const coordenadasDelNodo={lat:-34.8711647,lng:-58.0124332};
    map=new google.maps.Map(document.getElementById("map"),{
        center:coordenadasDelNodo, //Coordenadas de Argentina
        zoom:17,
        mapTypeId:google.maps.MapTypeId.ROADMAP
    });

    var marker=new google.maps.Marker({
        position:coordenadasDelNodo,
        map,
        icon:'../mvc/public/img/nodo.png',
    });

}//InitMap

window.initMap=initMap;

$(document).ready(function()
{
    console.log("oid")
    //para quitar los puntos que no son de interés
    var noPoi=[{
        featureType:"poi",
        elementType:"labels",
        stylers:[{
            visibility:"off"
        }]
    }];

    map.setOptions({
        styles:noPoi
    });
    // Función para recibir datos y dibujar en el mapa
    //dibuja el nodo central
    var markers_conectado=[];
    var markers_losi=[];
    var markers_los=[];
    var markers_gasp=[];
    var markers_rougue=[];
    var markers_error=[];

    $.ajax({
        url:"/estadooid/obtenerOnus",
        type:'post',
        datatype:'json',
        data:{},
    }).done(function(respuesta)
    {
        var datos=JSON.parse(respuesta);
        var marcar="";
        for(i in datos)
        {
            var idClientePlan=datos[i].ID_CLIENTE_PLAN;
            var latitud=parseFloat(datos[i].LATITUD);
            var longitud=parseFloat(datos[i].LONGITUD);
            var estadoOnu=parseFloat(datos[i].ESTADO_ONT);
            latitud=latitud ? latitud : 0;
            longitud=longitud ? longitud : 0;
            var coordenadas={lat: latitud, lng: longitud};

            //datos cliente
            var numeroCliente=datos[i].NUMERO;
            var nombreCliente=datos[i].NOMBRE;
            var apellidoCliente=datos[i].APELLIDO;
            var serialNumberOnt=datos[i].SERIALNUMBER;

            var descripcionDeCaida=datos[i].NOMBRE_CAIDA;
            var colorDeCaida=datos[i].COLOR_CAIDA;
            var online=1; //Estado de ont

            var valorCaida=datos[i].VALOR_CAIDA;
            if(estadoOnu=='1')
            {
                marcar=marcador(map,coordenadas,'../mvc/public/img/marker-icon-green.png',idClientePlan,valorCaida,estadoOnu);
                //call function
                markers_conectado.push(marcar);
            }
            else
            {

            //agregar switch case colores -> por el tipo de VALOR_CAIDA
                switch (valorCaida) {
                    case '1':
                        marcar=marcador(map,coordenadas,'../mvc/public/img/marker-icon-red2.png',idClientePlan,valorCaida,estadoOnu);
                        markers_losi.push(marcar);
                        break;
                    case '2':
                        marcar=marcador(map,coordenadas,'../mvc/public/img/firewall.png',idClientePlan,valorCaida,estadoOnu);
                        markers_los.push(marcar);
                        break;
                    case '13':
                        marcar=marcador(map,coordenadas,'../mvc/public/img/marker-icon-orange2.png',idClientePlan,valorCaida,estadoOnu);
                        markers_gasp.push(marcar);
                        break;
                    case '37':
                        marcar=marcador(map,coordenadas,'../mvc/public/img/marker-icon-violet.png',idClientePlan,valorCaida,estadoOnu);
                        markers_rougue.push(marcar);
                        break;
                    case '-1':
                        marcar=marcador(map,coordenadas,'../mvc/public/img/pinche.png',idClientePlan,valorCaida,estadoOnu);
                        markers_error.push(marcar);
                        break;
                    default:
                        // statements_def
                        break;
                }
                //$('.contenedorInfo').css("background-color",colorDeCaida);//Indica el calor de la caida correspondiente
            }
            //markers.push(marcar);
        }

        //hacer 5 arrays conectado, push . 4 tipos de errores.

        var markerCluster1 = new MarkerClusterer(map, markers_conectado,{
            imagePath: '../mvc/public/img/clusterVerde'
        });

        var markerCluster2 = new MarkerClusterer(map, markers_losi,{imagePath: '../mvc/public/img/clusterRojo'});
        var markerCluster3 = new MarkerClusterer(map, markers_los,{imagePath: '../mvc/public/img/clusterNaranja'});
        var markerCluster4 = new MarkerClusterer(map, markers_gasp,{imagePath: '../mvc/public/img/clusterAmarillo'});
        var markerCluster5 = new MarkerClusterer(map, markers_rougue,{imagePath: '../mvc/public/img/clusterVioleta'});
        var markerCluster6 = new MarkerClusterer(map, markers_error,{imagePath: '../mvc/public/img/clusterBordo'});

        var styles = markerCluster1.getStyles();
        for (let i=0; i<styles.length; i++) {
            styles[i].textColor = "white";
            styles[i].textSize = 14;
        }
        styles = markerCluster2.getStyles();
        for (let i=0; i<styles.length; i++) {
            styles[i].textColor = "white";
            styles[i].textSize = 14;
        }
        styles = markerCluster3.getStyles();
        for (let i=0; i<styles.length; i++) {
            styles[i].textColor = "white";
            styles[i].textSize = 14;
        }
        styles = markerCluster4.getStyles();
        for (let i=0; i<styles.length; i++) {
            styles[i].textColor = "white";
            styles[i].textSize = 14;
        }
        styles = markerCluster5.getStyles();
        for (let i=0; i<styles.length; i++) {
            styles[i].textColor = "white";
            styles[i].textSize = 14;
        }
        styles = markerCluster6.getStyles();
        for (let i=0; i<styles.length; i++) {
            styles[i].textColor = "white";
            styles[i].textSize = 14;
        }
    })
    .fail(function (jqXHR, textStatus, errorThrown)
    {
        console.log("" + jqXHR + textStatus +errorThrown);
    });

    //fin dibuja nodo central

    //--Function google
    function marcador(map,coordenadas,nombreImg,idClientePlan,valorCaida,estado)
    {
        previous_Window=null;
        svgMarker={
            path: "M215.7 499.2C267 435 384 279.4 384 192C384 86 298 0 192 0S0 86 0 192c0 87.4 117 243 168.3 307.2c12.3 15.3 35.1 15.3 47.4 0zM192 256c-35.3 0-64-28.7-64-64s28.7-64 64-64s64 28.7 64 64s-28.7 64-64 64z",
            fillColor:"#000",
            strokeColor: "#00ff00",
            fillOpacity:0.9,
            strokeWeight:0.3,
            rotation:0,
            scale:0.04,
        };
        var marker=new google.maps.Marker({
            position: coordenadas,
            map: map,
            icon: nombreImg,//aquí se declara el icono que va a usar
            animation:null,
            idclienteplan: idClientePlan,
            valorCaida: valorCaida,
            estado:estado
        });
        marker.placeResult=coordenadas;
        var infowindow=new google.maps.InfoWindow();
        var service=new google.maps.places.PlacesService(map);
        google.maps.event.addListener(marker, 'click', function (evt) {
            // the click event function is called with the "event" as an argument
            //cerrar todos los windows info antes de abrir el nuevo
            if (previous_Window) {
                previous_Window.close();
            }
            showInfoWindow(evt,this,service,map,infowindow,estado);
            previous_Window=infowindow;
        });
        return marker;
    }
    function showInfoWindow(evt, service_marker, service, map, infowindow)
    {
        $.ajax({
            url:'/estadooid/obtenerInfoMarker',
            type:'post',
            datatype:'json',
            data:{
                idClientePlan:service_marker.idclienteplan,
                valorCaida:service_marker.valorCaida,
                estado:service_marker.estado
            },
        }).done(function(respuesta)
        {
            infowindow.setContent(respuesta);
            infowindow.open(map,service_marker);
        })
        .fail(function (jqXHR, textStatus, errorThrown)
        {
            console.log("" + jqXHR + textStatus +errorThrown);
        });
        infowindow.open(map, service_marker);
    }
})