
//Tag por columna consumo
$(document).ready(function()
{
    const PORCENTAJE_COLUMNA=10; //porcentaje
    $('#tablaPhp tbody tr').each(function()
    {
        tagColumana(PORCENTAJE_COLUMNA);
    });

    //click data table
    var table = $('#tablaPhp').DataTable();
    table.on('draw', function()
    {
        tagColumana(PORCENTAJE_COLUMNA);
    });

});
function tagColumana(PORCENTAJE_COLUMNA)
{
    $('#tablaPhp tbody tr').each(function()
    {
        var porcentajePorFila=parseFloat($(this).find('td:eq(' + PORCENTAJE_COLUMNA + ')').text());
        if(!isNaN(porcentajePorFila))
        {
            if (porcentajePorFila<75)
            {
                $(this).find('td:eq(' + PORCENTAJE_COLUMNA + ')').attr('style', 'color: #4CAF50 !important;');
            }
            else if (porcentajePorFila<99)
            {
                $(this).find('td:eq(' + PORCENTAJE_COLUMNA + ')').attr('style', 'color: #ff6a00 !important;');
            }
            else
            {
                $(this).find('td:eq(' + PORCENTAJE_COLUMNA + ')').attr('style', 'color: #ff0000 !important;');
            }
        }
    });
}
