const modal = document.getElementById('genericModal');
const modalButtonBox = document.getElementById('modal-buttons-box');
const modalOverlay = document.getElementById('overlayGenericModal');
const modalTitle = document.getElementById('modalTitle');
const modalText = document.getElementById('modalText');

const cancelButton =`<button id="cancelBtn" class="close-btn-modal">Cancelar</button>`
const acceptButton = `<button id="acceptBtn" class="close-btn-modal">Entendido</button>`;

function showModal(type) {
    var titleModalDanger ="Cuidado";
    var textModalDanger ="Se eliminara el elemento seleccionado";
    var titleModalSuccess="";
    var textModalSuccess ="Datos guardados con exito";
    switch (type) {
        case "danger":
            $('#iconGenericModal').attr('class','bi bi-exclamation-circle');
            $('#iconGenericModal').css('color','red');
            $('#genericModal').addClass('active');
            modalTitle.textContent = titleModalDanger;
            modalText.textContent = textModalDanger ;
            modalButtonBox.innerHTML = [cancelButton];
            $('#cancelBtn').click(function(){
                $('#genericModal').removeClass('active');
            });
            break;
        case "info":
            $('#iconGenericModal').attr('class','bi bi-info');
            $('#iconGenericModal').css('color','#006aa6');
            $('#genericModal').addClass('active');
            modalTitle.textContent = titleModal;
            modalText.textContent = textModal ;
            modalButtonBox.innerHTML = [acceptButton];
            $('#acceptBtn').text("Ok")
            $('#acceptBtn').click(function(){
                $('#genericModal').removeClass('active');
            });
        break;
        case "success":
            $('#genericModal').show();
            $('#iconGenericModal').html('<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <circle opacity="0.5" cx="12" cy="12" r="10" stroke="#54af18" stroke-width="1.5"></circle> <path d="M8.5 12.5L10.5 14.5L15.5 9.5" stroke="#54af18" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path> </g></svg>');
            $('#iconGenericModal').css('color','#19b904c7');
            $('#iconGenericModal').css('width','20%');
            $('#genericModal').addClass('active');
            modalTitle.textContent = titleModalSuccess;
            modalText.textContent = 'Guardado con Exito' ;
            //modalButtonBox.innerHTML = [acceptButton];
            $('#acceptBtn').css('background-color','#19b904c7');
            $('#acceptBtn').click(function(){
                $('#genericModal').removeClass('active');
            });
            break;
        case "empty":
            $('#iconGenericModal').attr('class','');
            $('#genericModal').addClass('active');
            modalTitle.textContent = "";
            modalText.textContent = "";
            modalButtonBox.innerHTML = "";
        break;
        default:
        break;
    }
}

function hideModal(){
    modal.classList.remove('active');
    $('#genericModal').removeClass('active');
}

$(modalOverlay).click(function(){
    hideModal();
});
if ($('#switch_app').is(':checked')) {
    $(".asignacionGrupoSelectBox").show();

}
if ($('#switch_email').is(':checked')) {
    $("#btnTutorialEmail").show();
}
if ($('#switch_telegram').is(':checked')) {
    $("#btnTutorial").show();
}
$('#btnTutorial').click(function (e) {
  window.location.href="/notificaciones/tutorial"
});

$('#btnTutorialEmail').click(function (e) {
    window.location.href="/notificaciones/tutorial#email"
  });
function envioDatos() {

   nombre=$('#nombre').val();

   imagen=$('#imagen').val();
   chatid=$('#chatid').val();
   token=$('#token').val();
   access_token=$('#access_token').val();
   telefono_id=$('#telefonoID').val();

   switch_app=$('#switch_app').is(':checked');
   switch_email=$('#switch_email').is(':checked');
   switch_telegram=$('#switch_telegram').is(':checked');
   switch_whats=$('#switch_whats').is(':checked');
   switch_los=$('#switch_los').is(':checked');
   switch_losi=$('#switch_losi').is(':checked');
   switch_dying=$('#switch_dying').is(':checked');
   switch_rouge=$('#switch_rouge').is(':checked');
   switch_veriflink=$('#switch_veriflink').is(':checked');
   switch_caja=$('#switch_caja').is(':checked');
   switch_sangradofdh=$('#switch_sangradofdh').is(':checked');
   check_losi=$('#check_losi').is(':checked');
   check_dying=$('#check_dying').is(':checked');
   check_los=$('#check_los').is(':checked');
   check_rouge=$('#check_rouge').is(':checked');
   check_veriflink=$('#check_veriflink').is(':checked');
   check_caja=$('#check_caja').is(':checked');
   check_sangradofdh=$('#check_sangradofdh').is(':checked');
   mailActual = $('#mail_actual').val();
   passwordActual = $('#password_actual').val();
   mailDestino = $('#mail_destino').val();
   // porcent_los=$('#config_los').val();
   // porcent_losi=$('#config_losi').val();
   porcent_losi=$('#porcent_losi').val();
   porcent_dying=$('#porcent_dying').val();

   porcent_losi_olt=$('#porcent_losi_olt').val();
   porcent_dying_olt=$('#porcent_dying_olt').val();

   switch_losi_olt=$('#switch_losi_olt').is(':checked');
   check_losi_olt=$('#check_losi_olt').is(':checked');

   switch_los_olt=$('#switch_los_olt').is(':checked');
   check_los_olt=$('#check_los_olt').is(':checked');

   switch_dying_olt=$('#switch_dying_olt').is(':checked');
   check_dying_olt=$('#check_dying_olt').is(':checked');

   check_los_olt=$('#check_los_olt').is(':checked');
   check_los_olt=$('#check_los_olt').is(':checked');

   check_rouge_olt=$('#check_rouge_olt').is(':checked');
   switch_rouge_olt=$('#switch_rouge_olt').is(':checked');

   switch_caja_olt=$('#switch_caja_olt').is(':checked');
   check_caja_olt=$('#check_caja_olt').is(':checked');

   switch_sangradofdh_olt=$('#switch_sangradofdh_olt').is(':checked');
   check_sangradofdh_olt=$('#check_sangradofdh_olt').is(':checked');


   switch_transferencia_50=$('#switch_transferencia_50').is(':checked');
   check_transferencia_50=$('#check_transferencia_50').is(':checked');

   switch_transferencia_60=$('#switch_transferencia_60').is(':checked');
   check_transferencia_60=$('#check_transferencia_60').is(':checked');


   switch_transferencia_70=$('#switch_transferencia_70').is(':checked');
   check_transferencia_70=$('#check_transferencia_70').is(':checked');

   switch_transferencia_80=$('#switch_transferencia_80').is(':checked');
   check_transferencia_80=$('#check_transferencia_80').is(':checked');

   switch_transferencia_90=$('#switch_transferencia_90').is(':checked');
   check_transferencia_90=$('#check_transferencia_90').is(':checked');

   switch_transferencia_100=$('#switch_transferencia_100').is(':checked');
   check_transferencia_100=$('#check_transferencia_100').is(':checked');

   switch_transferencia_150=$('#switch_transferencia_150').is(':checked');
   check_transferencia_150=$('#check_transferencia_150').is(':checked');

   // porcent_rouge=$('#config_rouge').val();
   mails ='';
   $('.correo').each(function(index, obj) {
       mail=$(this).text().trim();
       mail=mail.replace(/\Eliminar/, '');
       mails += mail+',';
   });
   mails=mails.slice(0,-1);//para quitar la ultima coma del string

   olt=$('#oltSelect option:selected').val();
   // if (condition) {

   // }
   notifApp='';
   telefonos='';
   $('.nros_mostrar').each(function(index, obj) {
       tel=obj.innerText;
       tel=tel.replace(/\(/, '');
       tel=tel.replace(/\)/, '');
       tel=tel.replace(/\ /, '');
       tel=tel.replace(/\-/, '');
       tel=tel.replace(/\Eliminar/, '');
       telefonos += tel+',';
   });

   var formData=new FormData(form);
   formData.append('nombre', nombre);
   formData.append('mails', mails);
   formData.append('token', token);
   formData.append('telefono_id', telefono_id);
   formData.append('access_token', access_token);
   formData.append('telefonos',telefonos);
   formData.append('switch_app',switch_app);
   formData.append('porcent_losi',porcent_losi);
   formData.append('porcent_dying',porcent_dying);
   formData.append('porcent_losi_olt',porcent_losi_olt);
   formData.append('porcent_dying_olt',porcent_dying_olt);
   formData.append('switch_email',switch_email);
   formData.append('switch_telegram',switch_telegram);
   formData.append('switch_whats',switch_whats);
   formData.append('switch_los',switch_los);
   formData.append('switch_losi',switch_losi);
   formData.append('switch_dying',switch_dying);
   formData.append('switch_rouge',switch_rouge);
   formData.append('check_losi',check_losi);
   formData.append('check_dying',check_dying);
   formData.append('check_los',check_los);
   formData.append('check_rouge',check_rouge);
   formData.append('check_veriflink',check_veriflink);
   formData.append('mail_actual',mailActual);
   formData.append('password_actual',passwordActual);
   formData.append('mail_destino',mailDestino);
   formData.append('switch_veriflink',switch_veriflink);
   formData.append('cambiar_imagen',flag);
   formData.append('switch_caja',switch_caja);
   formData.append('switch_sangradofdh',switch_sangradofdh);
   formData.append('check_caja',check_caja);
   formData.append('check_sangradofdh',check_sangradofdh);
   formData.append('switch_caja_olt',switch_caja_olt);
   formData.append('switch_sangradofdh_olt',switch_sangradofdh_olt);
   formData.append('check_caja_olt',check_caja_olt);
   formData.append('check_sangradofdh_olt',check_sangradofdh_olt);
   formData.append('switch_los_olt',switch_los_olt);
   formData.append('switch_losi_olt',switch_losi_olt);
   formData.append('switch_dying_olt',switch_dying_olt);
   formData.append('switch_rouge_olt',switch_rouge_olt);
   formData.append('check_losi_olt',check_losi_olt);
   formData.append('check_dying_olt',check_dying_olt);
   formData.append('check_los_olt',check_los_olt);
   formData.append('check_rouge_olt',check_rouge_olt);
   formData.append('olt',olt);
   formData.append('notifApp',notifApp);
   formData.append('switch_transferencia_50',switch_transferencia_50);
   formData.append('check_transferencia_50',check_transferencia_50);
   formData.append('switch_transferencia_60',switch_transferencia_60);
   formData.append('check_transferencia_60',check_transferencia_60);
   formData.append('switch_transferencia_70',switch_transferencia_70);
   formData.append('check_transferencia_70',check_transferencia_70);
   formData.append('switch_transferencia_80',switch_transferencia_80);
   formData.append('check_transferencia_80',check_transferencia_80);
   formData.append('switch_transferencia_90',switch_transferencia_90);
   formData.append('check_transferencia_90',check_transferencia_90);
   formData.append('switch_transferencia_100',switch_transferencia_100);
   formData.append('check_transferencia_100',check_transferencia_100);
   formData.append('switch_transferencia_150',switch_transferencia_150);
   formData.append('check_transferencia_150',check_transferencia_150);

   //**
   isChecked = $("#switch_config_global").is(':checked');
   if(isChecked)
   {
       switch_config_global=1;
   }
   else
   {
       switch_config_global=0;
   }
   formData.append('switch_config_global',isChecked);


   let successInfo = $('#successInfo');
   $.ajax({
       url:"/notificaciones/crear",
       cache: false,
       data: formData,
       contentType: false,
       processData: false,
       method: 'POST',
       type: 'POST',
       datatype:'json',
   }).done(function(response)
   {


       if(response!='' && response!== null)
       {
        showModal("success")
        setTimeout(() => {
            location.reload();
        }, "1000")

       }

   })
   .fail(function (jqXHR, textStatus, errorThrown){
       alert("" + jqXHR + textStatus +errorThrown);
   });

}

$("form").submit(function(e)
{
    e.preventDefault();
    envioDatos()
});


$('#multiplicador').keydown(function()
{
    if(event.keyCode===32 )
    {//si el caracter presionado es barra espaciadora crea un nuevo elemento con el texto ingresado
        if(IsEmail($('#multiplicador').val())==true)
        {//si es mail entonces genera el <span>
            const span=this.insertAdjacentElement('beforebegin', document.createElement('span'));
            span.classList.add( "correo" );
            span.textContent=$('#multiplicador').val();
            const x=span.appendChild(document.createElement('button'));
            x.textContent='x';
            x.classList.add('boton');
            x.onclick= () => span.remove();
            $('#multiplicador').val('');
        }
        else
        {
            alert("mail ingresado no valido");
        }
    }
});

$('#telefono').keydown(function()
{
    if(event.keyCode === 32 )
    {//si el caracter presionado es barra espaciadora crea un nuevo elemento con el texto ingresado
        const span=this.insertAdjacentElement('beforebegin', document.createElement('span'));
        span.classList.add( "tel" );
        span.textContent=$('#telefono').val();
        const x=span.appendChild(document.createElement('button'));
        x.textContent='x';
        x.classList.add('boton');
        x.onclick= () => span.remove();
        $('#telefono').val('');
    }
});

function IsEmail(email)
{//funciona para verificar que un string sea un email
    var regex = /^([a-zA-Z0-9_\.\-\+])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if(!regex.test(email))
    {
        return false;
    }
    else
    {
        return true;
    }
}

//para eliminar los span de los mails
$(document).on('click', '.boton', function ()
{
    $(this).closest('span').remove();
});

$(document).on('keyup keypress', 'input', function(e)
{//para deshabilitar el boton enter, sino se borran los elementos  de la etiqueta
    if(e.which==13)
    {
        e.preventDefault();
        return false;
    }
});

$(document).on('click', '.eliminar', function (e)
{
    e.preventDefault();
    $(this).closest('div').remove();


});

var phoneInput = document.getElementById('nro_actual');
phoneInput.addEventListener('input', function (e) {
    var x = e.target.value.replace(/\D/g, '').match(/(\d{0,3})(\d{0,4})(\d{0,4})/);
    e.target.value = !x[2] ? x[1] : '(' + x[1] + ') ' + x[2] + (x[3] ? '-' + x[3] : '');
});
var flag=false;
$("#imagen").change(function(){
    flag=true;
});

$( document ).ready(function() {
    $('#oltSelect').attr('disabled',true);
    $(function () {
        var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
        var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
            return new bootstrap.Tooltip(tooltipTriggerEl)
        })
    })
    let switchConfigOlt = $("#switch_config_olt").is(':checked');
    $('#switch_config_global').on('click', function(){
        if (switchConfigOlt = true) {
            $(".box-if-config-olt-is-checked").css("filter","opacity(0.3)");
            // $('.box-if-config-olt-is-checked :input').prop('checked', false);
            $('.box-if-config-olt-is-checked :input').attr('disabled','disabled');
            // $('#switch_config_olt').prop('checked', false);
            $("#inputsPorOlt").css("filter","opacity(0.3)");
            // $("#inputsPorOlt").prop('checked', false);
        }
        isChecked = $(this).is(':checked')
        if(isChecked){
            $(".box-if-config-global-is-checked").css("filter","none");
            $('.box-if-config-global-is-checked :input').removeAttr('disabled');
            $('#oltSelect').attr('disabled','disabled');
        }else{
            $(".box-if-config-global-is-checked").css("filter","opacity(0.3)");
            // $('.box-if-config-global-is-checked :input').prop('checked', false);
            $('.box-if-config-global-is-checked :input').attr('disabled','disabled');
        }
    });
    let switchConfigGlobal = $("#switch_config_global").is(':checked');
    $('#switch_config_olt').on('click', function(){
        if (switchConfigGlobal == true)
        {
            $(".box-if-config-global-is-checked").css("filter","opacity(0.3)");
            $("#inputsPorOlt").css("filter","opacity(1)");
            // $("#inputsPorOlt").prop('checked', true);
            // $('.box-if-config-global-is-checked :input').prop('checked', false);
            $('.box-if-config-global-is-checked :input').attr('disabled','disabled');
            // $('#switch_config_global').prop('checked', false);
        }
        isChecked = $(this).is(':checked')
        if(isChecked)
        {
            $('#oltSelect').removeAttr('disabled');

            $(".box-if-config-olt-is-checked").css("filter","none")
            $('#sinNotificacionesOlt1').css("filter","none");

            $('#sinNotificacionesOlt').removeAttr('disabled');

            $('#inputsPorOlt').css("filter","none");

            $(".box-if-config-global-is-checked").css("filter","opacity(0.3)");

            if ($('#oltSelect option:selected').val()!='')
            {
                $('.box-if-config-global-is-checked :input').attr('disabled','disabled');
                $('.box-if-config-olt-is-checked :input').removeAttr('disabled');
            }
        }
        else
        {
            $(".box-if-config-olt-is-checked").css("filter","opacity(0.3)")
            // $('.box-if-config-olt-is-checked :input').prop('checked', false);
            $('.box-if-config-olt-is-checked :input').attr('disabled','disabled');
            $('#sinNotificacionesOlt').attr('disabled','disabled');
            $('#sinNotificacionesOlt').prop('checked', false);
            $('#sinNotificacionesOlt1').css("filter","opacity(0.3)");
            $('#oltSelect').attr('disabled','disabled');
            // $('#porcent_losi_olt').val(0);
            // $('#porcent_dying_olt').val(0);
            // $("#porcent_losi_olt_num").text("0 %");
            // $("#porcent_dying_olt_num").text("0 %");
            $("#idNombreOlt").text('');
            // $("#oltSelect").val($(this).find('option:first').val());
        }
    });
    $('#switch_telegram').on('click', function(){
        isChecked = $(this).is(':checked')

        if(isChecked)
        {
            $("#telegram-box").css("filter","none");
            $("#btnTutorial").show();
        }
        else
        {
            $("#telegram-box").css("filter","opacity(0.3)");
            $("#btnTutorial").hide();
        }
    });
    $('#switch_app').on('click', function(){
        isChecked = $(this).is(':checked')
        if(isChecked)
        {
            $(".asignacionGrupoSelectBox").show();

            notifApp=$(this).val();
        }
        else
        {
            $(".asignacionGrupoSelectBox").hide();

            notifApp=null;
        }
    });
    $('#switch_whats').on('click', function(){
        isChecked = $(this).is(':checked')

        if(isChecked){
            $("#whatsapp-box").css("filter","none");
            $("#area_numeros").css("filter","none");
            $("#area_numeros").show();
            const numerosq=document.querySelectorAll('.eliminar_wha');
            numerosq.forEach((boton_eliminar) => {
                $(boton_eliminar).attr("disabled",false);
            });
            $("#agregar_nro").attr("disabled",false);
        }
        else
        {
            $("#whatsapp-box").css("filter","opacity(0.3)");
            $("#area_numeros").css("filter","opacity(0.3)");
            const numerosq=document.querySelectorAll('.eliminar_wha');
            numerosq.forEach((boton_eliminar) => {
                $(boton_eliminar).attr("disabled",true);
            });
            $("#agregar_nro").attr("disabled",true);
        }


    });
    $('#switch_email').on('click', function(){
        isChecked = $(this).is(':checked')
        if(isChecked){
            $("#email-box").css("filter","none");
            $("#area_mail").css("filter","none");
            $("#area_mail").show();
            $("#btnTutorialEmail").show();
            const mailq=document.querySelectorAll('.eliminar_mail');
            mailq.forEach((boton_eliminar) => {
                $(boton_eliminar).attr("disabled",false);
            });
            $("#agregar_mail").attr("disabled",false);
        }
        else
        {
            $("#btnTutorialEmail").hide();
            $("#email-box").css("filter","opacity(0.3)");
            $("#area_mail").css("filter","opacity(0.3)");
            const mailq=document.querySelectorAll('.eliminar_mail');
            mailq.forEach((boton_eliminar) => {
                $(boton_eliminar).attr("disabled",true);
            });
            $("#agregar_mail").attr("disabled",true);
        }
    });
    $('#switch_telegram').on('click', function(){
        isChecked = $(this).is(':checked')
        if(isChecked){
            $("#chatid").removeAttr('disabled');
            $("#token").removeAttr('disabled');
        }
        else
        {
            $("#chatid").attr('disabled','disabled');
            $("#token").attr('disabled','disabled');
        }
    });
    $('#switch_whats').on('click', function(){
        isChecked = $(this).is(':checked')
        if(isChecked)
        {
            $("#telefonoID").removeAttr('disabled');
            $("#access_token").removeAttr('disabled');
            $("#nro_actual").removeAttr('disabled');
        }
        else
        {
            $("#telefonoID").attr('disabled','disabled');
            $("#access_token").attr('disabled','disabled');
            $("#nro_actual").attr('disabled','disabled');
        }
    });
    $('#switch_email').on('click', function(){
        isChecked = $(this).is(':checked')
        if(isChecked)
        {
            $("#mail_actual").removeAttr('disabled');
            $("#password_actual").removeAttr('disabled');
            $("#mail_destino").removeAttr('disabled');
        }
        else
        {
            $("#mail_actual").attr('disabled','disabled');
            $("#password_actual").attr('disabled','disabled');
            $("#mail_destino").attr('disabled','disabled');
        }
    });

    const checkBoxes=document.querySelectorAll('.cambiador');
    function handleCheckboxClick(event) {
        checkBoxes.forEach((checkBox) => {
            if (event.target !== checkBox)
            {
                checkBox.checked = false;
            }
        });
    }

    checkBoxes.forEach((checkBox) => {
      checkBox.addEventListener('click', handleCheckboxClick);
    });

    $('#enviar_telegram').click(function()
    {
        $.ajax({
            url:"/notificaciones/telegram",
            type:'post',
            datatype:'json',
            data:{},
        }).done(function(respuesta)
        {
            var contenido = '<div>Mensaje enviado</div>';
            $("#resultados").html(contenido);
        })
        .fail(function (jqXHR, textStatus, errorThrown){
            alert("" + jqXHR + textStatus +errorThrown);
        });
    })

    $('.filter-option-inner-inner').html("Seleccione");

    $('#config_los').change(function()
    {
        valor = $('#config_los').val();
        $('#los').html(valor+'%');
    })
    $('#porcent_losi').change(function()
    {
        valor = $('#porcent_losi').val();
        $('#losi').html(valor+'%');
    })
    $('#porcent_dying').change(function()
    {
        valor = $('#porcent_dying').val();
        $('#dying').html(valor+'%');
    })
    $('#config_rouge').change(function()
    {
        valor = $('#config_rouge').val();
        $('#rouge').html(valor+'%');
    })

    // ----------------------
    $('#agregar_nro').click(function(e)
    {
        e.preventDefault();
        numero=$('#nro_actual').val();
        if(numero!='')
        {
            $("#area_numeros").append( "<div class='nros_mostrar mb-1'>"+numero+"<button class='eliminar' style='border: none; color: #006aa6;background-color:transparent;'><i class='fas fa-times'></i></button></div>" );
            $("#nro_actual").val('');
        }
    }),
    $('#agregar_mail').click(function(e)
    {
        e.preventDefault();
        mail=$('#mail_destino').val();
        if(mail!='' && IsEmail(mail))
        {
            $( "#area_mail" ).append("<div class='correo'>"+mail+"<button class='eliminar' style='border: none; color: #006aa6;background-color:transparent;'><i class='fas fa-times'></i></button></div>");
            $("#mail_destino").val('');
            envioDatos()
        }
        else
        {
            alert("No es un e-mail valido");
        }
    })
    //Modal
    $('.eliminar').click(function(e)
    {
        // showModal("danger");
        // $(this).closest('div').remove();
        event.stopPropagation();
        if(confirm("Do you want to delete?")) {
            this.click;
            alert("Ok");
            $(this).closest('div').remove();
        }
        else
        {
            alert("Cancel");
        }
        event.preventDefault();
    });


    $("#imagen").change(function () {
        const file = this.files[0];
        if(file) {
            let reader = new FileReader();
            reader.onload = function (event) {
                $("#blah")
                  .attr("src", event.target.result);
            };
            reader.readAsDataURL(file);
        }
    });

    <?php

    if($this->datos->ID_IMAGEN && $this->datos->ID_IMAGEN!='')
    {
        ?>
        id_img=<?php echo $this->datos->ID_IMAGEN?>;
        <?php
    }
    else{
        ?>
        id_img=0;
        <?php
    }
    ?>

    // $.ajax({
    //     url:"/notificaciones/obtenerImagen",
    //     type:'post',
    //     datatype:'json',
    //     data:{id_img: id_img},
    // }).done(function(respuesta)
    // {
    //     console.log(respuesta);

    //     // var contenido = '<div>Mensaje enviado</div>'
    //     $("#imgPreview").attr("src", respuesta);

    // })
    // .fail(function (jqXHR, textStatus, errorThrown){
    //     alert("" + jqXHR + textStatus +errorThrown);
    // });

    $("#porcent_losi_olt").on('input change', function(){
        $("#porcent_losi_olt_num").text($(this).val()+" %");
    });
    $("#porcent_dying_olt").on('input change', function(){
        $("#porcent_dying_olt_num").text($(this).val()+" %");
    });

    $("#porcent_losi").on('input change', function(){
        $("#porcent_losi_num").text($(this).val()+" %");
    });
    $("#porcent_dying").on('input change', function(){
        $("#porcent_dying_num").text($(this).val()+" %");
    });

    $("#oltSelect").change(function()
    {
        //id de la olt
        $("#idNombreOlt").text($('#oltSelect option:selected').text());
        idolt=$('#oltSelect option:selected').val();
        if (idolt!='')
        {
            $.ajax({
                url:"/notificaciones/traerDatosOlt",
                type:'post',
                datatype:'json',
                data:{
                    olt:idolt
                },
            }).done(function(respuesta)
            {
                res=JSON.parse(respuesta);
                $("#porcent_losi_olt").removeAttr('disabled');
                $("#porcent_dying_olt").removeAttr('disabled');
                $("#switch_losi_olt").removeAttr('disabled');
                $("#check_losi_olt").removeAttr('disabled');
                $("#switch_dying_olt").removeAttr('disabled');
                $("#check_dying_olt").removeAttr('disabled');
                $("#switch_los_olt").removeAttr('disabled');
                $("#check_los_olt").removeAttr('disabled');
                $("#switch_rouge_olt").removeAttr('disabled');
                $("#check_rouge_olt").removeAttr('disabled');
                $("#switch_caja_olt").removeAttr('disabled');
                $("#check_caja_olt").removeAttr('disabled');
                $("#switch_sangradofdh_olt").removeAttr('disabled');
                $("#check_sangradofdh_olt").removeAttr('disabled');

                if (res.SWITCH_LOSI_OLT==1)
                {
                    $( "#switch_losi_olt").prop('checked', true);
                }
                else
                {
                    $( "#switch_losi_olt").prop('checked', false);
                }
                if (res.CHECK_LOSI_OLT==1)
                {
                    $( "#check_losi_olt").prop('checked', true);
                }
                else
                {
                    $( "#check_losi_olt").prop('checked', false);
                }
                if (res.SWITCH_DYINGGASP_OLT==1)
                {
                    $( "#switch_dying_olt").prop('checked', true);
                }
                else
                {
                    $( "#switch_dying_olt").prop('checked', false);
                }
                if (res.CHECK_DYINGGASP_OLT==1)
                {
                    $( "#check_dying_olt").prop('checked', true);
                }
                else
                {
                    $( "#check_dying_olt").prop('checked', false);
                }
                if (res.SWITCH_LOS_OLT==1)
                {
                    $( "#switch_los_olt").prop('checked', true);
                }
                else
                {
                    $( "#switch_los_olt").prop('checked', false);
                }
                if (res.CHECK_LOS_OLT==1)
                {
                    $( "#check_los_olt").prop('checked', true);
                }
                else
                {
                    $( "#check_los_olt").prop('checked', false);
                }
                if (res.SWITCH_ROUGUE_OLT==1)
                {
                    $( "#switch_rouge_olt").prop('checked', true);
                }
                else
                {
                    $( "#switch_rouge_olt").prop('checked', false);
                }
                if (res.CHECK_ROUGUE_OLT==1)
                {
                    $( "#check_rouge_olt").prop('checked', true);
                }
                else
                {
                    $( "#check_rouge_olt").prop('checked', false);
                }
                if (res.SWITCH_CAJA_OLT==1)
                {
                    $( "#switch_caja_olt").prop('checked', true);
                }
                else
                {
                    $( "#switch_caja_olt").prop('checked', false);
                }
                if (res.CHECK_CAJA_OLT==1)
                {
                    $( "#check_caja_olt").prop('checked', true);
                }
                else
                {
                    $( "#check_caja_olt").prop('checked', false);
                }
                if (res.SWITCH_SANGRADO_OLT==1)
                {
                    $( "#switch_sangradofdh_olt").prop('checked', true);
                }
                else
                {
                    $( "#switch_sangradofdh_olt").prop('checked', false);
                }
                if (res.CHECK_SANGRADO_OLT==1)
                {
                    $( "#check_sangradofdh_olt").prop('checked', true);
                }
                else
                {
                    $( "#check_sangradofdh_olt").prop('checked', false);
                }
                if (res.PORCENT_LOSI_OLT!=undefined && res.PORCENT_LOSI_OLT!='')
                {
                    $("#porcent_losi_olt_num").text(res.PORCENT_LOSI_OLT+" %");
                    $("#porcent_losi_olt").val(res.PORCENT_LOSI_OLT);
                }
                else
                {
                    $("#porcent_losi_olt_num").text("0 %");
                    $("#porcent_losi_olt").val(0);
                }
                if (res.PORCENT_GASP_OLT!=undefined && res.PORCENT_GASP_OLT!='')
                {
                    $("#porcent_dying_olt_num").text(res.PORCENT_GASP_OLT+" %");
                    $("#porcent_dying_olt").val(res.PORCENT_GASP_OLT);
                }
                else
                {
                    $("#porcent_dying_olt_num").text("0 %");
                    $("#porcent_dying_olt").val(0);
                }
            })
            .fail(function (jqXHR, textStatus, errorThrown){
                alert("" + jqXHR + textStatus +errorThrown);
            });
        }
        else
        {
            $("#porcent_losi_olt").val(0);
            $("#porcent_losi_olt_num").text("0 %");
            $("#porcent_losi_olt").attr('disabled','disabled');
            $("#porcent_dying_olt").val(0);
            $("#porcent_dying_olt_num").text("0 %");
            $("#porcent_dying_olt").attr('disabled','disabled');
            $("#switch_losi_olt").prop('checked', false).attr('disabled','disabled');
            $("#check_losi_olt").prop('checked', false).attr('disabled','disabled');
            $("#switch_dying_olt").prop('checked', false).attr('disabled','disabled');
            $("#check_dying_olt").prop('checked', false).attr('disabled','disabled');
            $("#switch_los_olt").prop('checked', false).attr('disabled','disabled');
            $("#check_los_olt").prop('checked', false).attr('disabled','disabled');
            $("#switch_rouge_olt").prop('checked', false).attr('disabled','disabled');
            $("#check_rouge_olt").prop('checked', false).attr('disabled','disabled');
            $("#switch_caja_olt").prop('checked', false).attr('disabled','disabled');
            $("#check_caja_olt").prop('checked', false).attr('disabled','disabled');
            $("#switch_sangradofdh_olt").prop('checked', false).attr('disabled','disabled');
            $("#check_sangradofdh_olt").prop('checked', false).attr('disabled','disabled');
        }

        function getRandomNumber(min, max) {
            return Math.floor(Math.random() * (max - min + 1) + min);
        }
    });

    const notificacionesLabels = $('#content-olt-by-select').find('label');
    //Check para deshabilitar todos los inputs de esa OLT
    $('#sinNotificacionesOlt').click(function(){
        isChecked=$(this).is(':checked');
        let value=$('#oltSelect').val();
        $("#olt-general :input").prop('checked', false);
        $("#olt-general :input").attr('disabled','disabled');
        if(isChecked)
        {
            $("#olt-"+value).find('input').prop('checked', false);
            $("#olt-"+value).find('input').attr('disabled','disabled');
            $(notificacionesLabels).css("color","grey");
            $("#oltSelect").change(function() {
                $('#sinNotificacionesOlt').prop('checked', false);
                $(notificacionesLabels).css("color","#006aa6");
                $('.box-if-config-olt-is-checked :input').removeAttr('disabled');
            });
            $("#porcent_losi_olt_num").text('0 %');
            $("#porcent_dying_olt_num").text('0 %');
            $('#porcent_losi_olt').val(0);
            $('#porcent_dying_olt').val(0);
        }
        else
        {
            $(notificacionesLabels).css("color","#006aa6");
            $('[id^=olt-] :input').removeAttr('disabled');
        }
    });

    $("#formFile").change(function () {
        const file = this.files[0];
        if (file) {
            let reader = new FileReader();
            reader.onload = function (e) {
                const base64 = e.target.result; // Obtiene el resultado en base64
                $("#imgPreview").attr("src", base64); // Muestra la imagen en <img>
                $("#base64Output").val(base64); // Muestra el base64 en el textarea
            };
            reader.readAsDataURL(file);
        }
    });
    $('.eliminar_mail').click(function (e) {
        envioDatos()

    });
});
