var objeto =null;
function modalUsuario(dataDatosParse)
{
    objeto=dataDatosParse;
    // Limpiar cualquier dato previo en el modal
    limpiarModalMvc("modalUsuario");
    // Inicialmente, ocultar el modal
    $("#modalUsuario").hide();
    // Mostrar el modal
    $("#modalUsuario").show();
    if(objeto!=undefined)
        {
            const idTecnicoActual=objeto.ID_TECNICO;
            const idGrupoActual=objeto.ID_GRUPO;
            const prioridadActual=objeto.PRIORIDAD_VALOR;
            const estadoActual=objeto.ID_ESTADO;
            // Poblar el elemento select con los estados
            if(estados!=undefined)
            {
                $('.selectEstado').empty();
                $(estados).each(function (index, element) {
                    var id = element.ID;
                    var nombre = element.NOMBRE;
                    //Agregar la opción al elemento select
                    $('.selectEstado').append("<option value='" + id + "'>" + nombre + "</option>");
                });
            }
            if(prioridad!=undefined)
            {
                $('.selectPrioridad').empty();
                for(i in prioridad)
                {
                    $('.selectPrioridad').append("<option value='" + prioridad[i].ID + "'>" + prioridad[i].NOMBRE + "</option>");
                }
            }
            if(datosTecnico!=undefined)
            {
                $('.selectTecnico').empty();
                htmlSelector="<option value='-1'>Seleccione Tecnico...</option>";
                $(datosTecnico).each(function (index, element) {
                    var id = element.ID;
                    var nombre = element.NOMBRE;
                    //Agregar la opción al elemento select
                    htmlSelector+="<option value='" + id + "'>" + nombre + "</option>";
                });
                $('.selectTecnico').append(htmlSelector);
            }
            if(datosGrupos!=undefined)
            {
                $('.selectGrupo').empty();
                htmlSelector="<option value='-1'>Seleccione Grupo...</option>";
                $(datosGrupos).each(function (index, element)
                {
                    var id = element.ID;
                    var nombre = element.NOMBRE;
                    //Agregar la opción al elemento select
                    htmlSelector+="<option value='" + id + "'>" + nombre + "</option>";
                });
                $('.selectGrupo').append(htmlSelector);
            }

            if(idTecnicoActual!=null&&idTecnicoActual!=''&&idTecnicoActual!=undefined)
            {
                $('.selectTecnico').val(idTecnicoActual).trigger('change');
            }
            if(idGrupoActual!=null&&idGrupoActual!=''&&idGrupoActual!=undefined)
            {
                $('.selectGrupo').val(idGrupoActual).trigger('change');
            }
            if(prioridadActual!=null&&prioridadActual!=''&&prioridadActual!=undefined)
            {
                $('.selectPrioridad').val(prioridadActual).trigger('change');
            }
            if(estadoActual!=null&&estadoActual!=''&&estadoActual!=undefined)
            {
                $('.selectEstado').val(estadoActual).trigger('change');
            }
        }
}

function modalArchivo(dataDatosParse)
{
    limpiarModalMvc("modalVacio");
    $("#modalVacio").hide();
    var objeto=dataDatosParse;
    /*DATOS MODAL*/
    var id=objeto.ID;
    $.ajax({
        url: '/preCarga/obtenerInformacionPreCarga',
        type:'post',
        datatype:'json',
        data:{
            id_precarga:id,
        },
    }).done(function(respuesta)
    {
        respuesta = JSON.parse(respuesta);
        var contenido=`
            <table id="tablaHistorial" class="display dataTable scroltable" style='width:500px;' >
                <thead>
                    <tr><th>ESTADO</th><th>FECHA</th><th>ASIGNADO</th><th>USUARIO</th></tr>
                </thead>
                <tbody id="cuerpo_tabla"></tbody>
            </table>`;
        $(".modalVacio-box").html(contenido);
        var fila='';
        respuesta.forEach(element => {
            estado = element.precarga_estado;
            fecha = new Date(element.FECHA);
            fecha=fecha.toLocaleString();
            asignado = element.ASIGNADO;
            usuario = element.usuario;
            fila=`<tr><td>`+estado+`</td><td>`+fecha+`</td><td>`+asignado+`</td><td>`+usuario+`</td></tr>`;
            $("#cuerpo_tabla").append(fila);
        });
        $('#tablaHistorial').DataTable({ language: {
            "decimal": "",
            "emptyTable": "No hay informaci&oacute;n",
            "info": "Mostrando _START_ a _END_ de _TOTAL_ Entradas",
            "infoEmpty": "No hay datos para mostrar",
            "infoFiltered": "(Filtrado de _MAX_ total entradas)",
            "infoPostFix": "",
            "thousands": ",",
            "lengthMenu": "Mostrar _MENU_ ",
            "loadingRecords": "Cargando...",
            "processing": "Procesando...",
            "search": "Buscar:",
            "zeroRecords": "Sin resultados encontrados",
            "paginate": {
                "first": "Primero",
                "last": "Ultimo",
                "next": ">",
                "previous": "<"
                },


        },searching: false,pageLength: 20,dom: 'Bfrtip',  buttons: [
            {
                extend: 'pdf',
                text: 'Exportar a PDF',
                orientation: 'portrait',
                pageSize: 'LEGAL',
                title: 'Sopnet - listado', // Cambia el texto si lo deseas
                className: 'mi-clase-personalizada' // Agrega aquí tu clase personalizada
            }
        ],initComplete: function() {
            // Agregar una clase personalizada al contenedor de botones
            $('#tablaHistorial_wrapper .dt-buttons').removeClass('dt-buttons');;
        },order: [[1, 'desc']]}).draw();
        }).fail(function (jqXHR, textStatus, errorThrown)
        {
            console.log("" + jqXHR + textStatus +errorThrown);
        });
    /*FIN DATOS MODAL*/
    $("#modalVacio").show();
}

function modalEliminar(dataDatosParse)
{
   limpiarModalMvc("modalEliminar");
    $("#modalEliminar").hide();
    /*DATOS MODAL*/
        $('#modalEliminar-body>#modalTitle-body').text("Cuidado");
        $('#modalEliminar-body>#modalText-body').text("Una vez eliminado no se puede volver atras, desea eliminarlo?");
        $('#modalEliminar-fotter>#btnCancelar').show();
        $('#modalEliminar-fotter>#btnAceptar').show();
    /*FIN DATOS MODAL*/
    $("#modalEliminar").show();
}
    function modalMerge(dataDatosParse)
    {
    limpiarModalMvc("modalMerge");
        $("#modalMerge").hide();
        /*DATOS MODAL*/
            $('#modalMerge-header>#modalTitle-header').text("Merge");
            $('#modalMerge-fotter>#btnConfirmar').show();
        /*FIN DATOS MODAL*/
        $("#modalMerge").show();
    }

    var accion='';
    var estadoSelectoresTrigger=false;
    var idSeleccionado=''
    $('#selectTecnico').on('change',function()
    {
        if (!estadoSelectoresTrigger)
        {
            estadoSelectoresTrigger=true;
            idSeleccionado=$(this).val();
            $('#selectGrupo').val("optDefectoGrupo").trigger('change');
            accion ='asignar_tecnico';
            //$('#btnGuardarAsignacion').attr('data-valor-asignado',idSeleccionado);
            $("#selectGrupo").val($("#selectGrupo option:first").val());
            estadoSelectoresTrigger=false;
        }
    });
    $('#selectGrupo').on('change',function()
    {
        if (!estadoSelectoresTrigger)
        {
            estadoSelectoresTrigger=true;
            idSeleccionado=$(this).val();
            $('#selectTecnico').val("optDefectoTecnico").trigger('change');
            accion ='asignar_grupo';
        //$('#btnGuardarAsignacion').attr('data-valor-asignado',idSeleccionado);
            $("#selectTecnico").val($("#selectTecnico option:first").val());
            estadoSelectoresTrigger=false;
        }
    });
    var idSeleccionadoEstados='';
    $('.selectEstado').on('change',function()
    {
        idSeleccionadoEstados=$(this).val();
    });
    var idSeleccionadoPrioridad='';
    $('.selectPrioridad').on('change',function()
    {
        idSeleccionadoPrioridad=$(this).val();
        $('#btnGuardarAsignacion').attr('data-prioridad',idSeleccionadoPrioridad);
    });
    //Tanto grupo como tecnico
    $('#btnGuardarAsignacion').click(function()
    {
        idTecnicoActual=objeto.ID_TECNICO;
        idGrupoActual=objeto.ID_GRUPO;
        prioridadActual=objeto.PRIORIDAD_VALOR;
        estadoActual=objeto.ID_ESTADO;
        var idPk=objeto.ID; // where
        var idAsignado=idSeleccionado; // del grupo o del tecnico
        var idEstado=idSeleccionadoEstados;
        var idPrioridad=idSeleccionadoPrioridad;

        var tecnico_html=$('#selectTecnico').val();
        var grupo_html=$('#selectGrupo').val();

        if (idTecnicoActual!=tecnico_html) {
            enviarAlarma(null,tecnico_html);
            //msj se cambió de tecnico
        }
        if ((idGrupoActual!=grupo_html && idGrupoActual!=-1 && idGrupoActual !='' )) {

            enviarAlarma(grupo_html,null);
            //msj se cambio de grupo
        }

        if(idAsignado!=null&&idAsignado!=undefined&&idAsignado!='')
        {
            var ruta;
            if(accion=='asignar_tecnico')
            {
                ruta=basepath+"preCarga/asignarTecnico";
            }
            if(accion=='asignar_grupo')
            {
                ruta=basepath+"preCarga/asignarGrupo";
            }
            $.ajax({
                url: ruta,
                type:'post',
                datatype:'json',
                data:{
                    id:idPk,
                    idSet:idAsignado
                },
            }).done(function(respuesta)
            {
                $('#tablaPhp').DataTable().draw();
                if(idEstado!=null&&idEstado!=undefined&&idEstado!=''&&idEstado!=2)
                    {
                        cambiarEstado(idEstado)
                    }else if(idEstado==2){
                        finalizarPrecarga(idEstado)
                    }
            }).fail(function (jqXHR, textStatus, errorThrown)
            {
                console.log("" + jqXHR + textStatus +errorThrown);
            });
        }
        else
        {
            if(idEstado!=null&&idEstado!=undefined&&idEstado!=''&&idEstado!=2)
            {
                cambiarEstado(idEstado)
            }else if(idEstado==2){
                finalizarPrecarga(idEstado)
            }
        }

        function cambiarEstado(idEstado)
        {
            $.ajax({
                url:basepath+"preCarga/cambiarEstado",
                type:'post',
                datatype:'json',
                data:{
                    id:idPk,
                    idSet:idEstado
                },
            }).done(function(respuesta)
            {
                $('#tablaPhp').DataTable().draw();

            }).fail(function (jqXHR, textStatus, errorThrown)
            {
                console.log("" + jqXHR + textStatus +errorThrown);
            });
        }
        function finalizarPrecarga(estadoprecarga)
            {

                $.ajax({
                    url: basepath+"preCarga/finalizarPrecarga",
                    type: "POST",
                    datatype: "json",
                    async: false,
                    data: {

                            id:idPk,
                            estado:idEstado,
                            firma_aclaracion:null,
                            firma_dni :null,
                            //firma:base64Image,
                            obs_finalizar: null,
                            instaladores:null,
                            potencia_instalacion:null,
                            pdf:null,
                    },
                })
            .done(function (respuesta) {

            })
            .fail(function (err) {
                    console.log(err);
            });
    }
        if(idPrioridad!=null&&idPrioridad!=undefined&&idPrioridad!='')
        {
            $.ajax({
                url:basepath+"preCarga/cambiarPrioridad",
                type:'post',
                datatype:'json',
                data:{
                    id:idPk,
                    prioridad:idPrioridad
                },
            }).done(function(respuesta)
            {
                $('#tablaPhp').DataTable().draw();
            }).fail(function (jqXHR, textStatus, errorThrown)
            {
                console.log("" + jqXHR + textStatus +errorThrown);
            });
        }
        $('#modalUsuario').fadeOut();
    });

    //$titulo=null,$body=null,$idGrupo=null,$idUsuario=null
    function enviarAlarma(idGrupo,idUsuario){
        var titulo='';
        if (idGrupo!='' && idGrupo!=null) {
            titulo='Nueva orden de trabajo';
        }
        if (idUsuario!='' && idUsuario!=null) {
            titulo='Nueva orden de trabajo';
        }

        $.ajax({
            url:basepath+"notificaciones/enviarNotificacionPush",
            type:'post',
            datatype:'json',
            data:{
                idGrupo:idGrupo,
                idUsuario:idUsuario,
                titulo:titulo,
                body:''
            },
        }).done(function(respuesta)
        {
        }).fail(function (jqXHR, textStatus, errorThrown)
        {
            console.log("" + jqXHR + textStatus +errorThrown);
        });
    }

//Btn Pdf
$(document).ready(function()
{
    $('#tablaPhp').on('xhr.dt', function(e, settings, json, xhr)
    {
        setTimeout(function()
        {
            //Btn cancelar comando y agregar btn segun el estado actual !!
            var elementosBtnPdf = document.querySelectorAll('#tablaPhp [class*="guardarPDF_DataTable_"]');
            var table=$('#tablaPhp').DataTable();
            verAccionPdf(elementosBtnPdf);

            table.on('draw', function()
            {
                var elementosBtnPdf=document.querySelectorAll('#tablaPhp [class*="guardarPDF_DataTable_"]');
                verAccionPdf(elementosBtnPdf);
            });

        }, 100);
    });
});

function verAccionPdf(elementos)
{
    elementos.forEach(element =>
    {
        var datos=$(element).attr('data-datos');
        var data=datos.replace('"DATOS":"{', '"DATOS":{').replace('}"', '}');
        var objeto=JSON.parse(data);

        if(objeto!=undefined)
        {
            var id = objeto.ID;
            var estado = objeto.ID_ESTADO;
            var estadoPlanClienteCreado = objeto.CLIENTEPLANESTADO;
            var atributoClass = ".guardarPDF_DataTable_"+id;
            if(estado==2) // && estadoPlanClienteCreado=='cliente-plan-creado'
            {
                $(atributoClass).show();
            }
            else
            {
                $(atributoClass).hide();
            }
        }
    });
}
//Api siga
$(document).ready(function()
{
    $('#tablaPhp').on('xhr.dt', function(e, settings, json, xhr)
    {
        setTimeout(function()
        {
            var elementosBtnReencolar = document.querySelectorAll('#tablaPhp [class*="reencolar_DataTable_"]');
            var table=$('#tablaPhp').DataTable();
            reencolarApiSiga(elementosBtnReencolar);
            table.on('draw', function()
            {
                var elementosBtnReencolar=document.querySelectorAll('#tablaPhp [class*="reencolar_DataTable_"]');
                reencolarApiSiga(elementosBtnReencolar);
            });
        }, 100);
    });
});
function reencolarApiSiga(elementos)
{
    elementos.forEach(element =>
    {
        var datos=$(element).attr('data-datos');
        var data=datos.replace('"DATOS":"{', '"DATOS":{').replace('}"', '}');
        var objeto=JSON.parse(data);
        if(objeto!=undefined)
        {
            var id=objeto.ID;
            var estado=objeto.ID_ESTADO;
            var estadoPlanClienteCreado = objeto.CLIENTEPLANESTADO;
            var atributoClass = ".reencolar_DataTable_"+id;
            if(estado==2) // estadoPlanClienteCreado=='cliente-plan-creado'
            {
                $(atributoClass).show();
            }
            else
            {
                $(atributoClass).hide();
            }

        }
    });
}

$(document).on('click', '[class*="reencolar_DataTable_"]', function (e)
{
    var datos=$(this).attr('data-datos');
    var data=datos.replace('"DATOS":"{', '"DATOS":{').replace('}"', '}');
    var objeto=JSON.parse(data);
    if(objeto!=undefined)
    {
        var id=objeto.ID;
        var estado=objeto.ID_ESTADO;
        $.ajax({
            url:basepath+"preCarga/curlSiga",
            type:'post',
            datatype:'json',
            data:{id:id,estado:estado},
        }).done(function(respuesta)
        {
            location.reload();
        })
        .fail(function (jqXHR, textStatus, errorThrown)
        {
            console.log("" + jqXHR + textStatus +errorThrown);
        });
    }
});
