$(document).ready(function () {
    let modal = $(".modal"); // Get the modal

    let btn = $("#myBtn"); // Get the button that opens the modal
    let closeModal = $(".modal-close"); // Get the <span> element that closes the modal
    let buttonClose = $("#buttonClose"); // Get the button that close the modal
    let buttonCancel = $("#buttonCancel"); // Get the button to cancel action in modal
    let buttonSave = $("#buttonSave"); // Get the button to save info and send to backend
    let modalHeader = $("#modalHeader"); // Get the modal header to change by the data recieved
    let modalTitle = $("#modalTitle"); // Get the modal title
    let modalBody = $("#modalBody"); // Get the modal body to change by the data recieved
    let bodyBox = $("#bodyBox");
    let modalFooter = $("#modalFooter"); // Get the modal footer to change by the data recieved
    let modalLogo = $("#modalLogo"); // Get the icon at the modal header to changeit acording to type of modal.
    let buttonOk = $("#buttonOk"); // Get the button to continue and close modal
    let uploadBox = $("#uploadBox"); // Get the <div> tag where upload html data is
    let buttonUpload = $("#buttonUpload"); // Get the button to submit the data uploaded before
    let buttonLoading = $("#buttonLoading"); // Get the loading button, is visible when user clicks "subir"
    let formularioModal = $("#formularioModal"); // Get the form <div>
    let modalContent = $("#modalContent"); // Get the content to change the background
    let buttonUploadDone = $("#buttonUploadDone");

    $(".modal-close").on("click", function () {
        modal.css("display", "none");
    });

    // When the user clicks the button, open the modal
    btn.on("click", function () {
    modal.css("display", "block");
    });
    // When the user clicks on <span> (x), close the modal
    closeModal.on("click", function () {
    modal.css("display", "none");
    });
    // When the user clicks on "Cerrar" , close the modal
    buttonClose.on("click", function () {
    modal.css("display", "none");
    });
    // When the user clicks on "Cancelar" , close the modal
    buttonCancel.on("click", function () {
    //ajax
    modal.css("display", "none");
    });
    // When the user clicks on "Guardar y Salir" , close the modal and send data
    buttonSave.on("click", function () {
    //ajax;
    modal.css("display", "none");
    });

    // When the user clicks on "Continuar" , close the modal
    buttonOk.on("click", function () {
    //ajax;
    modal.css("display", "none");
    });
    // When the user clicks on "Cargar" , submit the data uploaded before
    buttonUpload.on("click", function () {
    //ajax;
    buttonUpload.hide();
    buttonLoading.show();
    setTimeout(function () {
        buttonLoading.hide();
        $("#buttonUploadDone").removeClass("button-primary");
        $("#buttonUploadDone").addClass("button-success");
        buttonUploadDone.show();
    }, 2000);
    });
    // When the user clicks anywhere outside of the modal, close it
    $(window).on("click", function (event) {
    if ($(event.target).attr('class') == "modal ") {
        $(".modal").css("display", "none");
    }
    });

    let tipo = "<?php if($this->tipo) {echo $this->tipo;} else {echo'';} ?>";
    switch (tipo) {
    case "info":
        $("#modalHeader").addClass("modal-info");
        $("#modalbody").addClass("modal-info");
        $("#modalFooter").addClass("modal-info");
        $("#loadingModal").hide();
        break;
    case "alert":
        $("#modalHeader").addClass("modal-alert");
        $(".modal-close").hide();
        $("#loadingModal").hide();
        $("#modalLogo").addClass("fe-info");
        break;
    case "warning":
        $("#modalHeader").addClass("modal-warning");
        $(".modal-close").hide();
        $("#loadingModal").hide();
        $("#modalLogo").addClass("fe-alert-triangle");
        break;
    case "success":
        $("#modalHeader").addClass("modal-success");
        $(".modal-close").hide();
        $("#loadingModal").hide();
        $("#modalLogo").addClass("fe-check-circle");
        break;
    case "carga":
        $("#loadingModal").show();
        $("#modalContent").css("background-color", "transparent");
        $("#modalTitle").hide();
        $("#modalHeader").hide();
        $("#modalBody").hide();
        $("#modalFooter").hide();
        break;
    default:

    }
});
