$(document).on('click','.checkbox', function (e)
{
    var isChecked=$(this).is(':checked');
    var valorChecked=0;
    if(isChecked)
    {
        valorChecked=1;
    }
    var datos=$(this).attr('data-datos');
    var data=datos.replace('"DATOS":"{', '"DATOS":{').replace('}"', '}');
    var objeto=JSON.parse(data);
    if(objeto!=undefined)
    {
        var id=objeto.ID;
        if (parseInt(id) < 0) {
            // Deshabilitar el checkbox si el ID es negativo
            $(this).prop('checked', false);
            return; // Salir de la función para no ejecutar el resto del código
        }
        else{
            if(!$(this).is(':checked')&&onclick=="")
                {
                    //Si el onclick esta vacio me permite setear el checkbox
                    $.ajax({
                        url:basepath+"cpe/setearEstadoHabilitado",
                        type:'post',
                        dataType:'json',
                        data:{id:id,habilitado:valorChecked}
                    }).fail(function(jqXHR,textStatus,errorThrown)
                    {
                        console.log(jqXHR+textStatus+errorThrown);
                    });
                }
                else
                {
                    $.ajax({
                        url:basepath+"cpe/validoClienteConMasDeUnPlan",
                        type:'post',
                        dataType:'json',
                        data: {idCpe:id}
                    }).done(function (respuesta)
                    {
                        if(respuesta||respuesta=="true")
                        {
                            modalMerge(objeto); // modal merge
                        }
                        else
                        {
                            //La plantilla no tiene planes asociados, solo deshabilita el checkbox no permite abrir el modal del merge
                            $.ajax({
                                url:basepath+"cpe/setearEstadoHabilitado",
                                type:'post',
                                dataType:'json',
                                data:{id:id,habilitado:valorChecked}
                            }).fail(function(jqXHR,textStatus,errorThrown)
                            {
                                console.log(jqXHR+textStatus+errorThrown);
                            });
                        }
                    })
                    .fail(function(jqXHR,textStatus,errorThrown)
                    {
                        console.log(jqXHR+textStatus+errorThrown);
                    });
                }

        }
    }
});

$(document).on('click','#modificarDataTable', function (e)
{
    var datos=$(this).attr('data-datos');
    var data=datos.replace('"DATOS":"{', '"DATOS":{').replace('}"', '}');
    var objeto=JSON.parse(data);
    if(objeto!=undefined)
    {
        var id=objeto.ID;
        var tipo=objeto.TIPO;/*auto/manual*/
        var redireccion="/cpe/editar/id/"+id;
        if(tipo=="manual")
        {
            redireccion="/cpe/editar/id/"+id+"/manual/true";
        }
        window.location.href=redireccion;
    }
});

//Eliminar Cpe
modalEliminar()
function modalEliminar(dataDatosParse,objeto)
{
    if(objeto!=undefined)
    {
        var url =objeto.url;
        var id = dataDatosParse.ID;
        var plantillaUsadaEnPlanes=dataDatosParse.PLANTILLACONPLANES;
        limpiarModalMvc("modalEliminar");
        $("#modalEliminar").hide();
        $('#modalEliminar-body>#modalTitle-body').text("Cuidado");
        $('#modalEliminar-body>#modalText-body').text("Una vez eliminado no se puede volver atras, desea eliminarlo?");
        $('#modalEliminar-fotter>#btnCancelar').show();
        $('#modalEliminar-fotter>#btnAceptar').show();
        $(".btn-aceptar").click(function (e)
        {
            if(plantillaUsadaEnPlanes==0)
            {
                $.ajax({
                    url:url,
                    type:'post',
                    datatype:'json',
                    data:{idCpe:id},
                }).done(function(respuesta)
                {
                    location.reload();
                }).fail(function (jqXHR, textStatus, errorThrown)
                {
                    console.log("" + jqXHR + textStatus +errorThrown);
                });
            }
            //window.location.href = url+id
        });
        $("#modalEliminar").show();
    }
}

$(document).on('click','#mergeDataTable', function(e)
{
    $('#genericModal').hide();
    var datos=$(this).attr('data-datos');
    var data=datos.replace('"DATOS":"{', '"DATOS":{').replace('}"', '}');
    var objeto=JSON.parse(data);
    if(objeto!=undefined)
    {
        $('#botonGuardar').removeAttr('disabled');
        var idCpe=$('#botonGuardar').attr("data-cpeId");
        var posCheck=$('#botonGuardar').attr('data-posicioninputtCheck');
        var valorCheck=$('#CHECKBOX_'+posCheck).attr('data-estado');
        var idAnterior=$('#cpeAnterior').val();
        var idActual=$('#cpeActual').val();

        /*
        //validacion del btn btnGuardarModal
        if(idAnterior!=""&&idActual!="")
        {
            $.ajax({
            url:basepath+"cpe/merge",
            type:'POST',
            datatype:'json',
            data:{idCpe:idCpe,estadoCheck:valorCheck,idAnterior:idAnterior,idActual:idActual},
            }).done(function(respuesta)
            {
                if(respuesta)
                {
                    $('#modal').fadeOut(300);
                    location.reload();
                }
                else
                {
                    alert("Error en realizar el marge!!");
                }
            })
            .fail(function (jqXHR, textStatus, errorThrown)
            {
                alert("" + jqXHR + textStatus +errorThrown);
            });
        }
        */
    }
});


function showModalEventos() {
    $('#genericModalEventos').show();
    $('#modal-select-box').hide();
    let titleModal="<?php echo lang('Cuidado')?>";
    let textModal="<?php echo lang('UnaVezEliminadoNosePuedeVolverAtras,DeseaContinuar?')?>";
    $('#iconGenericModal').attr('class','fas fa-exclamation');
    $('#iconGenericModal').css('color','#006aa6');
    $('#genericModalEventos').addClass('active');
    $('#modalTitle').text(titleModal);
    $('#modalText').text(textModal);
    modalTitle.textContent=titleModal;
    modalText.textContent=textModal ;
}

function hideModal(){
    $('#genericModalEventos').hide();
}

//MODAL MERGE Y GUARDADO !!!!
function modalMerge(dataDatosParse,objeto)
{
    var idActual=dataDatosParse.ID; // id del cpe actual

    limpiarModalMvc("modalMerge");
    $("#modalMerge").hide();
    $('#actualSelect').empty()

    /*DATOS MODAL*/
        $('#modalMerge-header>#modalTitle-header').text("Seleccione CPE para actualizar");
        $('#modalMerge-fotter>#btnConfirmar').show();
        //Listado de cpe habilitados - no aparece el del nombre actual - AUTOMATICO
        $.ajax({
            url:basepath+"cpe/getSinXml",
            type:'POST',
            datatype:'json',
            data:{},
        }).done(function(respuesta)
        {
            items=JSON.parse(respuesta);

            for(i in items)
            {
                idCpe=items[i].ID;
                if(idCpe==idActual)
                {
                    $('#actualSelect').html('<option value="'+idCpe+'">'+items[i].NOMBRE+'</option>');
                }
                else
                {
                    $('#dondeMigrarSelect').append('<option value="'+idCpe+'">'+items[i].NOMBRE+'</option>');
                    $("#modalMerge").show();
                }
            }
        })
        .fail(function (jqXHR, textStatus, errorThrown)
        {
            console.log("" + jqXHR + textStatus +errorThrown);
        });
    /*FIN DATOS MODAL*/
    $("#modalMerge").show();

    //GUARDAR MERGE
    $(document).on('click','#btnConfirmar', function (e)
    {
        var idMerge=$("#dondeMigrarSelect").val(); // id al que quiero hacer el merge

        console.log("id Actaul: " + idActual);
        console.log("id merge: " + idMerge);

        $.ajax({
            url:basepath+"cpe/merge",
            type:'POST',
            datatype:'json',
            data:{idActual:idActual,idAnterior:idMerge},
        }).done(function(respuesta)
        {
            console.log(respuesta);
            if(respuesta)
            {
                //location.reload();
            }
            else
            {
                console.log("Error en realizar el marge!!");
            }
        })
        .fail(function (jqXHR, textStatus, errorThrown)
        {
            console.log("" + jqXHR + textStatus +errorThrown);
        });

    });
}

function guardarMerge()
{

    /*
    //estadoValido
    $('#botonGuardar').removeAttr('disabled');
    var idCpe=$('#botonGuardar').attr("data-cpeId");
    var posCheck=$('#botonGuardar').attr('data-posicioninputtCheck');
    var valorCheck=$('#CHECKBOX_'+posCheck).attr('data-estado');
    var idAnterior=$('#cpeAnterior').val();
    var idActual=$('#cpeActual').val();

    if(valorCheck=="")
    {
        valorCheck=0;
    }

    //validacion del btn btnGuardarModal
    if(idAnterior!=""&&idActual!="")
    {
        $.ajax({
        url:basepath+"cpe/merge",
        type:'POST',
        datatype:'json',
        data:{idCpe:idCpe,estadoCheck:valorCheck,idAnterior:idAnterior,idActual:idActual},
        }).done(function(respuesta)
        {
            if(respuesta)
            {
                $('#modalMerge').fadeOut(300);
                location.reload();
            }
            else
            {
                console.log("Error en realizar el marge!!");
            }
        })
        .fail(function (jqXHR, textStatus, errorThrown)
        {
            console.log("" + jqXHR + textStatus +errorThrown);
        });
    }
    */
}

//Modal
$(document).on('click','#cancelBtnMerge', function(e)
{
    $('#genericModal').hide();
})
