$( document ).ready(function() {
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
      })
    let olt = <?php echo json_encode($this->olt);?>;
    //console.log(olt);
    var onusConectadas = olt["ONUS_CONECTADAS"];
    var onusDesconectadas = olt["ONUS_DESCONECTADAS"];
            var data = {
                labels: [
                'Onus Conectadas',
                'Onus Desconectadas'
                ],
                datasets: [{
                label: '',
                data: [onusConectadas,onusDesconectadas],//[ConectadosPorOlt, DesconectadosPorOlt]
                backgroundColor: [
                    '#006aa6',
                    '#ced6db',

                ],
                hoverOffset: 4
                }]
            };

            var options = {
                plugins: {
                legend: {
                    display: false
                },

                tooltip:true,
                tooltip: {
                    footerColor:"#006aa6",
                    yAlign:"left",
                    displayColors:false,
                    backgroundColor:"#fff",
                    callbacks: {
                        title:function(context) {
                            return '';
                        },
                        footer: function(context) {
                            return 'Cantidad: '+context[0].formattedValue;
                        },
                        label: function(context) {
                            return context.dataset.label+context.label;
                        },
                        labelTextColor:function(tooltipItem, chart)
                        {
                            return '#006aa6';
                        },


                    }
                }
                },
                spacing:0,
                responsive: true,
                cutout: 80,
            };
            const contextTotalPorOlt = document.getElementById("totalPorOlt");

            const chartTotalPorOlt = new Chart(contextTotalPorOlt, {
                type: "doughnut",
                data,
                options,
                plugins: [{
                beforeInit: function(chart, args, options) {
                    // Make sure we're applying the legend to the right chart
                    if (chart.canvas.id === "totalPorOlt") {
                    const ul = document.createElement('ul');
                    chart.data.labels.forEach((label, i) => {
                        ul.innerHTML += `
                                    <li>
                                        <span style="background-color: ${ chart.data.datasets[0].backgroundColor[i] }">${ chart.data.datasets[0].data[i] }</span>
                                        ${ label }
                                    </li>
                        `;
                    });

                    return document.getElementById("js-legend").appendChild(ul);
                    }

                    return;
                }
                }]
            });
    // ---------------GRAFICO DE POTENCIA
    var graficoPotenciaPorOlt = document.getElementById("potenciaGraficoPorOlt");
    var myChart = new Chart(graficoPotenciaPorOlt, {
    type: 'bar',
    data: {
        labels:labelArray,
        datasets: [{
        label: 'Cantidad',
        data: dataArray,
        backgroundColor: colorArray,
        borderRadius: 15,
        barThickness: 10
        }]
    },
    options: {
        plugins: {
            legend:
            {
                display: false
            },
            tooltip:true,
            tooltip: {
            yAlign:"bottom",
            displayColors:true,
            backgroundColor: "#333",
            callbacks: {
                title : function(context) {
                    return 'Potencias';
                },
                footer: function(context) {
                    return 'Cantidad: '+context[0].formattedValue;
                },
                label: function(context) {
                    return 'Nivel'+': '+context.label;
                },
                labelTextColor:function(tooltipItem, chart)
                {
                    return '#fff';
                },
            }
        }
            },
        responsive: true,
        scales: {
            y: {ticks: {
                maxRotation: 90,
                minRotation: 80
            },
            ticks: {
                beginAtZero: true
            },
                grid: {
                color: 'transparent'
                }
            },
            x: {
                ticks: {
                    maxRotation: 90,
                    minRotation: 80
                },
                grid: {
                color: 'transparent'
                }
            },

        }
    }
    });
    var bars=myChart.data.labels;
    var background=myChart.data.datasets[0].backgroundColor;
    for (i=0;i<bars.length;i++){
        var color="#6eff42";
        if (bars[i]>-13||bars[i]<-26)
        {
            color="#ff4242";
        } else if ((bars[i]>-27&&bars[i]<-24)||((bars[i]>-16&&bars[i]<12))){
            color="#ffbd42"
        }
        else if (bars[i]=='')
        {
            color=grey;
        }
        background[i]=color;
    }
    myChart.update();


    //redireccion al listado diagnostico
    graficoPotenciaPorOlt.onclick = (evt) => {
        const res = myChart.getElementsAtEventForMode(
          evt,
          'nearest',
          { intersect: true },
          true
        );
        var modeloOlt=olt.NOMBRE;
        var valorRxPower=myChart.data.labels[res[0].index];
        window.open(`/estadooid/diagnostico/search/${valorRxPower},${modeloOlt}/columna/4,1`);
      };
});
