$( document ).ready(function() {




    function formateaFecha(durationInMinutes) // recibe los minutos y devuelve la hora de inicio
    {
        var startdate = new Date();
        var fecha=startdate.setMinutes(startdate.getMinutes() - durationInMinutes);
        var year=startdate.toLocaleString("default", { year: "numeric" });
        var month=startdate.toLocaleString("default", { month: "2-digit" });
        var day=startdate.toLocaleString("default", { day: "2-digit" });
        var hour=startdate.toLocaleString("default", { hour: "2-digit" });
        var minute=startdate.toLocaleString("default", { minute: "2-digit" });
        minute=("0" + minute).slice(-2);
        var second=startdate.toLocaleString("default", { second: "2-digit" });
        second=("0" + second).slice(-2);
        fecha=year+ "-" + month + "-" +day+" "+hour+":"+minute+":"+second;
        return fecha;
    }

    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
    let olt = <?php echo json_encode($this->olt);?>;
    console.log(olt)
    let id_olt=olt["ID"];
    if (olt.LOS24!=0)
    {
        $("#nextBtnLos24").attr('href', '/estadooid/logOid?filtrarFechas=24&Id='+ id_olt + "&caida=los");
    }
    else
    {
        $("#nextBtnLos24").css("pointer-events", "none");
    }
    if (olt.LOSI24!=0)
    {
        $("#nextBtnLosi24").attr('href', '/estadooid/logOid?filtrarFechas=24&Id='+ id_olt + "&caida=losi");
    }
    else
    {
        $("#nextBtnLosi24").css("pointer-events", "none");
    }
    if (olt.DYINGGASP24!=0)
    {
        $("#nextBtnGasp24").attr('href', '/estadooid/logOid?filtrarFechas=24&Id='+ id_olt + "&caida=gasp");
    }
    else
    {
        $("#nextBtnGasp24").css("pointer-events", "none");
    }
    if (olt.ROUGE24!=0)
    {
        $("#nextBtnRougue24").attr('href', '/estadooid/logOid?filtrarFechas=24&Id='+ id_olt + "&caida=rougue");
    }
    else
    {
        $("#nextBtnRougue24").css("pointer-events", "none");
    }
    if (olt.ALARMAS_DIAS == 0) {
        console.log("1")
        $("#alarma24hsBtn").css("opacity","0.5");
        $("#alarma24hsBtn :button").css("background-color","grey");
        $("#alarma24hsBtn").css("pointer-events","none");
    }
    else
    {
        console.log("2")
        $("#alarma24hsBtn").css("opacity","1");
        $("#alarma24hsBtn").attr('href', '/estadooid/logOid?filtrarFechas=24&Id='+ id_olt)
        $("#alarma24hsBtn :button").css("background-color","#006aa6");
        $("#alarma24hsBtn").css("pointer-events","all");
    }

    if (olt.ULTIMAS_ALARMAS == 0) {
        $("#alarmasRecientesBtn").css("opacity","0.5");
        $("#alarmasRecientesBtn :button").css("background-color","grey");
        $("#alarmasRecientesBtn").css("pointer-events","none");
    }else {
        $("#alarmasRecientesBtn").css("opacity","1");
        $("#alarmasRecientesBtn").attr('href', '/estadooid/logOid?filtrarFechas=15&Id='+ id_olt)
        $("#alarmasRecientesBtn :button").css("background-color","#006aa6");
        $("#alarmasRecientesBtn").css("pointer-events","all");
    }
    var durationInMinutes = 1440;
    fecha24=formateaFecha(durationInMinutes);

    durationInMinutes=15;
    fecha15=formateaFecha(durationInMinutes);

    filtro='LOS,LOSI,DYING GASP,ROUGUE';

    var ahora = new Date();//para obtener la fecha actual
    var year=ahora.toLocaleString("default", { year: "numeric" });
    var month=ahora.toLocaleString("default", { month: "2-digit" });
    var day=ahora.toLocaleString("default", { day: "2-digit" });
    var hour=ahora.toLocaleString("default", { hour: "2-digit" });
    var minute=ahora.toLocaleString("default", { minute: "2-digit" });
    minute=("0" + minute).slice(-2);
    var second=ahora.toLocaleString("default", { second: "2-digit" });
    second=("0" + second).slice(-2);
    fecha_fin=year+ "-" + month + "-" +day+" "+hour+":"+minute+":"+second;

    var onusConectadas = olt["ONUS_CONECTADAS"];
    var onusDesconectadas = olt["ONUS_DESCONECTADAS"];
    var data = {
        labels: [
            'Onus Conectadas',
            'Onus Desconectadas'
        ],
        datasets: [{
            label: '',
            data: [onusConectadas,onusDesconectadas],//[ConectadosPorOlt, DesconectadosPorOlt]
            backgroundColor: [
                '#006aa6',
                '#ced6db',
            ],
            hoverOffset: 4
        }]
    };
    var options = {
        plugins: {
            legend: {
                display: false
            },
            tooltip:true,
            tooltip: {
                footerColor:"#006aa6",
                yAlign:"left",
                displayColors:false,
                backgroundColor:"#fff",
                callbacks: {
                    title:function(context) {
                        return '';
                    },
                    footer: function(context) {
                        return 'Cantidad: '+context[0].formattedValue;
                    },
                    label: function(context) {
                        return context.dataset.label+context.label;
                    },
                    labelTextColor:function(tooltipItem, chart)
                    {
                        return '#006aa6';
                    },
                }
            }
        },
        spacing:0,
        responsive: true,
        cutout: 80,
    };

    const contextTotalPorOlt = document.getElementById("totalPorOlt");

    const chartTotalPorOlt = new Chart(contextTotalPorOlt, {
        type: "doughnut",
        data,
        options,
        plugins: [{
            beforeInit: function(chart, args, options) {
                // Make sure we're applying the legend to the right chart
                if (chart.canvas.id === "totalPorOlt") {
                    const ul = document.createElement('ul');
                    chart.data.labels.forEach((label, i) => {
                        ul.innerHTML += `
                            <li>
                                <span style="background-color: ${ chart.data.datasets[0].backgroundColor[i] }">${ chart.data.datasets[0].data[i] }</span>
                                ${ label }
                            </li>
                        `;
                    });
                    return document.getElementById("js-legend").appendChild(ul);
                }
                return;
            }
        }]
    });


});
