
var markers_conectado=[];
var markers_losi=[];
var markers_los=[];
var markers_gasp=[];
var markers_rougue=[];
var markers_error=[];
var markers_caidaNoRegistradas=[];
var markerCluster1=[];
var markerCluster2=[];
var markerCluster3=[];
var markerCluster4=[];
var markerCluster5=[];
var markerCluster6=[];
var markerCluster7=[];


function dibujarMapa(respuesta)
{
    /*contenido de dibujar*/
    /*Borrar markers y clusters*/
    if(markerCluster1.length !== 0)
        markerCluster1.setMap(null);
    if(markerCluster2.length !== 0)
        markerCluster2.setMap(null);
    if(markerCluster3.length !== 0)
        markerCluster3.setMap(null);
    if(markerCluster4.length !== 0)
        markerCluster4.setMap(null);
    if(markerCluster5.length !== 0)
        markerCluster5.setMap(null);
    if(markerCluster6.length !== 0)
        markerCluster6.setMap(null);
    if(markerCluster7.length !== 0)
        markerCluster7.setMap(null);

    for (var i = 0; i < markers_conectado.length; i++) {
        markerCluster1.removeMarker(markers_conectado[i]);
        markers_conectado[i].setMap(null);
    }
    for (var i = 0; i < markers_los.length; i++) {
        markerCluster2.removeMarker(markers_los[i]);
        markers_los[i].setMap(null);
    }
    for (var i = 0; i < markers_losi.length; i++) {
        markerCluster3.removeMarker(markers_losi[i]);
        markers_losi[i].setMap(null);
    }
    for (var i = 0; i < markers_gasp.length; i++) {
        markerCluster4.removeMarker(markers_gasp[i]);
        markers_gasp[i].setMap(null);
    }
    for (var i = 0; i < markers_rougue.length; i++) {
        markerCluster5.removeMarker(markers_rougue[i]);
        markers_rougue[i].setMap(null);
    }
    for (var i = 0; i < markers_error.length; i++) {
        markerCluster6.removeMarker(markers_error[i]);
        markers_error[i].setMap(null);
    }
    for (var i = 0; i < markers_caidaNoRegistradas.length; i++) {
        markerCluster7.removeMarker(markers_caidaNoRegistradas[i]);
        markers_caidaNoRegistradas[i].setMap(null);
    }

    /*Fin Borrar markers y clusters*/

    markers_conectado=[];
    markers_losi=[];
    markers_los=[];
    markers_gasp=[];
    markers_rougue=[];
    markers_error=[];
    markers_caidaNoRegistradas=[];
    markerCluster1=[];
    markerCluster2=[];
    markerCluster3=[];
    markerCluster4=[];
    markerCluster5=[];
    markerCluster6=[];
    markerCluster7=[];

    var datos=JSON.parse(respuesta);
    datos=datos.onus;
    var marcar="";

    for(i in datos)
    {
        var idClientePlan=datos[i].ID_CLIENTE_PLAN;
        var latitud=parseFloat(datos[i].LATITUD);
        var longitud=parseFloat(datos[i].LONGITUD);
        var estadoOnu=parseFloat(datos[i].ESTADO_ONT);
        latitud=latitud ? latitud : 0;
        longitud=longitud ? longitud : 0;
        var coordenadas={lat: latitud, lng: longitud};

        //datos cliente
        var numeroCliente=datos[i].NUMERO;
        var nombreCliente=datos[i].NOMBRE_ERROR;
        var apellidoCliente=datos[i].APELLIDO;
        var serialNumberOnt=datos[i].SERIALNUMBER;
        var descripcionDeCaida=datos[i].NOMBRE_CAIDA;
        var colorDeCaida=datos[i].COLOR_CAIDA;
        var bloqueado=datos[i].BLOQUEADO;
        var online=1; //Estado de ont

        //var valorCaida=datos[i].VALOR_CAIDA;
        var valorCaida=datos[i].NOMBRE_ERROR;
        // datos estadoOnu antes de llamar a la función
        if(estadoOnu=='1')
        {
            marcar=marcador(map,coordenadas,'../mvc/public/img/marker-icon-green.png',idClientePlan,valorCaida,estadoOnu);
            markers_conectado.push(marcar);
        }
        else
        {
            //agregar switch case colores -> por el tipo de VALOR_CAIDA
            switch (valorCaida)
            {
                case 'LOS':
                    if(bloqueado==1)
                    {
                        marcar=marcador(map,coordenadas,'../mvc/public/img/bloqueado.png',idClientePlan,valorCaida,estadoOnu);
                    }
                    else
                    {
                        marcar=marcador(map,coordenadas,'../mvc/public/img/marker-icon-red2.png',idClientePlan,valorCaida,estadoOnu);
                    }
                    markers_los.push(marcar);
                    break;
                case 'LOSI':
                    marcar=marcador(map,coordenadas,'../mvc/public/img/marker-celeste.png',idClientePlan,valorCaida,estadoOnu);
                    markers_losi.push(marcar);
                    break;
                case 'DYING GASP':
                    marcar=marcador(map,coordenadas,'../mvc/public/img/marker-icon-gold.png',idClientePlan,valorCaida,estadoOnu);
                    markers_gasp.push(marcar);
                    break;
                case 'ROUGUE':
                    marcar=marcador(map,coordenadas,'../mvc/public/img/marker-icon-violet.png',idClientePlan,valorCaida,estadoOnu);
                    markers_rougue.push(marcar);
                    break;
                default:
                    //Caida no registradas
                    marcar=marcador(map,coordenadas,'../mvc/public/img/noRegistradas.png',idClientePlan,valorCaida,estadoOnu);
                    markers_caidaNoRegistradas.push(marcar);
                    break;
            }
            //$('.contenedorInfo').css("background-color",colorDeCaida);//Indica el calor de la caida correspondiente
        }
        //markers.push(marcar);
    }
    //hacer 5 arrays conectado, push . 4 tipos de errores.

    //**crear los Clusters

    markerCluster1=new MarkerClusterer(map, markers_conectado,{imagePath: '../mvc/public/img/clusterVerde'});
    markerCluster2=new MarkerClusterer(map, markers_los, {imagePath: '../mvc/public/img/clusterRojo'});
    markerCluster3=new MarkerClusterer(map, markers_losi,{imagePath: '../mvc/public/img/clusterCeleste'});
    markerCluster4=new MarkerClusterer(map, markers_gasp,{imagePath: '../mvc/public/img/clusterAmarillo'});
    markerCluster5=new MarkerClusterer(map, markers_rougue,{imagePath: '../mvc/public/img/clusterVioleta'});
    markerCluster6=new MarkerClusterer(map, markers_error,{imagePath: '../mvc/public/img/clusterBordo'});
    markerCluster7=new MarkerClusterer(map, markers_caidaNoRegistradas,{imagePath: '../mvc/public/img/clusterGris'});

    var styles = markerCluster1.getStyles();
    for (let i=0; i<styles.length; i++) {
        styles[i].textColor = "white";
        styles[i].textSize = 14;
    }
    styles = markerCluster2.getStyles();
    for (let i=0; i<styles.length; i++) {
        styles[i].textColor = "white";
        styles[i].textSize = 14;
    }
    styles = markerCluster3.getStyles();
    for (let i=0; i<styles.length; i++) {
        styles[i].textColor = "white";
        styles[i].textSize = 14;
    }
    styles = markerCluster4.getStyles();
    for (let i=0; i<styles.length; i++) {
        styles[i].textColor = "white";
        styles[i].textSize = 14;
    }
    styles = markerCluster5.getStyles();
    for (let i=0; i<styles.length; i++) {
        styles[i].textColor = "white";
        styles[i].textSize = 14;
    }
    styles = markerCluster6.getStyles();
    for (let i=0; i<styles.length; i++) {
        styles[i].textColor = "white";
        styles[i].textSize = 14;
    }
    styles = markerCluster7.getStyles();
    for (let i=0; i<styles.length; i++) {
        styles[i].textColor = "white";
        styles[i].textSize = 14;
    }

}

var map;
function initMap() {
    // Obtener coordenadas iniciales del servidor PHP
    const latitudNodo = "<?php echo $this->coordenadasNodoPrincipal[0]->LATITUD; ?>";
    const longitudNodo = "<?php echo $this->coordenadasNodoPrincipal[0]->LONGITUD; ?>";

    const coordenadasDelNodo = { lat: parseFloat(latitudNodo), lng: parseFloat(longitudNodo) };

    // Valores por defecto del nodo principal
    const defaultLat = parseFloat(latitudNodo);
    const defaultLng = parseFloat(longitudNodo);
    const defaultZoom = 15;

    // Obtener valores de la URL
    const urlParams = new URLSearchParams(window.location.search);
    const savedLat = urlParams.get('lat');
    const savedLng = urlParams.get('lng');
    const savedZoom = urlParams.get('zoom');

    // Usar valores guardados en la URL o los valores predeterminados
    const lat = savedLat ? parseFloat(savedLat) : defaultLat;
    const lng = savedLng ? parseFloat(savedLng) : defaultLng;
    const zoom = savedZoom ? parseInt(savedZoom) : defaultZoom;

    // Coordenadas iniciales
    const coordenadasIniciales = { lat, lng };

    // Crear el mapa
    map = new google.maps.Map(document.getElementById("map"), {
        center: coordenadasIniciales,
        zoom,
        mapTypeId: google.maps.MapTypeId.SATELLITE,
    });

    // Crear marcador
    const marker = new google.maps.Marker({
        position: coordenadasDelNodo,
        map,
        icon: '../mvc/public/img/nodo.png',
    });

    // Actualizar la URL cuando se mueva el mapa o se cambie el zoom
    map.addListener('center_changed', () => {
        const center = map.getCenter();
        const newLat = center.lat();
        const newLng = center.lng();
        updateURL(newLat, newLng, map.getZoom());
    });

    map.addListener('zoom_changed', () => {
        const center = map.getCenter();
        updateURL(center.lat(), center.lng(), map.getZoom());
    });

}

    // Función para actualizar la URL
    function updateURL(lat, lng, zoom) {
        const newParams = new URLSearchParams(window.location.search);
        newParams.set('lat', lat.toFixed(6)); // Limitar a 6 decimales
        newParams.set('lng', lng.toFixed(6));
        newParams.set('zoom', zoom);
        const newUrl = `${window.location.pathname}?${newParams.toString()}`;
        window.history.replaceState({}, '', newUrl); // Reemplazar la URL sin recargar la página
    }
// Asignar la función de inicialización al objeto `window`
window.initMap=initMap;

datos=<?php echo $this->datosGrafico;?>;
var elemento;
var obj={};
var result1=[];
var result2=[];
var result13=[];
var result27=[];
$.each(datos, function (i) {
    obj['x']=new Date(datos[i]['fecha']);
    obj['y']=datos[i]['cantidad'];
    switch (datos[i]['tipo']) {
        case 'LOS':
            result1.push(obj);
            break;
        case 'LOSI':
            result2.push(obj);
            break;
        case 'GASP':
            result13.push(obj);
            break;
        case 'ROUGUE':
            result27.push(obj);
            break;
        default:
            break;
        }
        obj={};
    })

function marcador(map,coordenadas,nombreImg,idClientePlan,valorCaida,estado)
    {
    previous_Window=null;
    svgMarker={
        path: "M215.7 499.2C267 435 384 279.4 384 192C384 86 298 0 192 0S0 86 0 192c0 87.4 117 243 168.3 307.2c12.3 15.3 35.1 15.3 47.4 0zM192 256c-35.3 0-64-28.7-64-64s28.7-64 64-64s64 28.7 64 64s-28.7 64-64 64z",
        fillColor:"#000",
        strokeColor: "#00ff00",
        fillOpacity:0.9,
        strokeWeight:0.3,
        rotation:0,
        scale:0.04,
    };
    var marker=new google.maps.Marker({
        position: coordenadas,
        map: map,
        icon: nombreImg,//aquí se declara el icono que va a usar
        animation:null,
        idclienteplan: idClientePlan,
        valorCaida: valorCaida,
        estado:estado
    });
    marker.placeResult=coordenadas;
    var infowindow=new google.maps.InfoWindow();
    google.maps.event.addListener(marker, 'click', function (evt) {
        // the click event function is called with the "event" as an argument
        //cerrar todos los windows info antes de abrir el nuevo
        if (previous_Window) {
            previous_Window.close();
        }
        showInfoWindow(this,map,infowindow,estado);
        previous_Window=infowindow;
    });
    return marker;
}


$(document).ready(function()
{
    $("#mydiv").hide();
    function recargarFiltro()
    {
        location.reload();
    }
    //setTimeout(recargarFiltro(), 500); //recarga la pagina cada 10 minutos
    //setTimeout("window.open(self.location, '_self');", 600000); //recarga la pagina cada 10 minutos
    setInterval(() => {
        //$( "#buscarDatosFiltro" ).trigger( "click" );
        obtenerOnus()

    }, 600000);
    initMap();

    //Menu
    $('#btnMenu').click(function(){
        $('#contenidoNav').show();
    });

    /*Btn para modal del info caidas*/
    $('.btnInfoCaidas').click(function()
    {
        $('#mydiv').fadeIn(200);
        $('#myDiv2').hide();
        $('.btnInfoCaidas').hide();
    })

    $('#closeCaidas').click(function()
    {
        $('#mydiv').hide();
        $('#myDiv2').hide();
        $("#abrirFiltro").show();
        $(".txtFiltrar").show();
        $("#limpiarFiltro").hide();
        $(".txtLimpiarFiltro").hide();
       // $('.btnInfoCaidas').fadeIn(200);
    })

    //para quitar los puntos que no son de interés
    var noPoi=[{
        featureType:"poi",
        elementType:"labels",
        stylers:[{
            visibility:"off"
        }]
    }];

    map.setOptions({
        styles:noPoi
    });

    // leer los input check de los filtros
    let filtros='';
    var nombre='';
    var actualUrl = window.location.href;
    var queryString=window.location.search;
    var urlParams=new URLSearchParams(queryString);
    var filtroPorUrl=urlParams.get('filtrar');
    if(filtroUrl!=""||filtroUrl!=undefined) //URL filtro dashboard
    {
        if (actualUrl.includes("/estadoOid?filtrar="))
        {
            $('#abrirFiltro').trigger('click');//El menu del filtro queda abierto para saber pq tipo se filtro
            switch(filtroPorUrl)
            {
                case 'conectados':
                    $('#cb1').removeAttr('checked');$('#cb2').removeAttr('checked');$('#cb3').removeAttr('checked');$('#cb4').removeAttr('checked');$('#cb5').removeAttr('checked');
                    break;
                case 'los':
                    $('#cbcon').removeAttr('checked');$('#cb2').removeAttr('checked');$('#cb3').removeAttr('checked');$('#cb4').removeAttr('checked');$('#cb5').removeAttr('checked');
                    break;
                case 'losi':
                    $('#cbcon').removeAttr('checked');$('#cb1').removeAttr('checked');$('#cb3').removeAttr('checked');$('#cb4').removeAttr('checked');$('#cb5').removeAttr('checked');
                    break;
                case 'gasp':
                    $('#cbcon').removeAttr('checked');$('#cb1').removeAttr('checked');$('#cb2').removeAttr('checked');$('#cb4').removeAttr('checked');$('#cb5').removeAttr('checked');
                    break;
                case 'rouge':
                    $('#cbcon').removeAttr('checked');$('#cb1').removeAttr('checked');$('#cb2').removeAttr('checked');$('#cb3').removeAttr('checked');$('#cb5').removeAttr('checked');
                    break;
                default:
                    $('#cbcon').removeAttr('checked');$('#cb1').removeAttr('checked');$('#cb2').removeAttr('checked');$('#cb3').removeAttr('checked');$('#cb4').removeAttr('checked');
                    break;
            }
    }
    }
    else
    {
        //sin url
        $('.casilla').each(function()
        {
            $(".spinner-box").show();
            switch ($(this)[0].value) {
                case '0':
                    nombre='LOS';
                    break;
                case '1':
                    nombre='LOSI';
                    break;
                case '2':
                    nombre='DYING GASP';
                    break;
                case '3':
                    nombre='ROUGUE';
                    break;
                case '4':
                    nombre='ERROR_CONEXION';
                    break;
                default:
                    nombre='CONECTADOS';
                    break;
            }
            if($(this).prop('checked')) {
                filtros+=nombre +',';
            }
        });
        filtros=filtros.slice(0, -1);
    }

    function obtenerOnus() {
        let filtros = '';
        let nombre = 'estadoOid.php';

        // Recorrer cada casilla y agregar filtros
        $('.casilla').each(function() {
            switch ($(this)[0].value) {
                case '0':
                    nombre = 'LOS';
                    break;
                case '1':
                    nombre = 'LOSI';
                    break;
                case '2':
                    nombre = 'DYING GASP';
                    break;
                case '3':
                    nombre = 'ROUGUE';
                    break;
                case '4':
                    nombre = 'ERROR_CONEXION';
                    break;
            }
            if ($(this).prop('checked')) {
                filtros += nombre + ',';
            }
        });

        filtros = filtros.slice(0, -1);
        const olt = $('#olt').val();
        const conectados = $('#cbcon').prop('checked');
        $.ajax({
            url:"/estadooid/obtenerOnus",
            type:'post',
            datatype:'json',
            data:{filtro:filtros, conectados: conectados,olt:olt},
        }).done(function(respuesta)
        {
       // Ocultar y mostrar elementos de carga
       $('#buscarDatosFiltro').hide();
       $("#cargandoDatosFiltro").show();
       $(".spinner-box").show();


            limpiarCluster(markerCluster1);
            limpiarCluster(markerCluster2);
            limpiarCluster(markerCluster3);
            limpiarCluster(markerCluster4);
            limpiarCluster(markerCluster5);
            limpiarCluster(markerCluster6);
            limpiarCluster(markerCluster7);

            limpiarMarcadores(markers_conectado, markerCluster1);
            limpiarMarcadores(markers_los, markerCluster2);
            limpiarMarcadores(markers_losi, markerCluster3);
            limpiarMarcadores(markers_gasp, markerCluster4);
            limpiarMarcadores(markers_rougue, markerCluster5);
            limpiarMarcadores(markers_error, markerCluster6);
            limpiarMarcadores(markers_caidaNoRegistradas, markerCluster7);
            let res = JSON.parse(respuesta)

            var cantidadOnus=res.onus.length;
            res =res["resumenCaidas"]
            let los1hr =res["LOS_1hs"];
            let losi1hr =res["LOSI_1hs"];
            let gasp1hr =res["DYING_1hs"];
            let rouge1hr =res["ROUGE_1hs"];
            let los15min =res["LOS_15MIN"];
            let losi15min =res["LOSI_15MIN"];
            let gasp15min =res["DYING_15MIN"];
            let rouge15min =res["ROUGE_15MIN"];

            let los24hs =res["LOS_24hs"];
            let losi24hs =res["LOSI_24hs"];
            let gasp24hs =res["DYING_24hs"];
            let rouge24hs =res["ROUGE_24hs"];

            let losActual =res["LOS_ACTUAL"];
            let losiActual =res["LOSI_ACTUAL"];
            let gaspActual =res["DYING_ACTUAL"];
            let rougeActual =res["ROUGE_ACTUAL"];

            let conectado =res["CONECTADOS"];
            let desconectado =res["DESCONECTADOS"];
            let ultimaActualizacion =res["ULTIMA_ACTUALIZACION"];
            ultimaActualizacion = ultimaActualizacion.slice(10,19)

            $("#losTotal").text(los24hs);
            $("#losiTotal").text( losi24hs);
            $("#dyingGaspTotal").text(gasp24hs);
            $("#rougeTotal").text(rouge24hs);

            $("#los1Hora").text(los1hr);
            $("#losi1Hora").text( losi1hr);
            $("#dyingGasp1Hora").text(gasp1hr);
            $("#rouge1Hora").text(rouge1hr);
            $("#los15min").text(los15min);
            $("#losi15min").text(losi15min);
            $("#dyingGasp15min").text(gasp15min);
            $("#rouge15min").text(rouge15min);

            $(".los").text(losActual);
            $(".losi").text(losiActual);
            $(".corte").text(gaspActual);
            $(".onu").text(rougeActual);
            $(".conectado").text(conectado);
            $(".no-registrada").text(desconectado);
            $("#ultimaActualizacion").text(" "+ultimaActualizacion);

            $("#losActual").text(losActual);
            $("#losiActual").text(losiActual);
            $("#dyingGaspActual").text(gaspActual);
            $("#rougeActual").text(rougeActual);

            dibujarMapa(respuesta);
            $(".spinner-box").hide();
                        setTimeout(() => {
                $(".spinner-box").hide();
                $('#buscarDatosFiltro').show();
                $("#cargandoDatosFiltro").hide();
            }, 100);
        })
        .fail(function (jqXHR, textStatus, errorThrown)
        {
            console.log(""+jqXHR+textStatus+errorThrown);
        });
    }
    function limpiarCluster(cluster) {
        if (cluster.length !== 0) {
            cluster.setMap(null);
        }
    }

    function limpiarMarcadores(markersArray, cluster) {
        for (var i = 0; i < markersArray.length; i++) {
            cluster.removeMarker(markersArray[i]);
            markersArray[i].setMap(null);
        }
        markersArray.length = 0; // Vaciar array
    }
    obtenerOnus()
    // fin modificaciones

    //nav de los elementos a mostrar

    //Aside (Menu izquierdo)
    $('#btnAside').click(function()
    {
        $('#contenedorAside').attr('class','col-xs-12 col-sm-12 col-md-3 col-lg-3 col-xl-3');
        $('#map').attr('class','col-xs-12 col-sm-12 col-md-9 col-lg-9 col-xl-9');
        $('#tablaCausaCaidas').fadeIn(100);
        $('#filtrarX').fadeIn(100);
    });

    $('#filtrarX').click(function()
    {

        id=$('#selectorfiltro option:selected').val();
        nombre=$('#selectorfiltro option:selected').text();
        $.ajax({
            url:"/estadooid/obteniendoDatosClientesConOnt",
            type:'post',
            datatype:'json',
            data:{id,nombre},
        }).done(function(respuesta)
        {
            var datos = JSON.parse(respuesta);
            $.each(datos, function (i) {
            })
        })
    })

    //----Info de las distintas caidas
    var jsonInfoCaidaHuawei = {
        "tipocaida":[
            {"valor": -1,"codigocolor":"#ff0000","info":"Indica que la consulta falla."},
            {"valor": 1,"codigocolor":"#4463fc","info":"Indica que el motivo es LOS (Perdida de senial)"},
            {"valor": 2,"codigocolor":"#ffb881" ,"info":"Indica que el motivo es LOSi (Perdida de senial para ONU) o LOBi (Perdida de rafaga para ONUi)"},
            {"valor": 3,"codigocolor":"#a4a1e9","info":"Indica que el motivo es LOFI(Loss of frame of ONU)"},
            {"valor": 4,"codigocolor": "#07f380" ,"info":"Indica que el motivo es SFI (Signal fail of ONU)"},
            {"valor": 5,"codigocolor": "#e060d6" ,"info":"Indica que el motivo es LOAI (Perdida de reconocimiento con ONUi)"},
            {"valor": 6,"codigocolor": "#24738a" ,"info":"Indica que el motivo es LOAMI(Loss of PLOAM for ONU)"},
            {"valor": 7,"codigocolor": "#fcf744" ,"info":"Indica que el motivo esta desactivado ONT falla"},
            {"valor": 8,"codigocolor": "#ff006c" ,"info":"Indica que el motivo es el exito de la ONT desactivada"},
            {"valor": 9,"codigocolor": "#64b990" ,"info":"Indica que el motivo es resetear ONT"},
            {"valor": 10,"codigocolor": "#e9ff4b" ,"info":"Indica que el motivo es volver a registrar ONT"},
            {"valor": 11,"codigocolor": "#a96ef7" ,"info":"Indica que el motivo es un error emergente"},
            {"valor": 13,"codigocolor": "#4b4b4b" ,"info":"Indica que el motivo es morir-jadear"},
            {"valor": 15,"codigocolor": "#939497" ,"info":"Indica que el motivo es LOKI (Perdida de sincronizacion de clave con ONUi)"},
            {"valor": 18,"codigocolor": "#007075" ,"info":"Indica que el motivo es ONT desactivado debido al timbre"},
            {"valor": 30,"codigocolor": "#97d091" ,"info":"Indica que el motivo es el apagado del módulo optico ONT"},
            {"valor": 31,"codigocolor": "#ad9a43" ,"info":"Indica que el motivo es restablecer ONT por comando ONT"},
            {"valor": 32,"codigocolor": "#ff6100" ,"info":"Indica que el motivo es el reinicio de ONT mediante el boton de reinicio de ONT"},
            {"valor": 33,"codigocolor": "#74ffbe" ,"info":"Indica que el software ONT reinicia el motivo"},
            {"valor": 34,"codigocolor": "#7270c0" ,"info":"Indica que el motivo es ONT desactivada por ataque broadcast"},
            {"valor": 35,"codigocolor": "#ffcaba" ,"info":"Indica que la razón es que la verificación del operador fallo"},
            {"valor": 37,"codigocolor": "#560000" ,"info":"Indica que el motivo es una ONT maliciosa detectada por si misma"},
        ]
    };

    $('#btnInfoCausas').click(function()
    {
        $('#imprirInfoTr').empty();
        $('#contenedorCantidadOnusEstado').css('display','none');
        $('#itemBtnAmpliar').css('display','block');
        $('#itemBtnAmpliar').click(function() //Cierra el contenedor de causas
        {
            $('#map').css('height', '100%');
            $('#contenedorDeInfoCausas').css('display','none');
            $('#itemBtnAmpliar').fadeOut();
        });
        $('#map').css('height', '55%');
        $('#contenedorDeInfoCausas').css('display','block');

        //Listando info de las caidas
        for(i in jsonInfoCaidaHuawei.tipocaida)
        {
            //var valorCaida=jsonInfoCaidaHuawei.tipocaida[i].valor;
            var codigoColorCaida=jsonInfoCaidaHuawei.tipocaida[i].codigocolor;
            var descripcionCaida=jsonInfoCaidaHuawei.tipocaida[i].info;
            $('#imprirInfoTr').append("<tr><td><input class='form-check-input' type='radio' id='flexRadioDefault1' style='background-color:" + codigoColorCaida + "'></td><td>" + descripcionCaida + "<td</tr>");
        }
    });

    $('#btnControlDeEstado').click(function() //Cant de onus caidas y no caidas
    {
        $('#imprirInfoCantidadEstado').empty();
        $('#contenedorDeInfoCausas').css('display','none');
        $('#imprirInfoTr').empty();
        $('#itemBtnAmpliar').css('display','block');
        $('#itemBtnAmpliar').click(function() //Cierra el contenedor de causas
        {
            //$('#map').css('height', '100%');
            $('#contenedorCantidadOnusEstado').css('display','none');
            $('#itemBtnAmpliar').fadeOut();
        });
        //$('#map').css('height', '86%');
        $('#contenedorCantidadOnusEstado').css('display','block');

        $.ajax({
        url:"/estadooid/cantidadDeOntEstado",
            type:'post',
            datatype:'json',
            data:{},
        }).done(function(respuesta)
        {
            var datos=JSON.parse(respuesta);
            var online=datos[0].TOTAL;
            var offline=datos[1].TOTAL;

            $('#cantidadOnline').text("Cantidad Online: " + online);
            $('#cantidadOffline').text("Cantidad Offline: " + offline);
        })
        .fail(function (jqXHR, textStatus, errorThrown){
            alert("" + jqXHR + textStatus +errorThrown);
        });
    });

    $(window).resize(function() {
        if ($("#Menu").width() > 600)
            $("Menu").css('background-color','red');
    });

    //-----DAtatable y grafico de líneas--------------------------

    // prueba nro 2
    document.addEventListener("DOMContentLoaded", function(event)
    {

        const showNavbar = (toggleId, navId, bodyId, headerId) =>
        {
            const toggle = document.getElementById(toggleId),
            nav = document.getElementById(navId),
            bodypd = document.getElementById(bodyId),
            headerpd = document.getElementById(headerId)

            // Validate that all variables exist
            if(toggle && nav && bodypd && headerpd)
            {
                toggle.addEventListener('click', ()=>
                {
                    // show navbar
                    nav.classList.toggle('show')
                    // change icon
                    toggle.classList.toggle('bx-x')
                    // add padding to body
                    bodypd.classList.toggle('body-pd')
                    // add padding to header
                    headerpd.classList.toggle('body-pd')
                })
            }
        }

        showNavbar('header-toggle','nav-bar','body-pd','header')

        /*===== LINK ACTIVE =====*/
        const linkColor = document.querySelectorAll('.nav_link')

        function colorLink()
        {
            if(linkColor)
            {
                linkColor.forEach(l=> l.classList.remove('active'))
                this.classList.add('active')
            }
        }
        linkColor.forEach(l=> l.addEventListener('click', colorLink))
        // Your code to run since DOM is loaded and ready
    });

    // Make the DIV element draggable:
    dragElement(document.getElementById("mydiv"));

    function dragElement(elmnt) {
        /*
            position: absolute;
        right: 10px;
        top: 60px;
        */
        var pos1 = 0, pos2 = 0, pos3 = 0, pos4 = 0;
        if (document.getElementById(elmnt.id + "header"))
        {
            // if present, the header is where you move the DIV from:
            document.getElementById(elmnt.id + "header").onmousedown = dragMouseDown;
        }
        else
        {
            // otherwise, move the DIV from anywhere inside the DIV:
            elmnt.id.onmousedown = dragMouseDown;
        }

        function dragMouseDown(e) {
            e = e || window.event;
            e.preventDefault();
            // get the mouse cursor position at startup:
            pos3 = e.clientX;
            pos4 = e.clientY;
            document.onmouseup = closeDragElement;
            // call a function whenever the cursor moves:
            document.onmousemove = elementDrag;
        }

        function elementDrag(e) {
            e = e || window.event;
            e.preventDefault();
            // calculate the new cursor position:
            pos1 = pos3 - e.clientX;
            pos2 = pos4 - e.clientY;
            pos3 = e.clientX;
            pos4 = e.clientY;
            // set the element's new position:
            elmnt.style.top = (elmnt.offsetTop - pos2) + "px";
            elmnt.style.left = (elmnt.offsetLeft - pos1) + "px";
        }

        function closeDragElement() {
            // stop moving when mouse button is released:
            document.onmouseup = null;
            document.onmousemove = null;
        }
    }
    function setCookie(name, value, expires)
    {
        document.cookie = name + "=" + escape(value) + "; path=/" + ((expires == null) ? "" : "; expires=" + expires.toGMTString());
    }

    function getCookie(c_name)
    {
        if (document.cookie.length>0)
        {
            c_start=document.cookie.indexOf(c_name + "=");
            if (c_start!=-1)
            {
                c_start=c_start + c_name.length+1;
                c_end=document.cookie.indexOf(";",c_start);
                if (c_end==-1) c_end=document.cookie.length;
                return unescape(document.cookie.substring(c_start,c_end));
            }
        }
        return "";
    }

    $('.botonActualizar').click(function() {
        // Ocultar y mostrar elementos de carga
        $('#buscarDatosFiltro').hide();
        $("#cargandoDatosFiltro").show();
        $(".spinner-box").show();

        let filtros = '';
        let nombre = 'estadoOid.php';

        // Recorrer cada casilla y agregar filtros
        $('.casilla').each(function() {
            switch ($(this)[0].value) {
                case '0':
                    nombre = 'LOS';
                    break;
                case '1':
                    nombre = 'LOSI';
                    break;
                case '2':
                    nombre = 'DYING GASP';
                    break;
                case '3':
                    nombre = 'ROUGUE';
                    break;
                case '4':
                    nombre = 'ERROR_CONEXION';
                    break;
            }
            if ($(this).prop('checked')) {
                filtros += nombre + ',';
            }
        });

        filtros = filtros.slice(0, -1);
        const olt = $('#olt').val();
        const conectados = $('#cbcon').prop('checked');

        // Realizar solicitud AJAX
/*         $.ajax({
            url: "/estadooid/obtenerOnus",
            type: 'post',
            datatype: 'json',
            async: false,
            data: {
                filtro: filtros,
                olt: olt,
                conectados: conectados
            },
        }).done(function(response) {
            const res = JSON.parse(response).resumenCaidas;

            // Asignar valores a los elementos del DOM
            const {
                LOS_1hs, LOSI_1hs, DYING_1hs, ROUGE_1hs,
                LOS_15MIN, LOSI_15MIN, DYING_15MIN, ROUGE_15MIN,
                CONECTADOS, DESCONECTADOS, ULTIMA_ACTUALIZACION,
                LOS_ACTUAL, LOSI_ACTUAL, DYING_ACTUAL, ROUGE_ACTUAL,
                LOS_24hs, LOSI_24hs, DYING_24hs, ROUGE_24hs
            } = res;

            // Actualizar los textos en el DOM
            $("#losTotal").text(LOS_24hs);
            $("#losiTotal").text(LOSI_24hs);
            $("#dyingGaspTotal").text(DYING_24hs);
            $("#rougeTotal").text(ROUGE_24hs);
            $("#los1Hora").text(LOS_1hs);
            $("#losi1Hora").text(LOSI_1hs);
            $("#dyingGasp1Hora").text(DYING_1hs);
            $("#rouge1Hora").text(ROUGE_1hs);
            $("#los15min").text(LOS_15MIN);
            $("#losi15min").text(LOSI_15MIN);
            $("#dyingGasp15min").text(DYING_15MIN);
            $("#rouge15min").text(ROUGE_15MIN);

            $(".los").text(LOS_ACTUAL);
            $(".losi").text(LOSI_ACTUAL);
            $(".corte").text(DYING_ACTUAL);
            $(".onu").text(ROUGE_ACTUAL);
            $("#losActual").text(LOS_ACTUAL);
            $("#losiActual").text(LOSI_ACTUAL);
            $("#dyingGaspActual").text(DYING_ACTUAL);
            $("#rougeActual").text(ROUGE_ACTUAL);
            $(".conectado").text(CONECTADOS);
            $(".no-registrada").text(DESCONECTADOS);
            $("#ultimaActualizacion").text(" " + ULTIMA_ACTUALIZACION.slice(10, 19));

            // Mostrar el mapa si se proporciona OLT
            if (olt !== "") {
                const coordenadas = JSON.parse(response).coordenadas;
                const latitudNodo = coordenadas["LATITUD"];
                const longitudNodo = coordenadas["LONGITUD"];

                if (latitudNodo && longitudNodo) {
                    renderMapa(latitudNodo, longitudNodo,response);
                } else {
                    renderMapa("<?php echo $this->coordenadasNodoPrincipal[0]->LATITUD; ?>", "<?php echo $this->coordenadasNodoPrincipal[0]->LONGITUD; ?>",response);
                }
            } else {
                renderMapa("<?php echo $this->coordenadasNodoPrincipal[0]->LATITUD; ?>", "<?php echo $this->coordenadasNodoPrincipal[0]->LONGITUD; ?>",response);
            }

            // Finalizar la carga
            setTimeout(() => {
                $(".spinner-box").hide();
                $('#buscarDatosFiltro').show();
                $("#cargandoDatosFiltro").hide();
            }, 100);

        }).fail(function(jqXHR, textStatus, errorThrown) {
            alert(jqXHR + textStatus + errorThrown);
        }); */
        obtenerOnus()
    });
function renderMapa(lat, lng, response) {
    const coordenadasDelNodo = { lat: parseFloat(lat), lng: parseFloat(lng) };

    // Valores por defecto del nodo principal
    const defaultLat = parseFloat(lat);
    const defaultLng = parseFloat(lng);
    const defaultZoom = 15;

    // Obtener valores de la URL
    const urlParams = new URLSearchParams(window.location.search);
    const savedLat = urlParams.get('lat');
    const savedLng = urlParams.get('lng');
    const savedZoom = urlParams.get('zoom');

    // Usar valores guardados en la URL o los valores predeterminados
    lat = savedLat ? parseFloat(savedLat) : defaultLat;
    lng = savedLng ? parseFloat(savedLng) : defaultLng;
    const zoom = savedZoom ? parseInt(savedZoom) : defaultZoom;

    // Coordenadas iniciales
    const coordenadasIniciales = { lat, lng };

    // Crear o actualizar el mapa
    if (typeof map === 'undefined') {
        map = new google.maps.Map(document.getElementById("map"), {
            center: coordenadasIniciales,
            zoom: zoom,
            mapTypeId: google.maps.MapTypeId.SATELLITE
        });
    } else {
        map.setCenter(coordenadasIniciales);
        map.setZoom(zoom);
    }

    // Agregar marcador
    new google.maps.Marker({
        position: coordenadasDelNodo,
        map,
        icon: '../mvc/public/img/nodo.png',
    });

    // Configuración de estilo del mapa
    map.setOptions({
        styles: [{
            featureType: "poi",
            elementType: "labels",
            stylers: [{
                visibility: "off"
            }]
        }]
    });

    // Dibujar el mapa según la respuesta
    dibujarMapa(response);

    // Escuchar cambios en el centro y zoom para actualizar la URL
    google.maps.event.addListener(map, 'center_changed', function() {
        const center = map.getCenter();
        const newLat = center.lat();
        const newLng = center.lng();
        updateURL(newLat, newLng, map.getZoom());
    });

    google.maps.event.addListener(map, 'zoom_changed', function() {
        const center = map.getCenter();
        updateURL(center.lat(), center.lng(), map.getZoom());
    });

    // Ocultar el spinner
}

    //Filtro URL dashboard redireccion

        var queryString = window.location.search;
        var urlParams = new URLSearchParams(queryString);
        var filtroUrl = urlParams.get('filtro');

        if(filtroUrl!="" || filtroUrl!=undefined)
        {
            $('#botonActualizar').trigger('click');
        }
});

function showInfoWindow(service_marker, map, infowindow)
{
    $.ajax({
        url:'/estadooid/obtenerInfoMarker',
        type:'post',
        datatype:'json',
        data:{
            idClientePlan:service_marker.idclienteplan,
            valorCaida:service_marker.valorCaida,
            estado:service_marker.estado
        },
    }).done(function(respuesta)
    {
        infowindow.setContent(respuesta);
        infowindow.open(map,service_marker);

    })
    .fail(function (jqXHR, textStatus, errorThrown)
    {
        console.log("" + jqXHR + textStatus +errorThrown);
    });
    infowindow.open(map, service_marker);
}
