//INICIO lang
$("[data-lang]").each(function() {
    valor=$(this).attr("data-lang");

    try {
        valor=eval(valor);
    }
    catch(e) {
        valor=valor;
    }
    $(this).html(valor);
});
//FIN LANG


//MODAL
function abrirModalMvc(objeto,dataDatoParse)
{
    data=dataDatoParse;//json del data-datos del boton
    modal=objeto.modal;//objeto viene del controlador linkRedirecciones
    url=objeto.url;
    if(data.campo)
    {
        campo=linkRedirecciones[nombreObjeto].campo;
        var id=data[campo];
    }
    else
    {
        var id=data.ID;
    }
    window[modal](data,objeto);
}

function limpiarModalMvc()
{
    $("#modalIcono-header").attr("class","");
    $("#modalTitle-header").empty();
    $("#modalText-header").empty();
    $(".div").empty();
    $("#modalIcon-body").attr("class","");
    $("#modalTitle-body").empty();
    $("#modalText-body").empty();

    $("#btnCancelar").hide();
    $("#btnAceptar").hide();
    $("#btnConfirmar").hide();
    $("#btnExportar").hide();
    $("#btnEliminar").hide();
}

$(document).on('click', '#modalOverlay', function (e)
{
    $(".modal-section").hide();
});
$(document).on('click', '#btnCancelar', function (e)
{
    $(".modal-section").hide();
});
//FIN MODAL

//INICIO TR
function seteoParametrosTr(parametros,deviceID,guardarBcm,atributos)
{
    if(guardarBcm==''){
        guardarBcm=false;
    }
    var anterioresDatos=logBcm();
    $.ajax({
        url:basepath+"diagnostico/seteoParametrosTr",
        dataType:'json',
        type:'post',
        async: false,
        data:{parametros:parametros,deviceID:deviceID,guardadoDbBcm:guardarBcm,datosBcm:atributos,datosAnteriores:anterioresDatos}
    }).done(function (respuesta)
    {
        /*
        if(respuesta.length>0)
        {
            $('.abrirModalErrorValidacion-js').show();
            $('.listaErroresValidacion-js').empty();
            for(i in respuesta)
            {
                $('.listaErroresValidacion-js').append('<li>'+respuesta[i].msg+'</li>');
            }
        }
        else
        {
            setInterval(cerrarModalCargando,20000);
        }
        */
        location.reload();
    })
    .fail(function(jqXHR,textStatus,errorThrown)
    {
        location.reload();
    });
}

$(document).on('click','#btnCerrarModal', function (e)
{
    $('.abrirModalErrorValidacion-js').fadeOut(200);
});

/*recibe: el deviceId
nobreClase: null por defecto si no existe,
nombreId: recibe el nombre del atributo,
apartado: "wifi" -> los datos se guardan en el bcm*/
function editarMasDeUnAtributo(deviceID,nombreClase,nombreId,apartado)
{

    $('.abriModal-js').show();

    var parametrosSeteo=[];
    var datosAtributos=[];
    var guardarEnBcm=false;
    inputsData=$("."+nombreClase).get();
    if(nombreClase==null)
    {
        var inputsData=$('#'+nombreId+' :input[type="text"]').get();
    }
    for(var i in inputsData)
    {
        var path=inputsData[i].dataset.path;
        var valor=inputsData[i].value;
        var tipo=inputsData[i].dataset.tipo;
        var valorAtributo=inputsData[i].dataset.atributo;

        parametrosSeteo.push([path,valor,tipo]);
        switch(apartado)
        {
            //Agregar los apardatos con la info que quiero guardar en el bcm
            case 'WifiConfiguration':
                if(inputsData[i].id!="inputCanal1"&&inputsData[i].id!="inputCanal2")
                {
                    datosAtributos.push({"atributo":valorAtributo,"valor":valor});
                    guardarEnBcm=true;
                }
                break;
            default:
                console.log("No se guarda en db bcm");
                break;
        }
    }
    //Log recolectar datos anteriores

    setTimeout(function() {
        seteoParametrosTr(parametrosSeteo,deviceID,guardarEnBcm,datosAtributos);
    }, 200);
}

//Aplicado en firewall - dmz - avanzada
function editarSoloUnInput(path,tipo,input,deviceID)
{
    var valor=$("#"+input).val();
    if(valor!="")
    {
        var parametrosSeteo=[[path,valor,tipo]];
        seteoParametrosTr(parametrosSeteo,deviceID);
    }
}

function logBcm()
{
    var idNombredatosAnteriores=obtenerIdPorClase('datoAnterior-js'); //para log bcm
    var datosAnteriores=[];

    for(i of idNombredatosAnteriores)
    {
        valor=$("#"+i).val();
        datosAnteriores.push({"valor":valor});
    }
    return datosAnteriores;
}

/*Eliminar objeto*/

//La utilizo en bloquear y desloquear mac
function bloqueoMac(deviceID,macActual)
{
    //console.log(deviceID+" "+macActual);
    var postData={deviceID:deviceID,mac:macActual};
    $.ajax({
        url:basepath+"diagnostico/bloquearMac",
        type:'post',
        dataType:'json',
        data:postData
    }).done(function (respuesta)
    {
        setInterval(mostarModalActualizar,10);
        setInterval(actualizarContenido,2500);
    })
    .fail(function(jqXHR,textStatus,errorThrown)
    {
        console.log(jqXHR+textStatus+errorThrown);
    });
}
/*Fin de eliminar objeto*/

/*Eliminar Objeto del Mac*/
function eliminarObjeto(deviceId,path,indice)
{
    path="InternetGatewayDevice.Services.X_CU_User.1.X_HW_MacFilter."+indice;
    var postData={deviceID:deviceId,parametros:path};
    $.ajax({
        url:basepath+"diagnostico/eliminarObjeto",
        type:'post',
        dataType:'json',
        data:postData
    }).done(function (respuesta)
    {
        setInterval(mostarModalActualizar,10);
        setInterval(actualizarContenido,2500);
    })
    .fail(function(jqXHR,textStatus,errorThrown)
    {
        console.log(jqXHR+textStatus+errorThrown);
    });
}
/*Fin de eliinar objeto mac*/

/*Agregar Objeto del Mac*/
function agregarObjeto(deviceId,path,indice)
{
    path="InternetGatewayDevice.Services.X_CU_User.1.X_HW_MacFilter."+indice;
    var postData={deviceID:deviceId,parametros:path};
    $.ajax({
        url:basepath+"diagnostico/agregarObjeto",
        type:'post',
        dataType:'json',
        data:postData
    }).done(function (respuesta)
    {
        setInterval(mostarModalActualizar,10);
        setInterval(actualizarContenido,5000);
    })
    .fail(function(jqXHR,textStatus,errorThrown)
    {
        console.log(jqXHR+textStatus+errorThrown);
    });
}
/*Fin de Agregar objeto mac*/

/*Faults*/
function eliminarFaultsPorFila(idFaults,numFila)
{
    $.ajax({
        url:basepath+"diagnostico/deleteFault",
        type:'post',
        dataType:'json',
        data:{idFault:idFaults}
    }).done(function (respuesta)
    {
        $('#fila'+numFila).remove();
        $('.alert-success').fadeIn(50);
        setInterval(cerrarAlerta,3000);
    })
    .fail(function(jqXHR,textStatus,errorThrown)
    {
        console.log(jqXHR+textStatus+errorThrown);
    });
}

function eliminarFaultsAll(idDevice)
{
    //console.log(idDevice);
    $.ajax({
        url:basepath+"diagnostico/deleteAllFaults",
        type:'post',
        dataType:'json',
        data:{deviceId:idDevice}
    }).done(function (respuesta)
    {
        $('.removeAll').remove();
        $('.alert-success').fadeIn(50);
        setInterval(cerrarAlerta,2000);
    })
    .fail(function(jqXHR,textStatus,errorThrown)
    {
        console.log(jqXHR+textStatus+errorThrown);
    });
}
/*Fin Faults*/
/*Pertenece al apartado de Sistemas*/
function uploadFile(serialNumber,deviceId,isFirmware)
{
    $('.abriModal-js').show()
    var file_data = $('#file').prop('files');
    var file_data1 = $('#fileFirmware').prop('files');

    var extencion="";
    if(file_data || file_data1)
    {
        if(isFirmware)
        {
            tipoConfiguracion='1';
            extencion="bin";
        }
        else
        {
            tipoConfiguracion=$('#tipoConfiguracion').val();
            extencion="xml";
        }
        var form_data=new FormData();
        if(file_data)
            form_data.append('file', file_data[0]);
        if(file_data1)
            form_data.append('file', file_data1[0]);
        form_data.append('serialNumber', serialNumber);
        form_data.append('deviceID', deviceId);
        form_data.append('valor', extencion);
        form_data.append('tipoConfiguracion', tipoConfiguracion);
        $.ajax(
        {
            url: '/diagnostico/uploadFile', // point to server-side PHP script
            dataType: 'text',  // what to expect back from the PHP script, if anything
            cache: false,
            contentType: false,
            processData: false,
            data: form_data,
            type: 'post',
            success: function(php_script_response)
            {
                $('.abriModal-js').hide();

                console.log(unescape(txtArchivoEnviado));
                //location.reload();
                //document.location.reload(); // display response from the PHP script, if any
                //console.log(php_script_response); // display response from the PHP script, if any
            }
        });
    }
}

//Obtener fecha y data archivo xml anterior
function obtenerArchivoXmlAnterior(serialNumber)
{
    //console.log(serialNumber);
    //console.log(deviceID);

    var url = basepath+"diagnostico/obtenerFechaDataXmlAnterior/sn/"+serialNumber;
    window.open(url, "_blank");
    /*
    $.ajax({
        url:basepath+"diagnostico/obtenerFechaDataXmlAnterior",
        type:'post',
        dataType:'json',
        data:{sn:serialNumber,deviceId:deviceID}
    }).done(function (respuesta)
    {
        console.log(respuesta);

        $('#btnXml').html(respuesta);
    })
    .fail(function(jqXHR,textStatus,errorThrown)
    {
        console.log(jqXHR+textStatus+errorThrown);
    });
    */
}

//Funcion
function obtenerIdPorClase(nombreClase)
{
    var datosNombreBtn=$('.'+nombreClase).get();
    var guardarNobreAtributo=[];
    for(var i=0; i<datosNombreBtn.length; i++)
    {
        guardarNobreAtributo.push(datosNombreBtn[i].id); //Obtengo el valor del id
    }
    return guardarNobreAtributo;
}

//Interaccion de carga
function cerrarModalCargando()
{
    location.reload();
}
//FIN TR069

//GENERICA
function checkVariableNoEsteVacia(variable) {
    // Verificar que la variable no sea undefined
    if (typeof variable === 'undefined') {
        return false;
    }
    // Verificar que la variable no sea null
    if (variable === null) {
        return false;
    }
    // Verificar que la variable no sea una cadena vacía
    if (typeof variable === 'string' && variable.trim() === '') {
        return false;
    }
    // Verificar que la variable no sea un array vacío
    if (Array.isArray(variable) && variable.length === 0) {
        return false;
    }
    // Si pasó todas las verificaciones, entonces la variable es válida
    return true;
}
//FIN GENERICA
