function formatDate(dateString) {
    const date = new Date(dateString);
    const day = date.getDate();
    const month = date.getMonth() + 1; // Los meses en JavaScript van de 0 a 11
    const year = date.getFullYear();
    const hours = date.getHours();
    const minutes = date.getMinutes().toString().padStart(2, '0');

    return `${day}-${month}-${year} ${hours}:${minutes}`;
  }
function modalVacio(dataDatosParse,objeto)
{
   limpiarModalMvc("modalVacio");
    $("#modalVacio").hide();
    /*DATOS MODAL*/
    var objeto = dataDatosParse;
    var NUMERO = objeto.NUMERO
    var idCliente = objeto.ID;
    var urlCliente="#";
    var estiloUrlCliente="text-decoration:none;color:black;cursor:default;";
    if(idCliente!=null&&idCliente!=""&&idCliente!=undefined)
    {
        urlCliente=`/mantenimientocliente.php?id=${idCliente}`;
        estiloUrlCliente="";
    }
    $.ajax({
        url: basepath+"ispcube/getClienteIspCube/NUMERO/"+NUMERO,
        dataType : 'json',
        processData: false,
        contentType: false,
        type: "POST",
    success: function(respuesta)
    {
        $(".modalVacio-box").empty();
        if (respuesta[0] == undefined && !respuesta.message) {
            return false
        }
        else if(respuesta.message){
            var vista = `<p>${respuesta.message || 'No hay datos'}</p>`
            $('.modalVacio-box').html(vista);

        }else
        {
            const createdAt = respuesta[0].created_at ? formatDate(respuesta[0].created_at) : 'No hay datos';
            const updatedAt = respuesta[0].updated_at ? formatDate(respuesta[0].updated_at) : 'No hay datos';
            $(".spinner-box").hide()
                 vista = `

                    <p><strong>N° Cliente:</strong> <a style="${estiloUrlCliente}" target="_blank" href="${urlCliente}">${NUMERO}</a></p>
                    <div id='listadoLogsIspCube' style='max-height: 500px;margin: 20px;    width: 80%;'>
                        <h3 style='margin-top: 20px;margin-bottom: 25px;border-bottom: 1px solid #0067a5;'>Información del Cliente</h3>
                        <p><strong>IP:</strong> ${respuesta[0].ip || 'No hay datos'}</p>
                        <p><strong>Dirección:</strong> ${respuesta[0].address || 'No hay datos'}</p>
                        <p><strong>Latitud:</strong> ${respuesta[0].lat || 'No hay datos'}</p>
                        <p><strong>Longitud:</strong> ${respuesta[0].lng || 'No hay datos'}</p>
                        <p><strong>Fecha de Creación:</strong> ${createdAt}</p>
                        <p><strong>Fecha de Actualización:</strong> ${updatedAt}</p>
                        <p><strong>Tipo de Contrato:</strong> ${respuesta[0].conntype || 'No hay datos'}</p>
                        <p><strong>Usuario:</strong> ${respuesta[0].user || 'No hay datos'}</p>
                        <p><strong>Password:</strong> ${respuesta[0].password || 'No hay datos'}</p>

                        <h3 style='margin-top: 20px;margin-bottom: 25px;border-bottom: 1px solid #0067a5;'>Información del Plan</h3>
                        <p><strong>Code:</strong> ${respuesta[0].plan.code || 'No hay datos'}</p>
                        <p><strong>Nombre:</strong> ${respuesta[0].plan.name || 'No hay datos'}</p>
                        <p><strong>Speeddown:</strong> ${respuesta[0].plan.speeddown || 'No hay datos'}</p>
                        <p><strong>Speedup:</strong> ${respuesta[0].plan.speedup || 'No hay datos'}</p>
                    </div>`;

                $('.modalVacio-box').html(vista);
        }

    },
    error: function( xhr, status, errorThrown )
    {
        $(".spinner-box").hide()
        console.log( "Error: " + errorThrown );
        },
    });
    /*FIN DATOS MODAL*/

    $(".modalVacio-box").css("padding","10px");
    $(".modalVacio-box").css("overflow-y","auto");
    $("#modalVacio").show();
}
