$(document).ready(function(){
    const scrollingElement = (document.scrollingElement || document.body);
    const scrollToBottom = () => {
        scrollingElement.scrollTop = scrollingElement.scrollHeight;
    }
    const queryString = window.location.search;
    const urlParams = new URLSearchParams(queryString);
    const id = urlParams.get('id');

    $("#id_precarga").val(id);
    getServiciosGlobales();
    var equipamientosArray=[];

    obtenerEquipamientosNap();

    function decode_utf8(s)
    {
        return decodeURIComponent(escape(s));
    }
    function codificacion(string)
    {
        if (string!='' && string!=undefined) {
            var comentarios='';
            comentarios=string;
            comentarios = comentarios.replace(/&Aacute;/g, 'Á');
            comentarios = comentarios.replace(/&Eacute;/g, 'É');
            comentarios = comentarios.replace(/&Iacute;/g, 'Í');
            comentarios = comentarios.replace(/&Oacute;/g, 'Ó');
            comentarios = comentarios.replace(/&Uacute;/g, 'Ú');
            comentarios = comentarios.replace(/&aacute;/g, 'á');
            comentarios = comentarios.replace(/&eacute;/g, 'é');
            comentarios = comentarios.replace(/&iacute;/g, 'í');
            comentarios = comentarios.replace(/&oacute;/g, 'ó');
            comentarios = comentarios.replace(/&uacute;/g, 'ú');
            comentarios = comentarios.replace(/&deg;/g, '°');
            comentarios = comentarios.replace(/&amp;/g, '&');
            comentarios = comentarios.replace(/&ntilde;/g, 'ñ');
            comentarios = comentarios.replace(/&iquest;/g, '¿');
            comentarios = comentarios.replace(/&Acirc;/g, '');
            // comentarios = comentarios.replace(/&Acirc;/g, '°'); °  =  &#176;
            let from_2 = comentarios;
            let result_2 = decode_utf8(from_2);
            return result_2;
        }
        return string;
    }

    $.ajax({
        async: true,
        url: "/preCarga/getPrecargaDatos",
        type: 'POST',
        data: {
            id:id
        },
    }).done(function(response) {
        res=JSON.parse(response);
        $("#id").val(res.ID);
        $("#numCliente").val(res.NUMERO);
        var namec=codificacion(res.NOMBRE);
        $("#nombre").val(namec);
        var apellidoc=codificacion(res.APELLIDO);
        $("#apellido").val(apellidoc);
        $("#cuitDni").val(res.DNI);
        $("#fechaNacimiento").val(res.FECHA_NAC);
        $("#persona").val(res.T_PERSONA);
        $("#iva").val(res.T_IVA);
        $("#telefono").val(res.TELEFONO1);
        $("#telefonoAlternativo").val(res.TELEFONO2);
        $("#emailCliente").val(res.EMAIL);
        $("#provincia").val(res.ID_PROVINCIA);
        $("#ciudad").val(res.ID_CIUDAD);
        var domicilio=codificacion(res.DOMICILIO);
        $("#direccion").val(domicilio);
        $("#codigoPostal").val(res.CP);
        $("#numOrdenTrabajo").val(res.ORDEN);
        comentarios=codificacion(res.OBS);
        $("#comentarios").val(comentarios);
        $("#equipamientoSelect").val(res.ID_EQUIPAMIENTO);
        $("#numeroPuerto").val(res.PUERTO);
        $("#numeroPrecinto").val(res.PRECINTO);
        $("#numeroPlanCliente").val(res.NRO_PLAN);
        $("#tipoPlan").val(res.ID_PLAN);
        var televisionObs=codificacion(res.OBS_TELEVISION);
        $("#televisionObs").val(televisionObs);
        var aliasObs=codificacion(res.OBS_FINALIZAR);
        $("#otrosAliasObs").val(aliasObs);
        $("#telefoniaNumber").val(res.TELEFONIA_NUMERO);
        $("#telefoniaPass").val(res.TELEFONIA_PASS);
        var telUser=codificacion(res.TELEFONIA_USER);
        $("#telefoniaUser").val(telUser);
        var obsTel=codificacion(res.TELEFONIA_OBS);

        $('#otrosAlias').val(res.OTROS_ALIAS);
        // var telObs=codificacion(obsTel);
        $("#telefoniaObs").val(obsTel);

        if (res.INTERNET==1) {
            $( "#internet" ).prop( "checked", true );
        }
        if (res.INTERNET!=0 && res.INTERNET!=-1) {
            $("#internet").prop( "checked", true );
            $('#internetObs,#internetObsLabel,#internetLabel').show()
        }else{
            $('#internetObs,#internetObsLabel,#internetLabel').hide()
        }
        var internetObs=codificacion(res.INTERNET_OBS);
        $("#internetObs").val(internetObs);
        $("#idtecnico").val(res.ID_TECNICO);
        $("#idgrupo").val(res.ID_GRUPO);
        if (res.TELEFONIA!=0 && res.TELEFONIA!=-1) {
            $("#telefonia").prop( "checked", true );
            $('#boxTelefonia,#telefoniaLabel').toggle()
            scrollToBottom()
        }

        $("#television").val(res.TELEVISION);

        if (res.ID_PLAN!=0) {
            $('#detallePlanBox').css('display','flex')
        }
        if (res.TELEVISION!=0 && res.TELEVISION!=-1) {
            $('#televisionLabel,#televisionObsLabel,#televisionObs').show()
            //scrollToBottom()
        }else{
            $('#televisionLabel,#televisionObsLabel,#televisionObs').hide()
            if ($('#otrosAlias').val()!=-1) {
                $('#otrosAliasLabel,#otrosAliasObsLabel,#otrosAliasObs').show()
            }
        }
        if (res.OTROS_ALIAS!=0 && res.OTROS_ALIAS!=-1) {
            $('#otrosAliasLabel,#otrosAliasObsLabel,#otrosAliasObs').show()
            $('#televisionLabel,#televisionObsLabel,#televisionObs').hide();
            $('#internetObs,#internetObsLabel,#internetLabel').hide();
            $('#boxTelefonia,#telefoniaLabel').hide();
        }else{
            $('#otrosAliasLabel,#otrosAliasObsLabel,#otrosAliasObs').hide();
            if($('#internet').is(':checked')){
                $('#internetObs,#internetObsLabel,#internetLabel').show();
            }
            if($('#telefonia').is(':checked')){
                $('#boxTelefonia,#telefoniaLabel').show();
            }
            if($('#internet').is(':checked')){
                $('#internetObs,#internetObsLabel,#internetLabel').show();
            }
        }

    }).fail(function (jqXHR, textStatus, errorThrown)
    {
    });
    function showModal() {
        $('#genericModal').show();
        $('#genericModal').attr('style','z-index:99999!important;');
    }

    $("#enviarDatosCliente").click(function (e) {
        // e.preventDefault();

        var data=new FormData($('form#form-precarga')[0]);
        $.ajax( {
            processData: false,
            contentType: false,
            data: data,
            dataType: 'json',
            type: 'post',
            url: '/preCarga/actualizarPrecargaDatos',
            success: function( response )
            {
                if(response.length>0)
                {
                    $(response).each(function (index, element) {
                        alert(element.msg)
                    });
                }
                else{
                    showModal();
                    setTimeout(() => {
                        window.location.href = "/preCarga/listado";
                    }, 700);
                }
            }
        })
    })

    function getServiciosGlobales()
    {
        $.ajax({
            url: "/preCarga/getServiciosHabilitados",
            type: 'POST',
            datatype: "json",
            data: {
                id_empresa: -1
            },
        }).done(function(response)
        {
            respuesta=JSON.parse(response);
            $('#television').find('option').not('[value="-1"]').remove();
            $(respuesta).each(function (index, element) {
                //para que agregue los alias que no son los predeterminados.
                if (element.ID > 5) {
                    $("#otrosAlias").append(
                        "<option value=" + element.ID + ">" + element.ALIAS + "</option>"
                        );
                }
                if (element.ID == 1 && element.VALOR==1) {//internet-- check
                    $("#internetBox").css('display','flex')
                }
                if (element.ID == 2 && element.VALOR==1) {//voip-- check
                    $("#telefoniaBox").css('display','flex')
                }
                if (element.ID >= 3 && element.ID<=5) {//multicast-select option
                    $("#televisionBox").css('display','flex')
                    if (element.VALOR==1) {
                        $('#television').append( '<option value="'+element.ID+'">'+element.ALIAS+'</option>' );
                    }
                }
                if (element.ID>=6) {//alias editables
                    $("#otrosAliasBox").css('display','flex')
                    if (element.VALOR==0) {
                        $('#otrosAlias').children('option[value="'+element.ID+'"]').remove();
                    }
                }

                $("#otrosAlias").val(res.OTROS_ALIAS);

            });
        }).fail(function (jqXHR, textStatus, errorThrown)
        {
        });
    }
    var equipamiento=localStorage.getItem('equipamiento');
    latCliente = 0;
    lngCliente = 0;

    function obtenerEquipamientosNap()
    {
        $.ajax({
        url:"/equipamiento/getEquipamientosNap",
        type: "POST",
        datatype: "json",
        async: false,
        data: {},
        }).done(function (respuesta)
        {
            res=JSON.parse(respuesta);
            arrayEquipamientos=respuesta;
            equipamientosArray.push(respuesta);
            $(res).each(function (index, element) {
                if (element.oltID!='') {
                    $("#equipamientoSelect").append(
                        "<option value=" + element.ID + " data-olt="+element.oltID+">"+ element.NOMBRE +"(" + element.NOMBREOLT +")"+element.PLACA+"/"+ element.PUERTO+  "</option>"
                    );
                }
                if (equipamiento!='') {
                    $("#equipamientoSelect").val(equipamiento);
                }
            });
        })
        .fail(function (err) {
        });
    }
    $('#tipoPlan').change(function (e) {
        if (tipoPlan !='') {
            $('#detallePlanBox').css('display','flex')
        }
    });
    //Sp/Lp vacio selector televicion disbled opciones
    $("#equipamientoSelect").on('change',function()
    {
        var idEquipamiento=$(this).val();
        // var idOlt=$(this).find(':selected').attr('data-olt');
        var idOlt='';
        var equipamiento=JSON.parse(equipamientosArray[0]);
        $(equipamiento).each(function (index, element)
        {
            if(idEquipamiento==element.ID)
            {
                idOlt=element.oltID;
            }
        });
        if (idOlt!='') {
            $("#television option").prop("disabled",false);
            $.ajax({
                url: "/preCarga/getAprovisionamientoPlantilla",
                type:'post',
                datatype:'json',
                data:{id_olt:idOlt}
            }).done(function(respuesta)
            {
                res=JSON.parse(respuesta);
                aprovisionamientos=respuesta;
                for(i in aprovisionamientos)
                {
                    let idAlias=aprovisionamientos[i].ID_ALIAS;
                    let idSp=aprovisionamientos[i].ID_SP;
                    let idLp=aprovisionamientos[i].ID_LP;
                    if((idSp==''&&idLp=='')||(idSp==null&&idLp==null))
                    {
                        $("#television option[value='"+idAlias+"']").prop("disabled",true);
                    }
                }
            })
            .fail(function(jqXHR,textStatus,errorThrown)
            {
                console.log(""+jqXHR+textStatus+errorThrown);
            });
        }
    });

    // $("#otrosAlias").change(function (e) {
    //     let otros = $(this).val()
    //     if (otros !=-1) {
    //         $("#internet").attr('disabled', true)
    //         $("#telefonia").attr('disabled', true)
    //         $("#television").attr('disabled', true)
    //         $("#television").attr('style', 'opacity:0.3;')
    //     }else {
    //         $("#internet").attr('disabled', false)
    //         $("#telefonia").attr('disabled', false)
    //         $("#television").attr('disabled', false)
    //         $("#television").attr('style', 'opacity:1;')
    //         $('#internetObs,#internetObsLabel,#internetLabel').hide()
    //         $('#televisionLabel,#televisionObsLabel,#televisionObs').hide()
    //         $('#otrosAliasLabel,#otrosAliasObsLabel,#otrosAliasObs').hide()
    //         $('#boxTelefonia,#telefoniaLabel').hide()
    //     }
    // });
    $('#internet').change(function (e) {
        if (internetCheckbox = true) {
            $('#internetObs,#internetObsLabel,#internetLabel').toggle()
            scrollToBottom()
            $("#otrosAlias").val(-1);
            $('#otrosAliasLabel,#otrosAliasObsLabel,#otrosAliasObs').hide();
        }
    });

    $('#telefonia').change(function (e) {
        if (telefoniaCheckbox = true) {
            $('#boxTelefonia,#telefoniaLabel').toggle()
            scrollToBottom()
            $("#otrosAlias").val(-1);
            $('#otrosAliasLabel,#otrosAliasObsLabel,#otrosAliasObs').hide();
        }
    });
    $('#television').change(function (e) {
        if ($(this).val() != -1) {
            $('#televisionLabel,#televisionObsLabel,#televisionObs').show()
            scrollToBottom();
            $("#otrosAlias").val(-1);
            $('#otrosAliasLabel,#otrosAliasObsLabel,#otrosAliasObs').hide();
        }else{
            $('#televisionLabel,#televisionObsLabel,#televisionObs').hide();

        }
    });
    $("#otrosAlias").change(function (e) {
        if ($(this).val() != -1) {
            $('#otrosAliasLabel,#otrosAliasObsLabel,#otrosAliasObs').show();
            scrollToBottom();
            $('#telefonia').prop('checked',false);
            $('#boxTelefonia,#telefoniaLabel').hide();
            $('#internet').prop('checked',false);
            $('#internetObs,#internetObsLabel,#internetLabel').hide();
            $("#television").val(-1);
            $('#televisionLabel,#televisionObsLabel,#televisionObs').hide();
        }else{
            $('#otrosAliasLabel,#otrosAliasObsLabel,#otrosAliasObs').hide();
        }
    });

    $('#tipoPlan').change(function (e) {
        if (tipoPlan !='') {
            $('#detallePlanBox').css('display','flex')
        }
    });


})
