$(document).ready(function () {

    $('#enviarDatosCliente2').off('click').on('click', function () {
        $("#datosPrecarga").empty();
        $("#datosExistentes").empty();
        $("#modalPreCarga").hide()
        nombre = $("#nombre").val();
        apellido = $("#apellido").val();
        telefono = $("#telefono").val();
        direccion = $("#direccion").val();
        dni = $("#cuitDni").val();
        nro_cliente = $("#numCliente").val();
        $.ajax({
            url: '/preCarga/getClienteMatch',
            type: 'POST',
            data: {
                dni: dni,
                numero: nro_cliente,
                nombre: nombre,
                apellido: apellido,
                direccion: direccion,
                telefono: telefono
            },
        }).done(function (response) {
            if (response) {
                datos = JSON.parse(response);
                contenido = '';
                clientesPrecarga = datos.clientePrecarga
                clientesExistente = datos.cliente
                if (clientesExistente) {
                    $("#cargarNuevoCliente").attr("disabled","disabled");
                }
                if(clientesExistente.length <1){
                    $("#cargarNuevoCliente").attr("disabled",false);
                }
                if(clientesPrecarga.length >1){
                    $("#cantidadPreCargasEncontradas").text('/'+' '+clientesPrecarga.length+ ' '+'existentes')
                }
                else{$("#cantidadPreCargasEncontradas").text('Inexistente')}
                if ((clientesPrecarga == '') && (clientesExistente == '')||(clientesPrecarga.error_id == 444) && (clientesExistente.error_id == 444)||(clientesPrecarga == []) && (clientesExistente == [])) {
                    window.location.href = "/preCarga/validarVacancia";
                    $("#modalPreCarga").hide()
                }
                if (clientesPrecarga != '') {
                    $(clientesPrecarga).each(function (index, element) {
                        var estadoPrecarga = '';
                        switch (element.ID_PRECARGA_ESTADO) {
                            case '1':
                                estadoPrecarga ='cancelado';
                                break;
                            case '2':
                                    estadoPrecarga ='finalizado';
                                    break;
                            case '3':
                                        estadoPrecarga ='inicializado';
                                        break;
                            case '4':
                                            estadoPrecarga ='pendiente';
                                            break;
                            case '5':
                                                estadoPrecarga ='autorizacion';
                                                break;
                            case '6':
                                                    estadoPrecarga ='pre certificacion';
                                                    break;
                            case '7':
                                                        estadoPrecarga ='certificacion rechazada';
                                                        break;
                            case '8':
                                                            estadoPrecarga ='reprogramar';
                                                            break;
                            case '9':
                                                                estadoPrecarga ='en camino';
                                                                break;
                            default:
                                break;
                        }
                        contenido += `<div class="panel-heading2" role="tab" id="headingOne">
                                        <h4 class="panel-title">
                                            <a id='dataClientePreCarga' class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" data-cliente='`+ JSON.stringify(element) + `'
                                                href="#collapse`+element.ID + `" aria-expanded="false" aria-controls="collapse`+element.ID + `">
                                                <div class="info-cliente-pre-carga" style="width: 80%;display: inline-flex;gap: 2%;justify-content: space-between;">
                                                    <div  style="display:flex;gap:20%;">
                                                        <h6>`+ element.NOMBRE + `</h6><h6>` + element.APELLIDO + `</h6> <h6 style="font-weight:bold;">` + element.DNI + `</h6>
                                                    </div>
                                                    <h6 style="font-style: italic;" id="estadoPreCarga">`+ estadoPrecarga + `</h6>
                                                </div>
                                            </a>
                                        </h4>
                                    </div>`;
                        $("#datosPrecarga").append(contenido);
                        $("#modalPreCarga").show()
                    })
                }
                else  {
                    contenido += `<div class="panel-heading" role="tab" id="headingOne">
                        <h4 class="panel-title">
                                      <div class="info-cliente-pre-carga" style="width: 80%;display: inline-flex;gap: 2%;justify-content: space-between;">
                                      <div  style="display:flex;gap:20%;">
                                             <h6>Sin datos</h6>
                                         </div>
                                     </div>
                             </h4>
                          </div>`;
                    $("#datosPrecarga").html(contenido);
                }
                if (clientesExistente != '') {
                    $(clientesExistente).each(function (index, element) {
                        contenido2 = '';
                        contenido2 += `<div class="panel-heading" role="tab" id="heading4">
                                     <h4 class="panel-title">
                                               <a id='dataCliente' class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" data-cliente='`+ JSON.stringify(element) + `'
                                                   href="#collapse`+element.ID + `" aria-expanded="false" aria-controls="collapse`+element.ID + `">
                                                   <div class="info-cliente-pre-carga" style="width: 80%;display: inline-flex;gap: 2%;justify-content: space-between;">
                                                       <div style="display:flex;gap:20%;">
                                                           <h6>`+ element.NOMBRE + `</h6><h6>` + element.APELLIDO + `</h6> <h6 style="font-weight:bold;">` + element.DNI + `</h6>
                                                       </div>
                                                   </div>
                                               </a>
                                           </h4>
                                       </div>
                                       <div id="collapse`+element.ID + `" class="panel-collapse collapse " role="tabpanel"
                                           aria-labelledby="heading4">
                                           <div class="panel-body">
                                               <li><a href="#">`+ element.TELEFONO1 + `</a></li>
                                               <li><a href="#">`+ element.EMAIL + `</a></li>
                                               <li><a href="#">`+ element.DOMICILIO + `</a></li>
                                               <li><a href="#">`+ element.OBS + `</a></li>
                                               <li><a href="/mantenimientocliente.php?id=`+ element.ID + `">ftth</a></li>
                                               <button id="agregarPlanClienteExistente" style="font-size:10px;align-self: end;" type="button" class="btn btn-primary-custom" data-dismiss="modal">Agregar Plan</button>
                                           </div>
                                       </div>
                                       `;
                        $("#datosExistentes").append(contenido2);
                        $("#modalPreCarga").show()
                    });
                }
                else {
                    contenido2 = ""
                    contenido2 += `<div class="panel-heading" role="tab" id="heading4">
                    <h4 class="panel-title">
                                  <div class="info-cliente-pre-carga" style="width: 80%;display: inline-flex;gap: 2%;justify-content: space-between;">
                                      <div style="display:flex;gap:20%;">
                                          <h6>Sin Datos</h6>
                                      </div>
                                  </div>
                              </a>
                          </h4>
                      </div>`
                    $("#datosExistentes").html(contenido2);
                }

                $('#modalPreCarga').on('click', 'a', function () {
                    cliente = $(this).attr("data-cliente");
                    cliente = JSON.parse(cliente);
                    $('#agregarPlanClienteExistente').click(function (e) {
                        localStorage.clear();
                        localStorage.setItem('id', cliente.ID);
                        localStorage.setItem('dni', cliente.DNI);
                        localStorage.setItem('nro_cliente', cliente.NUMERO);
                        localStorage.setItem('nombre', cliente.NOMBRE);
                        localStorage.setItem('apellido', cliente.APELLIDO);
                        localStorage.setItem('telefono', cliente.TELEFONO1);
                        localStorage.setItem('direccion', cliente.DOMICILIO);
                        localStorage.setItem('ciudad', cliente.ID_CIUDAD);
                        localStorage.setItem('provincia', cliente.ID_PROVINCIA);
                        localStorage.setItem('cp', cliente.CP);
                    });
                });
            }
            else{
                $("#modalPreCarga").hide()
            }
        }).fail(function (jqXHR, textStatus, errorThrown) {
        });
    });
    $(document).on("click", "#closeModalPreCarga", function () {
        $("#cargarNuevoCliente").removeAttr("disabled");
        $("#modalPreCarga").hide()
        $("#overlayGenericModal3").hide()
        $("#overlayGenericModal").hide()
    })
    $(document).on("click", "#closeModal3", function () {
        $("#overlayGenericModal3").hide()
    })
    $(document).on("click", "#btnAnularPreCarga", function () {
        // envioDatoPreCarga();
        $('#genericModal').addClass('active');
    })
    $(document).on("click", "#enviarModificacion2", function () {

        envioDatoPreCarga();
        $("#modalPreCarga").hide()
        $('#genericModal').removeClass('active');
        window.location.href = "/preCarga/index";
    })
    var arrayPlantilla = [];
    function obtenerplantillaprecarga() {
        var btnCargarNuevoCliente = $('#enviarDatosCliente')
        var btnBuscarSistemaGestion = $ ('#sistemaGestion')
        $.ajax({
            // url: "https://" + ip + ":7117/api/v1/preCarga/obtenerplantillaprecarga",
            url: "/preCarga/getPlantillaPrecarga",
            type: "POST",
            datatype: "json",
            async: false,
            // data: {
            //         usuario: user,
            //         token: token,
            // },
        })
          .done(function (respuesta) {
            respuesta=JSON.parse(respuesta);
            arrayPlantilla = respuesta;
            if (arrayPlantilla=='') {
                $("#labelApellido").text('Apellido *');
                $("#labelNombre").text('Nombre *');
                $("#labelDni").text('Dni *');
            }
          })
          .fail(function (err) {
                console.log(err);
          });
    }
    obtenerplantillaprecarga();
    $(document).on('change keydown', '#cuitDni,#numCliente,#nombre,#apellido,#direccion,#telefono', function () {
        var btnSiguiente = false;
        var btnCargarNuevoCliente = $('#enviarDatosCliente2')
        var btnBuscarSistemaGestion = $ ('#sistemaGestion')
        dni = $("#cuitDni").val();
        nro_cliente = $("#numCliente").val();
        nombre = $("#nombre").val();
        apellido = $("#apellido").val();
        telefono = $("#telefono").val();
        direccion = $("#direccion").val();
        orden =$("#numOrdenTrabajo").val();
        localStorage.setItem('dni', dni);
        localStorage.setItem('nro_cliente', nro_cliente);
        localStorage.setItem('nombre', nombre);
        localStorage.setItem('apellido', apellido);
        localStorage.setItem('telefono', telefono);
        localStorage.setItem('direccion', direccion);
        localStorage.setItem('orden', orden);
        if (((arrayPlantilla.NOMBRE ==0)||(arrayPlantilla.NOMBRE ==1 && nombre!=''))&&((arrayPlantilla.APELLIDO ==0)||(arrayPlantilla.APELLIDO ==1 && apellido!=''))&&((arrayPlantilla.TELEFONO ==0)||(arrayPlantilla.TELEFONO ==1 && telefono!=''))&&((arrayPlantilla.DNI==0)||(arrayPlantilla.DNI ==1 && dni!=''))&&((arrayPlantilla.DIRECCION==0)||(arrayPlantilla.DIRECCION ==1 && direccion!=''))&&((arrayPlantilla.NRO_CLIENTE==0)||(arrayPlantilla.NRO_CLIENTE ==1 && nro_cliente!='')))
        {
            $(btnCargarNuevoCliente).attr('disabled', false)
            $(btnBuscarSistemaGestion).attr('disabled', false)

        }else if((arrayPlantilla ==""&& nombre!='')&&(arrayPlantilla ==""&& apellido!='')&&(arrayPlantilla ==""&& dni!='')){
            $(btnCargarNuevoCliente).attr('disabled', false)
            $(btnBuscarSistemaGestion).attr('disabled', false)

        }
        else{
            $(btnCargarNuevoCliente).attr('disabled', true)
            $(btnBuscarSistemaGestion).attr('disabled', true)
        }
    });
    if (arrayPlantilla.APELLIDO ==1) {
        $("#labelApellido").text('Apellido *');
    }
    if (arrayPlantilla.NOMBRE ==1) {
        $("#labelNombre").text('Nombre *');
    }
    if (arrayPlantilla.TELEFONO ==1) {
        $("#labelTelefono").text('Telefono*');
    }
    if (arrayPlantilla.DNI ==1) {
        $("#labelDni").text('Dni *');
    }
    if (arrayPlantilla.NRO_CLIENTE ==1) {
        $("#labelNumCliente").text('Numero de Cliente *');
    }
    if (arrayPlantilla.DIRECCION ==1) {
        $("#labelDireccion").text('Direccion *');
    }
    // var dni = localStorage.getItem('dni');
    // var nro_cliente = localStorage.getItem('nro_cliente');
    // var nombre = localStorage.getItem('nombre');
    // var apellido = localStorage.getItem('apellido');
    // var telefono = localStorage.getItem('telefono');
    // var direccion = localStorage.getItem('direccion');
    // $("#cuitDni").val(dni);
    // $("#numCliente").val(nro_cliente);
    // $("#nombre").val(nombre);
    // $("#apellido").val(apellido);
    // $("#telefono").val(telefono);
    // $("#direccion").val(direccion);
    // var fecha_nac = $("#fechaNacimiento").val();
    // var t_iva = $("#iva").val();
    // var t_persona = $("#persona").val();
    // var telefonoAlt = $("#telefonoAlternativo").val();
    // var email = $("#emailCliente").val();
    // var cp = $("#codigoPostal").val();
    // var ciudad = $("#ciudad").val();
    // var provincia = $("#provincia").val();
    // var obs = $("#comentarios").val();
    // var nro_plan = $("#numeroPlanCliente").val();
    // var tipo_plan = $("#tipoPlan").val();
    // var television = $("#television").val();
    // var telefonia = $("#telefonia").val();
    // var observacion_plan = $("#observaciones").val();
    // var prioridad = $("#prioridad").val();
    // var motivos_otros = $("#motivoOtro").val();
    // var obs_finalizar = $("#obs_finalizar").val();
    // var motivo_cancelacion = $("#selectMotivo option:selected").val();
    // var obs_anular_pre_carga = $("#motivoOtro").val();
    // var equipamiento = $("#equipamientoSelect").val();

    function envioDatoPreCarga() {
                var nro_cliente = $("#numCliente").val();
        var nombre = $('#nombre').val();
        var apellido = $('#apellido').val();
        var telefono = $('#telefono').val();
        var direccion = $('#direccion').val();
        var dni=$("#cuitDni").val();
        var fecha_nac = $("#fechaNacimiento").val();
        var t_iva = $("#iva").val();
        var t_persona = $("#persona").val();
        var telefonoAlt = $("#telefonoAlternativo").val();
        var email = $("#emailCliente").val();
        var cp = $("#codigoPostal").val();
        var ciudad = $("#ciudad").val();
        var provincia = $("#provincia").val();
        var obs = $("#comentarios").val();
        var nro_plan = $("#numeroPlanCliente").val();
        var tipo_plan = $("#tipoPlan").val();
        var television = $("#television").val();
        var telefonia = $("#telefonia").val();
        var observacion_plan = $("#observaciones").val();
        var prioridad = $("#prioridad").val();
        var motivos_otros = $("#motivoOtro").val();
        var obs_finalizar = $("#obs_finalizar").val();
        var motivo_cancelacion = $("#selectMotivo option:selected").val();
        var obs_anular_pre_carga = $("#motivoOtro").val();
        var equipamiento = $("#equipamientoSelect").val();
        console.log(motivos_otros);
        $.ajax({
            url: '/preCarga/post',
            type: 'POST',
            data: {
                dni: dni,
                numero: nro_cliente,
                t_persona: t_persona,
                nombre: nombre,
                apellido: apellido,
                fecha_nac: fecha_nac,
                t_iva: t_iva,
                telefono1: telefono,
                telefono2: telefonoAlt,
                cp: cp,
                ciudad: ciudad,
                provincia: provincia,
                obs: obs,
                nro_plan: nro_plan,
                tipo_plan: tipo_plan,
                television: television,
                telefonia: telefonia,
                observacion_plan: observacion_plan,
                motivos_otros: motivos_otros,
                prioridad: prioridad,
                email: email,
                direccion: direccion,
                obs_finalizar: obs_finalizar,
                motivo_cancelacion: $("#selectMotivo option:selected").val(),
                obs_anular_pre_carga: $("#motivoOtro").val(),
                equipamiento: equipamiento,
            }
        }).done(function (response) {
            console.log(response);
        }).fail(function (jqXHR, textStatus, errorThrown) {
        })
    }
//ESTADISTICA FINALIZADAS MES
    $.ajax({
        url: '/preCarga/precargaFinalizadasMes',
        type: 'POST',
    }).done(function (response) {
        res = JSON.parse(response)
        let finalizadas = res.FINALIZADAS
        let total =res.TOTAL

        $('#exitosas').text('Exitosas:'+finalizadas)
        $('#total').text('Total:'+total)
        var e = document.getElementById("myChart");
        "undefined" != typeof Chart && e && new Chart(e, {
            type: 'doughnut',
            data: {
                labels: ["Exitosas","Total"],
                datasets: [{
                    backgroundColor: [
                        '#006aa6',
                        '#c5d0de',
                    ],
                    label: '',
                    data: [finalizadas,total],
                    borderColor: '#f2f2f2',
                    borderWidth: 0.2
                }]
            },
            options: {
                maintainAspectRatio: false,
                plugins: {
                    legend: {
                        position: 'top',
                        display: false
                    },
                },
                scales: {
                    y: {
                        beginAtZero: true,
                        display: false,
                        gridLines: {
                            drawBorder: false,
                        },
                    }
                },
                spacing: 0,
                responsive: true,
                cutout: 50,
            },
        });
    })
//ESTADISTICA ANULADAS MES
    $.ajax({
        url: '/preCarga/precargaAnuladasMes',
        type: 'POST',
    }).done(function (response) {
        res = JSON.parse(response)
        let anuladas = res.ANULADAS
        let total =res.TOTAL
        $('#anuladas').text('Anuladas:'+anuladas)
        $('#totalA').text('Total:'+total)
        var e = document.getElementById("myChart2");
        "undefined" != typeof Chart && e && new Chart(e, {
            type: 'doughnut',
            data: {
                labels: ["Anuladas","Total"],
                datasets: [{
                    backgroundColor: [
                        '#006aa6',
                        '#c5d0de',
                    ],
                    label: '',
                    data: [anuladas,total],
                    borderColor: '#f2f2f2',
                    borderWidth: 0.2
                }]
            },
            options: {
                maintainAspectRatio: false,
                plugins: {
                    legend: {
                        position: 'top',
                        display: false
                    },
                },
                scales: {
                    y: {
                        beginAtZero: true,
                        display: false,
                        gridLines: {
                            drawBorder: false,
                        },
                    }
                },
                spacing: 0,
                responsive: true,
                cutout: 50,
            },
        });
    })
//ESTADISTICA SEMANAL
    $.ajax({
        url: '/preCarga/estadisticaSemanal',
        type: 'POST',
    }).done(function (response) {
        res = JSON.parse(response)
        let anuladas = res.anulado
        let finalizado = res.finalizado
        let total =res.total
        const DATA_COUNT = 7;
        const NUMBER_CFG = { count: DATA_COUNT, min: 0, max: 100000 };
        const labels = ["Lunes","Martes","Miercoles","Jueves","Viernes"];
        const data = {
            labels: labels,
            datasets: [
                {
                    label: 'Finalizadas',
                    data: finalizado,
                    borderColor: "#74c3ef",
                    backgroundColor: "#74c3ef",
                    borderRadius: 15,
                    barThickness: 20
                },
                {
                    label: 'Anulados',
                    data: anuladas,
                    borderColor: "#44494e",
                    backgroundColor: "#44494e",
                    borderRadius: 15,
                    barThickness: 20
                },
                {
                    label: 'Total',
                    data:total,
                    borderColor: "#006aa6",
                    backgroundColor: "#006aa6",
                    type: "line"
                }
            ]
        };
        var e = document.getElementById("myChart3");
        "undefined" != typeof Chart && e && new Chart(e, {
            type: 'bar',
            data: data,
            options: {
                responsive: true,
                plugins: {
                    legend: {
                        position: 'top',
                    },

                },
                scales: {
                    y: {
                        grid: {
                            color: 'transparent'
                        }
                    },
                    x: {
                        grid: {
                            color: 'transparent'
                        }
                    }
                },
            },
        });
    })
    $.ajax({
        url: '/preCarga/getMotivoAnulacion',
        type: 'POST',
    }).done(function (response) {
        res = JSON.parse(response);
        i=0;
        $.each( res, function (e) {
            $("#selectMotivo").append(
                "<option " +"value= " +res[i].ID+">" +res[i].NOMBRE+"</option>"
            );
            i++;
        })
    })
//ESTADISTICAS DE MOTIVO ANULAR PRE CARGA
    $.ajax({
        url: '/preCarga/anularPrecargaMotivosMes',
        type: 'POST',
    }).done(function (response) {
        res = JSON.parse(response)
        //
        // $.each( res, function (e) {
        //     $("#selectMotivo").append(
        //         "<option " +"value= " +res[i].ID+">" +res[i].NOMBRE+"</option>"
        //     );
        //     i++
        // })
        var datosFiltrados = Object.fromEntries(
            Object.entries(res).filter(([key, value]) => value !== '0')
          );
        var labelChart= [];
        var cantidadChart=[];
        i=0;
        $.each(datosFiltrados, function (nombre, valor) {
            labelChart.push(datosFiltrados[i].NOMBRE)
            cantidadChart.push(datosFiltrados[i].CANTIDAD)
            i++;
        });
        var label3A = labelChart;
        var cantidad = cantidadChart;
        //funcion para sacar los labels por fuera
        const doughnutLabelsLine = {
            id: 'doughnutLabelsLine',
            afterDraw(chart, args, options) {
                const { ctx, chartArea: { top, bottom, left, right, width, height } } = chart;
                chart.data.datasets.forEach((dataset, i) => {
                    chart.getDatasetMeta(i).data.forEach((datapoint, index) => {
                        const { x, y } = datapoint.tooltipPosition();
                        const halfheight = height / 2;
                        const halfwidth = width / 2;
                        const xLine = x >= halfwidth ? x + 15 : x - 15;
                        const yLine = y >= halfheight ? y + 15 : y - 15;
                        const extraLine = x >= halfwidth ? 15 : - 15;

                        ctx.beginPath();
                        ctx.moveTo(x, y);
                        ctx.lineTo(xLine, yLine);
                        ctx.lineTo(xLine + extraLine, yLine);
                        ctx.strokeStyle = "#006aa6";
                        ctx.stroke();

                        const textXPosition = x >= halfwidth ? 'left' : 'right';
                        ctx.textAlign = textXPosition;
                        ctx.font = '14px Arial';
                        ctx.textBaseline = 'middle'
                        ctx.fillStyle = "#006aa6";
                        ctx.fillText("" + chart.data.labels[index] + "", xLine + extraLine, yLine);
                    });
                })
            }
        }
        var e = document.getElementById("myChart3A");
        "undefined" != typeof Chart && e && new Chart(e, {
            type: 'doughnut',
            data: {
                labels: label3A,
                datasets: [{
                    backgroundColor: [
                        '#006aa6',
                        '#a0c3c8',
                        '#76bcff',
                        '#c5d0de',
                        '#c5a3de',
                    ],
                    label: "",
                    data:cantidad,
                    borderColor: '#f2f2f2',
                    borderWidth: 0.2,
                    cutout: '90%',
                    spacing: 15,
                }]
            },
            options: {
                layout: {
                    padding: 40
                },

                maintainAspectRatio: false,
                plugins: {
                    legend: {
                        display: false
                    },
                    tooltip: {
                        yAlign: 'bottom'
                    }
                },
                scales: {
                    y: {
                        beginAtZero: true,
                        display: false,
                        gridLines: {
                            drawBorder: false,
                        },
                    }
                },
                responsive: true,
            },
            plugins: [doughnutLabelsLine]
        });
    })
})
