$(document).ready(function(){
    $("#plantillaPorEmpresa :input").attr('disabled','disabled');
    $("#configurarAprovisionamiento :input").attr('disabled','disabled');

    $.ajax({
        async: false,
        url: "/preCarga/getTipoAprovisionamiento",
        type: 'POST',
    }).done(function(response) {
        var res_aprovisionamiento=JSON.parse(response);
        codigo_aprov='';
        $.each(res_aprovisionamiento, function(i, member) {
            codigo_aprov+=`<option value="`+res_aprovisionamiento[i].ID+`">`+res_aprovisionamiento[i].NOMBRE+`</option>`;
        })
    })

    $.ajax({
        async: false,
        url: "/preCarga/getAliasEmpresas",
        type: 'POST',
        data: {
            id_olt:0,
            id_empresa:-1
        },
    }).done(function(response) {
        if (response!='') {
            respuesta=JSON.parse(response);
            contenido_aprovisionamiento='`<option value="">-Seleccione-</option>`;';
            //
            var codigo='';
            $.each(respuesta, function(i, member) {
                codigo+=`<div class="mt-2" style="display: flex;justify-content: space-evenly;">
                            <div class="col-3 alias-elem" data-id="`+respuesta[i].ID+`">`+respuesta[i].ALIAS+`</div>
                            <div class=" col-3">
                                <select class="form-select select-aprov" id="alias-tipo-aprov-`+respuesta[i].ID+`">
                                    `+codigo_aprov+`
                                </select>
                            </div>
                            <div class=" col-3">
                                <select class="form-select select-onu-tipo" id="alias-onu-tipo-`+respuesta[i].ID+`">
                                    <option value=''>-Seleccione-</option>
                                </select>
                            </div>
                            <div class=" col-3">
                                <select class="form-select select-onu-servicio" id="alias-onu-servicio-`+respuesta[i].ID+`">
                                    <option value=''>-Seleccione-</option>
                                </select>
                            </div>
                        </div>`;
            });
            $("#campos_dinamicos").html(codigo);
        }
        // $('[id^="alias-onu-tipo-"]').change(function() {
        //     idSp = $(this).attr("id");
        //     spVal = $(this).val();
        //     let partes = idSp.split('-');
        //     let posicion = partes[partes.length-1];
        //     obtenerLpPorSp(posicion,spVal)
        // })
    });
    $(".select-aprov").attr('disabled','disabled');
    $(".select-onu-tipo").attr('disabled','disabled');
    $(".select-onu-servicio").attr('disabled','disabled');

    $(document).on('click', '#irConfigAlias', function(){
        window.location.href = "/preCarga/alias";
    });

    $("#editarDatosEmpresa").click(function(){
        $(".select-aprov").removeAttr("disabled");
        $(".select-onu-tipo").removeAttr("disabled");
        $(".select-onu-servicio").removeAttr("disabled");
        $("[id^='alias-tipo-aprov']").removeAttr("disabled");
        $("#oltSelect").removeAttr("disabled");
        $("#plantillaPorEmpresa :input").removeAttr("disabled");
        $("#configurarAprovisionamiento select").removeAttr("disabled");
        $("#configurarAprovisionamiento :input").removeAttr("disabled");
        $("#editarDatosAprovisionamientoBox").hide();
        $("#enviarDatosAprovisionamientoBox").show();
        $("#editarDatosEmpresaBox").hide();
        $("#enviarDatosEmpresaBox").show();
        $("#cancelarDatosEmpresaBox").show();
    });

    $("#empresaSelect").change(function() {
        $(".select-aprov").val('');
        var id_olt=$("#oltSelect").val();
        var id_empresa=$("#empresaSelect").val();

        idSp='';
        $.ajax({
            async: false,
            url: "/preCarga/getAliasEmpresas",
            type: 'POST',
            data: {
                id_olt:id_olt,
                id_empresa:id_empresa,
                idSp:idSp,
            },
        }).done(function(response) {
            respuesta=JSON.parse(response);
            contenido_aprovisionamiento='`<option value="">-Seleccione-</option>`;';
            //
            var codigo='';
            $.each(respuesta, function(i, member) {
                codigo+=`<div class="mt-2" style="display: flex;justify-content: space-evenly;">
                            <div class="col-3 alias-elem" data-id="`+respuesta[i].ID+`">`+respuesta[i].ALIAS+`</div>
                            <div class="serv_input_box col-3">
                                <select class="form-select select-aprov" id="alias-tipo-aprov-`+respuesta[i].ID+`">
                                    `+codigo_aprov+`
                                </select>
                            </div>
                            <div class="serv_input_box col-3">
                                <select class="form-select select-onu-tipo" id="alias-onu-tipo-`+respuesta[i].ID+`">
                                    <option value="">-Seleccione-</option>
                                </select>
                            </div>
                            <div class="serv_input_box col-3">
                                <select class="form-select select-onu-servicio" id="alias-onu-servicio-`+respuesta[i].ID+`">
                                    <option value=''>-Seleccione-</option>
                                </select>
                            </div>
                        </div>`;
            });

            $(".select-onu-servicio").each(function() {
                $(this).html('<option value="">-Seleccione-</option>');
            })

            $("#campos_dinamicos").html(codigo);
                $('[id^="alias-onu-tipo-"]').change(function() {
                idSp = $(this).attr("id");
                spVal = $(this).val();
                let partes = idSp.split('-');
                let posicion = partes[partes.length-1];
                obtenerLpPorSp(posicion,spVal)
            })

            var id_olt=$("#oltSelect").val();
            var id_empresa=$("#empresaSelect").val();
            var idSp='';
            $.ajax({
                async: false,
                url: "/preCarga/getConfiguracionAprovisionamiento",
                type: 'POST',
                data: {
                    id_olt:id_olt,
                    id_empresa:id_empresa,
                    idSp:idSp,
                },
            }).done(function(response) {
                respuesta=JSON.parse(response);
                contenido_aprovisionamiento='`<option value="">-Seleccione-</option>`;';
                $.each(respuesta, function(i, member) {
                    contenido_aprovisionamiento+=`<option value="`+respuesta[i].id+`">`+respuesta[i].nombre+`</option>`;
                });
                $(".select-onu-tipo").each(function() {
                    $(this).html(contenido_aprovisionamiento);
                })
            }).fail(function (jqXHR, textStatus, errorThrown)
            {
            });
            completarInputs(id_empresa,id_olt);

        }).fail(function (jqXHR, textStatus, errorThrown)
        {
        });
        $(".select-aprov").attr('disabled','disabled');
        $(".select-onu-tipo").attr('disabled','disabled');
        $(".select-onu-servicio").attr('disabled','disabled');
    });

    $("#oltSelect").change(function() {
        $(".select-aprov").val('');
        $(".select-onu-servicio").each(function() {
            $(this).html('<option value="">-Seleccione-</option>');
        })
        var id_olt=$("#oltSelect").val();
        var id_empresa=$("#empresaSelect").val();
        var idSp='';
        $.ajax({
            async: false,
            url: "/preCarga/getConfiguracionAprovisionamiento",
            type: 'POST',
            data: {
                id_olt:id_olt,
                id_empresa:id_empresa,
                idSp:idSp,
            },
        }).done(function(response) {
            respuesta=JSON.parse(response);
            contenido_aprovisionamiento='`<option value="">-Seleccione-</option>`;';
            $.each(respuesta, function(i, member) {
                contenido_aprovisionamiento+=`<option value="`+respuesta[i].id+`">`+respuesta[i].nombre+`</option>`;
            });
            $(".select-onu-tipo").each(function() {
                $(this).html(contenido_aprovisionamiento);
            })
        }).fail(function (jqXHR, textStatus, errorThrown)
        {
        });
        completarInputs(id_empresa,id_olt);
    });

    $('[id^="alias-onu-tipo-"]').change(function() {
        idSp = $(this).attr("id");
        spVal = $(this).val();
        let partes = idSp.split('-');
        let posicion = partes[partes.length-1];
        obtenerLpPorSp(posicion,spVal)
    })

    function completarInputs(id_empresa,id_olt)
    {
        if (id_empresa!='' && id_olt)
        {
            $.ajax({
                async: false,
                url: "/preCarga/getDatosAprovisionamiento",
                type: 'POST',
                datatype:'json',
                data: {
                    id_empresa: id_empresa,
                    id_olt: id_olt
                },
            }).done(function(response) {
                respuesta=JSON.parse(response);
                if (respuesta!='') {
                    $("#configurarAprovisionamiento :input").val('')
                    $.each(respuesta, function(i, member) {
                        if (respuesta[i].TIPO_APROVISIONAMIENTO!='') {
                            $('#alias-tipo-aprov-'+respuesta[i].ID_ALIAS+' option[value='+respuesta[i].TIPO_APROVISIONAMIENTO+']').prop("selected", true);
                        }
                        else
                            $('#alias-tipo-aprov-'+respuesta[i].ID_ALIAS).prop('value','');
                            // $('#alias-tipo-aprov-'+respuesta[i].ID_ALIAS).val('');
                        if (respuesta[i].ID_SP!='') {
                            $('#alias-onu-tipo-'+respuesta[i].ID_ALIAS+' option[value='+respuesta[i].ID_SP+']').prop("selected", true);
                        }
                        else
                            $('#alias-onu-tipo-'+respuesta[i].ID_ALIAS).prop('value','');
                            //$('#alias-onu-tipo-'+respuesta[i].ID_ALIAS).val('');
                        idSp = $('#alias-onu-tipo-'+respuesta[i].ID_ALIAS).attr("id");
                        spVal = $('#alias-onu-tipo-'+respuesta[i].ID_ALIAS).val();
                        let partes = idSp.split('-');
                        let posicion = partes[partes.length-1];
                        obtenerLpPorSp(posicion,spVal);
                        if (respuesta[i].ID_LP!='') {
                            $('#alias-onu-servicio-'+respuesta[i].ID_ALIAS+' option[value='+respuesta[i].ID_LP+']').prop("selected", true);
                        }
                    });
                }
                else{
                    $("#configurarAprovisionamiento :input").val('');
                }
            })
            .fail(function (jqXHR, textStatus, errorThrown)
            {
            });
        }
    }

    function obtenerLpPorSp(posicion,idSp) {
        $.ajax({
            url: "/olt/obtenerLpPorSp",
            type: "POST",
            datatype: "json",
            async: false,
            data: {
                idSp: idSp,
            },
        })
        .done(function (respuesta) {
            respuesta=JSON.parse(respuesta);
            $('#alias-onu-servicio-'+posicion).html('<option value="">-Seleccione-</option>');
            $('#alias-onu-servicio-'+posicion).val("")
            $(respuesta).each(function (index, element) {
                var sel = "";
                // if (element.predet == 1) {
                //     sel = "selected ";
                // }
                $('#alias-onu-servicio-'+posicion).append("<option " +sel +"value= " +element.id +">" +element.nombre +"</option>");
            });
        })
        .fail(function (err) {
        });
    }
    // Al cambiar cada select option se tienen que cargar los select con los datos correspondientes al valor seleccionado
    // la funcion está dentro del modelo de la olt : public function obtenerLp($sp,$lp,$idEmpresa)

    const boxes = document.querySelectorAll('.aprov-select');

    //para el boton cancel
    $("#cancel").click(function (){
        // $("#configurarAprovisionamiento :input").attr('disabled','disabled');
        // $("#enviarDatosEmpresaBox").hide();
        // $("#editarDatosEmpresaBox").show();
        location.reload();
    })
    function showModal() {
        $('#genericModal').show();
    }
    $("#enviarDatosEmpresa").click(function(){
        // event.preventDefault();
        $("#plantillaPorEmpresa :input").attr('disabled','disabled');
        $("#configurarAprovisionamiento :input").attr('disabled','disabled');
        // $("#editarDatosAprovisionamientoBox").show();
        // $("#enviarDatosAprovisionamientoBox").hide();
        // $("#editarDatosEmpresaBox").show();
        // $("#enviarDatosEmpresaBox").hide();
        // $("#cancelarDatosEmpresaBox").hide();
        var id_empresa=$("#empresaSelect").val();
        var id_olt=$("#oltSelect").val();
        if (id_empresa!='' && id_olt!='')
        {
            parametros={};
            $('.alias-elem').each(function ()
            {
                var id=$(this).attr('data-id');
                parametros[id]= {
                    "id_alias": id,
                    "tipo_aprovisionamiento":$("#alias-tipo-aprov-"+id).val(),
                    "onu_tipo":$("#alias-onu-tipo-"+id).val(),
                    "onu_servicio":$("#alias-onu-servicio-"+id).val()
                };
            });
            $.ajax({
                url: "/preCarga/guardarPlantilla",
                cache: false,
                type: 'POST',
                data: {
                    id_empresa: id_empresa,
                    id_olt: id_olt,
                    parametros: parametros
                },
                }).done(function(response) {
                    showModal();
                    setTimeout(() => {
                        location.reload()
                    }, 700);
                    $("#enviarDatosEmpresaBox").hide();
                    $("#editarDatosEmpresaBox").show();
                    $(".select-aprov").attr('disabled','disabled');
                    $(".select-onu-tipo").attr('disabled','disabled');
                    $(".select-onu-servicio").attr('disabled','disabled');
                }).fail(function (jqXHR, textStatus, errorThrown)
                {
                }
            );
        }
    });
});
