//SE DECLARAN LAS VARIABLES EN LA VISTA
$(document).ready(function()
{
    $(document).on('mousedown', '#tablaPhp tbody ', function (e)
    {
    /* $('#tablaPhp').on('mousedown', function(e)
    { */
        var target = $(e.target);
        if (target.is('svg') || target.is('path'))
        {
            target = target.closest('a');
        }
        var clases = target.attr('class');
        if (clases && clases.includes('_DataTable')) {
           var clase = clases.split(' ').find(clase => clase.includes('_DataTable'));
        }
        if(clase&&linkRedirecciones)
        {
            var nombreObjeto=clase.split('_')[0];
            if (linkRedirecciones.hasOwnProperty(nombreObjeto))
            {
                var url=linkRedirecciones[nombreObjeto].url;
                var modal=linkRedirecciones[nombreObjeto].modal;
                var datos=target.attr('data-datos');
                var data=datos.replace('"DATOS":"{', '"DATOS":{').replace('}"', '}');
                var data=JSON.parse(data);
                if(checkVariableNoEsteVacia(modal))
                {
                    abrirModalMvc(linkRedirecciones[nombreObjeto],data);
                    if(e.which!=1)
                        {
                            $('.modal-section').hide();// para cuando se hace click con btn derecho o del medio no se abran los modales.
                        }
                }
                else
                {
                    if(linkRedirecciones[nombreObjeto].campo)
                    {
                        campo=linkRedirecciones[nombreObjeto].campo;
                        var id=data[campo];
                    }
                    else
                    {
                        var id=data.ID;
                    }
                    if (e.which===2)
                    {
                        id = id.replace(/&amp;/g, '&');
                        if(id!='#')
                        {
                            window.open(url+id, "_blank");
                        }
                    }
                    else if(e.which===1)
                    {
                        id = id.replace(/&amp;/g, '&');
                        if(id!='#')
                        {
                            window.open(url+id, "_blank");
                        }
                    }
                }
            }
        }
    });
    $(document).on('click','.responsive_DataTable', function (e)
    {
        limpiarModalMvc();
        $("#modalVacio").hide();
        var datos=$(this).attr('data-datos');
        var data=datos.replace('"DATOS":"{', '"DATOS":{').replace('}"', '}');
        var info=JSON.parse(data);
        let result = "<div style='width:100%;' id='modalVacio-body'><i id='modalIcono-body'></i><h3 class='modalTitle-body text-center' id='modalTitle-body'>Detalle</h3><p class='modalText-body'id='modalText-body'></p>";
        let i =0;

            for (const key in info) {
                i++;
                    if (info.hasOwnProperty(key)) {
                        if (!ocultarColumnasNumero.includes(i)) {
                            result += `<div class='modal-responsive-info font-size-smaller'><strong>${aliasColumnas[i]}</strong>:<span class='font-size-smaller'>${info[key]}</span></div>`;
                            result += `<div><br></div>`;
                        }
                    }
                }
                $('.modalVacio-box').css('align-items','flex-start');
                result += `</div>`;
                $('.modalVacio-box').html(result);
         $("#modalVacio").show();
    });
    $.fn.dataTable.ext.errMode = 'alert';
    /*
    $.fn.dataTable.render.ellipsis = function () {
        return function ( data, type, row ) {
            return data.length > 10 ?
                data.substr( 0, 2 ) +'…' :
                data;
        }
    };
    */
    //Sin ordenamiento para que le de incapie al ordenamiento de la query
    if(sinOrdenamiento)
    {
        orden=[];
    }
    else
    {
        orden=[orden];
    }

    //Segun el valor que llegue activa los exportadores
    var botonesExportadores=[];
    var seteoPDF= {
        extend: 'pdfHtml5',
        text: 'PDF',
        orientation: 'landscape',
        pageSize: 'LEGAL',
        title: 'Sopnet - listado',
        exportOptions: {
            columns: ':visible',
            modifier: {
                page: 'current'
            }
        },
    };
    var seteoExcel= {
            extend: 'excelHtml5',
            text: 'Excel',
            exportOptions: {
                    columns: ':visible',
                    orthogonal: 'export'
                }
            }
   
    if(activarExportadores){
        botonesExportadores=[ {
                extend: 'collection',
                text: 'Exportar',
                buttons: [ seteoExcel, seteoPDF, 'print' ]
            }];
    }

    //Necesario para poder para los datos del php
    var objetoColumns=[];
    contador=0;
    if(activarCheck)
    {
        //contador=-1;
    }
    for(i of aliasColumnas)
    {
        objetoColumns.push({data: i, name:aliasColumnas[contador]});
        contador++;
    }

    //Crea el check para el th, siempre el checkbox se crea en la posicion 0
    if(activarCheck)
    {
        $('#tablaPhp tr th').each(function(i)
        {
            if(i==0){
                $(this).html("<input type='checkbox' id='thCheckboxTabla'>");
            }
        });
    }

    //Para saber si la ultima columna lleva sort
    var quitarSortUltimaColumna=null;
    if(activarAcciones)
    {
        quitarSortUltimaColumna=ultimaPosicion;
    }

        /**
         * DataTable.render.ellipsis - Esta función renderiza el contenido de las celdas de una tabla con un límite de caracteres y saltos de línea.
         *
         * @param {number} maximoCaracteres - El número máximo de caracteres permitidos antes de truncar el texto.
         * @param {number} saltoLinea - El número de caracteres permitidos por línea antes de insertar un salto de línea.
         * @return {function} - Devuelve una función que procesa el contenido de la celda de la tabla.
         */
        DataTable.render.limiteTexto = function () {
            var maximoCaracteres = 60; // Define el número máximo de caracteres permitidos en una celda.
            var saltoLinea = 33; // Define el número de caracteres permitidos por línea antes de un salto de línea.

            return function (data, type, row) { // Devuelve una función que procesa el contenido de la celda.
                // Verifica si el número de columnas visibles es menor o igual a 5
                if ((thArray.length - ocultarColumnasNumero.length) <= 5) {
                    return data; // Si hay 5 o menos columnas visibles, devuelve los datos sin cambios.
                } else if (type === 'display' && typeof data === 'string') {
                    // Si el tipo es 'display' y los datos son una cadena de texto
                    var tempDiv = document.createElement('div'); // Crea un elemento div temporal para manejar el contenido HTML.
                    tempDiv.innerHTML = data; // Asigna el contenido de los datos al div temporal.
                    var children = tempDiv.childNodes; // Obtiene los nodos hijos del div temporal.

                    /**
                     * Trunca el contenido de texto dentro de un nodo y lo formatea con saltos de línea.
                     *
                     * @param {Node} node - El nodo cuyo contenido se truncará.
                     */
                    function truncateNode(node) {
                        if (node.nodeType === Node.TEXT_NODE) { // Verifica si el nodo es un nodo de texto.
                            var textContent = node.textContent; // Obtiene el contenido del texto del nodo.
                            var newNode = document.createDocumentFragment(); // Crea un nuevo fragmento de documento para almacenar el contenido truncado.
                            if (textContent.length > maximoCaracteres) { // Si el contenido del texto excede el máximo de caracteres
                                textContent = textContent.substr(0, maximoCaracteres) + ' ...'; // Trunca el texto y añade ' ...'.
                            }

                            var words = textContent.split(' '); // Divide el texto en palabras utilizando espacios.
                            var line = ''; // Inicializa una cadena vacía para construir las líneas.
                            if (words.length == 1) { // Si solo hay una palabra
                                newNode.appendChild(document.createTextNode(textContent)); // Añade la palabra al fragmento de documento.
                            }
                            else
                            { // Si hay más de una palabra
                                for (var i = 0; i < words.length; i++)
                                    { // Itera a través de cada palabra.
                                    if (line.length + words[i].length + 1 <= saltoLinea)
                                        { // Si la longitud de la línea actual más la palabra actual es menor o igual al salto de línea
                                            line += (line.length > 0 ? ' ' : '') + words[i]; // Añade la palabra a la línea actual.
                                        }
                                    else
                                    { // Si la palabra no cabe en la línea actual
                                        newNode.appendChild(document.createTextNode(line)); // Añade la línea actual al fragmento de documento.
                                        newNode.appendChild(document.createElement('br')); // Añade un salto de línea al fragmento de documento.
                                        line = words[i]; // Reinicia la línea con la palabra actual.
                                    }
                                }

                                if (line.length > 0) { // Si hay una línea restante después del bucle
                                    newNode.appendChild(document.createTextNode(line)); // Añade la línea restante al fragmento de documento.
                                }
                            }

                            node.replaceWith(newNode); // Reemplaza el nodo original con el nuevo fragmento de documento.
                        } else if (node.nodeType === Node.ELEMENT_NODE) { // Si el nodo es un nodo de elemento
                            for (var i = 0; i < node.childNodes.length; i++) { // Itera a través de los nodos hijos.
                                truncateNode(node.childNodes[i]); // Aplica la truncación recursivamente a los nodos hijos.
                            }
                        }
                    }

                    for (var i = 0; i < children.length; i++) { // Itera a través de los nodos hijos del div temporal.
                        truncateNode(children[i]); // Aplica la truncación a cada nodo hijo.
                    }
                    return tempDiv.innerHTML; // Devuelve el contenido HTML del div temporal truncado.
                }
                return data; // Devuelve los datos sin cambios si no se cumplen las condiciones anteriores.
            }
        };

            DataTable.render.formatearConsumo= function (NombreColumna) {

            return function (data, type, row)
            {
                var tempDiv = document.createElement('div'); // Crea un elemento div temporal para manejar el contenido HTML.
                tempDiv.innerHTML = data; // Asigna el contenido de los datos al div temporal.
                var children = tempDiv.childNodes; // Obtiene los nodos hijos del div temporal.
                function truncateNode(node)
                {
                    if (node.nodeType === Node.TEXT_NODE)
                    {
                        var textContent = node.textContent; // Obtiene el contenido del texto del nodo.
                        var newNode = document.createDocumentFragment(); // Crea un nuevo fragmento de documento para almacenar el contenido truncado.
                        let unidad = 'B';
                        let valor = parseFloat(textContent);
                        if(NombreColumna=='LIMITE')
                        {
                            valor = valor*1000*1000;
                        }
                        if (valor >= 1000)
                        {
                            valor = valor / 1000;
                            unidad = 'Kb';
                        }
                        if (valor >= 1000)
                        {
                            valor = valor / 1000;
                            unidad = 'Mb';
                        }
                        if (valor >= 1000)
                        {
                            valor = valor / 1000;
                            unidad = 'Gb';
                        }
                        if (valor >= 1000)
                        {
                            valor = valor / 1000;
                            unidad = 'Tb';
                        }
                        textContent=valor.toFixed(2) + ' ' + unidad;
                        newNode.appendChild(document.createTextNode(textContent)); // Añade la palabra al fragmento de documento.
                        node.replaceWith(newNode); // Reemplaza el nodo original con el nuevo fragmento de documento.
                    }
                    else if (node.nodeType === Node.ELEMENT_NODE) { // Si el nodo es un nodo de elemento
                        for (var i = 0; i < node.childNodes.length; i++) { // Itera a través de los nodos hijos.
                            truncateNode(node.childNodes[i]); // Aplica la truncación recursivamente a los nodos hijos.
                        }
                    }
                }

                for (var i = 0; i < children.length; i++) { // Itera a través de los nodos hijos del div temporal.
                    truncateNode(children[i]); // Aplica la truncación a cada nodo hijo.
                }
                return tempDiv.innerHTML; // Devuelve el contenido HTML del div temporal truncado.

        }
    };

     var windowHeight = $(window).height();

    var tableHeight = 300;
     var heightResponsive = windowHeight - tableHeight;
    // if ( windowHeight  < 768) {
    //     let y = $(window).height()-350;
    //     heightResponsive = y;
    // }else{
    //     heightResponsive =windowHeight;
    // }
    var table=$('#tablaPhp').DataTable(
    {

        // 'scrollY': heightResponsive,
        // 'responsive': false,
        // 'scrollCollapse': true,
        // 'scrollX':true,
        'orderCellsTop': true,
        'processing': true,
        'serverSide': true,
        'orderMulti': true,
        'serverMethod': 'post',
        "autoWidth":true,
        "order": orden, // asc - desc
        "sort": true,
        "select":false,
        "columnDefs":
        [
            {
                "targets": [0,sacarSorting],
                "orderable": false,
                'checkboxes':
                {
                    'selectRow': true,
                }
            },
            {
                "targets": "_all",
                "render": function(data, type, row, meta) {
                    if (data === null)
                    {
                        return '';
                    }
                    var regex = /class='([^_]+)_/;
                    var match = data.match(regex);
                    NombreColumna= match ? match[1] : null;
                    if (type === 'display' && (NombreColumna==="CONSUMO"||NombreColumna==="CONSUMOSUBIDA"||NombreColumna==="CONSUMOSUBIDAMESANTERIOR"||NombreColumna==="CONSUMOMESANTERIOR"||NombreColumna==="LIMITE"))
                    {
                        return DataTable.render.formatearConsumo(NombreColumna)(data, type, row);
                    }
                    return DataTable.render.limiteTexto()(data, type, row);
                }
            },
        ],
        language: {
            "decimal": "",
            "emptyTable": "No hay informaci&oacute;n",
            "info": "Mostrando _START_ a _END_ de _TOTAL_ Entradas",
            "infoEmpty": "No hay datos para mostrar",
            "infoFiltered": "(Filtrado de _MAX_ total entradas)",
            "infoPostFix": "",
            "thousands": ",",
            "lengthMenu": "Mostrar _MENU_ ",
            "loadingRecords": "Cargando...",
            "processing": "Procesando...",
            "search": "Buscar:",
            "zeroRecords": "Sin resultados encontrados",
            "paginate": {
                "first": "Primero",
                "last": "Ultimo",
                "next": ">",
                "previous": "<"
                },
        },
        "aria": {
            "sortAscending": ": Activar orden de columna ascendente",
            "sortDescending": ": Activar orden de columna desendente"
        },
        'ajax': {
            'url': "/funcionesAjax/logicaTabla",
            deferRender: true,
            "data": function ( d ) {
                d.botones=botoneria;
                d.hrefBotoneria=hrefBotoneria;
                d.tablaJoin=tablaJoin;
                d.tablaWhere=tablaWhere;
                d.tablaGroup=tablaGroup;
                d.tablaOrder=tablaOrder;
                d.complementosTabla=tablaComplementos; /*Para poder activar y desactivar el check*/
                d.camposBaseDeDatos=camposBaseDeDatos;
                d.langBcmPorColumna=langBcmPorColumna;
                d.enlaceUrlPorColumna=enlaceUrlPorColumna;
                d.permitirAccionesEnUsuarios=permitirAccionesEnUsuarios;
                d.tagsPorColumnas=tagsPorColumnas;
                d.agregarEnlacesEnColumnas=agregarEnlacesEnColumnas;
                d.filtroMin=filtroMin;
                d.filtroMax=filtroMax;
                d.filtroColumna=filtroColumna;
                d.accionesPorColumna=accionesPorColumna;
                d.quitarMayusculaMinusculaEnColumna=quitarMayusculaMinusculaEnColumna;
            },
            'contentType':'application/x-www-form-urlencoded; charset=UTF-8'
        },
        'dom': 'lBfrtip',
        lengthMenu: [
            [ 25,50,70,100,200,500,1000,5000],
            [ 25,50,70,100,200,500,1000,5000],
        ],
        'buttons': botonesExportadores,
        'columns': objetoColumns,
        initComplete: function ()
        {
            $('.scroltable-container').css('height', heightResponsive);

            // var header = $('#tablaPhp thead tr.titulos-columnas-header');//obtengo el primer item del thead
            // header.remove();//remuevo el primer item del thead
            // $('#tablaPhp thead').prepend(header);//lo vuelvo a insertar pero ya no es el primero, sino el segundo

            // Apply the search
            this.api().columns().every(function ()
            {
                // var that = this;
                // console.log(this.header());
                // console.log(this.footer());
                // $('input', this.header()).on('keyup change clear', function () {
                //     if (that.search() !== this.value) {
                //         that.search(this.value).draw();
                //     }
                // });
                /* $('#tablaPhp .buscador-header input').on('keyup change clear', function () {
                    var columnIndex = $(this).parent().index();
                    var searchValue = this.value;
                    var aux = $(this).data('previous')// si hay un valor previo lo guarda
                    if ((that.column(columnIndex).search() !== searchValue) && (aux != searchValue)) {
                        $(this).data('previous', searchValue);// pisa el valor anterior con el actual
                        that.column(columnIndex).search(searchValue).draw();
                    }
                }); */
                // $('select', this.footer()).on('keyup change clear', function () {
                //     if (that.search() !== this.value) {
                //         that.search(this.value).draw();
                //     }
                // });
            });

        },
        headerCallback: function(thead, data, start, end, display) {},
        "drawCallback": function(settings) {
            $('#tablaPhp thead .buscador-header input').on('keyup change clear', function () {
                var column = table.column($(this).parent().index() + ':visible');
                setTimeout(() => {
                    if (column.search() !== this.value) {
                        column.search(this.value).draw();
                    }
                }, 1500);

            });
            $('#tablaPhp thead .buscador-header select').on('keyup change clear', function () {
                var column = table.column($(this).parent().index() + ':visible');
                if (column.search() !== this.value) {
                    column.search(this.value).draw();
                }
            });
        }
    });

    $( document ).ajaxComplete(function() {
        $('.spinner-box').hide();
    });
    $( document ).ajaxSend(function() {
        $('.spinner-box').hide();
        if ($('#reiniciarFirewall').css('display') != 'none') {

            $('.spinner-box').show();
        }
        if( ($('#reiniciarFirewall').css('display') === 'none')){
            $('.spinner-box').hide();
        }

    });

    $('#tablaPhp').scroltable();

    $(document).on('click', '#botonLimpiarFiltros', function (e)
    {
        table.search('').columns().search('').draw();
    });

    $('#refrescarAignadas').on('click', function() {
        table.search('').columns().search('').draw();
        table.column(9).order('desc').draw();

    });
    // Evento para el botón de filtrar asignados
    $('#refrescarNoAignadas').on('click', function() {
        table.search('').columns().search('').draw();
        table.columns(9).search('-').draw();
        });
    $(document).on('click', '#refrescarPendientes', function (e)
    {
        table.search('').columns().search('').draw();
        table.search('Pendiente').draw();
    });

    $(document).on('click', '#refrescarTodo', function (e)
    {
        table.search('').columns().search('').draw();
        table.search('').draw();
    });





    if(buscarColumna&&columna)
    {
        for (var i in buscarColumna){
            if(buscarColumna[i]!='')
            {
                var search = buscarColumna[i].toString();
                table.column(columna[i]).search(search).draw();
            }
        }
    }
    if(buscar)
    {
        var search = buscar.toString();
        table.search(search).draw();
    }

    table.columns(ocultarColumnasNumero).visible(false);
    //eliminar seleccionados - se activa boton con uno checkbox activado
    $('#thCheckboxTabla').click(function()
    {
        $('td .checkboxTabla').prop("checked",true);
        //$('#buttonCheck').prop('diasabled',false);
    });

    $('#buttonCheck').on('click',function(){
        location.reload()
    });

    //Pone el contador en la columna 0
    /*
    if(!activarCheck)
    {
        table.on('draw.dt', function ()
        {
            let start = table.page.info().start;
            table
                .column(0, { search: 'applied', order: 'applied' })
                .nodes()
                .each(function (cell, i) {
                    cell.innerHTML = start + i + 1;
            });
        });
    }
    */
    //Limpiar filtro principal + filtros footer
    $(".dt-button-limpiar-filtro ").click(function(e)
    {
        e.preventDefault();
        table.search('').columns().search('').draw();
        $("#tablaPhp thead input").val(" ");
        $("#tablaPhp thead select").val("");
        $("#tablaPhp thead input").attr("placeholder", "Buscar");
    });
    //para el input del buscador general, al tener scroll en X se rompe, por eso detecto cuando se hace un scroll en Y para ponerlo en absolute o fixed segun convenga en la visual.
    $(function(){

    var lastScrollTop =0, margen = 6;
    $(window).scroll(function(){
        var nowScrollTop = $(this).scrollTop();
        if(Math.abs(lastScrollTop - nowScrollTop) >= margen){
            lastScrollTop = nowScrollTop;
            }
        });
    });
    $(document).ready(function() {
        $('#tablaPhp thead tr:eq(1)  th').each( function () {

            var title = $(this).text();
            $(this).html( '<input type="text" placeholder="Search '+title+'" class="testSeb" />' );
            }
        );
        // Función para centrar la imagen
        function centrarImagen(scroll) {
            var alturaTabla = $('#tablaPhp').height();

            // Obtener altura de la resolución del navegador
            var alturaNavegador = $(window).height();

            // Calcular posición vertical para centrar la imagen
            var posicionVertical = Math.max((alturaNavegador-300) / 2, 0);
            // Calcular posición vertical para centrar la imagen
            $('.scroltable-nav').css('top',"calc( " + posicionVertical + 'px + ' + scroll + 'px)');

        }
        // Llamar a la función al cargar la página
        centrarImagen();
        // Llamar a la función al hacer scroll
        $(window).scroll(function() {
            var scroll = $(this).scrollTop();
            centrarImagen(scroll);
        });
    });
});//DOC

//Icnono Refrescar Header
$(document).on('click','#btnzRefrescar,#btnRefrescar', function (e)
{
    location.reload();
});
